function is_not_eof=read_packet_headers(fid, new_packet_format)
%
%        (c) Copyright 2004 Massachusetts Institute of Technology
%
%        In no event shall M.I.T. be liable to any party for direct, 
%        indirect, special, incidental, or consequential damages arising
%        out of the use of this software and its documentation, even if
%        M.I.T. has been advised of the possibility of such damage.
%          
%        M.I.T. specifically disclaims any warranties including, but not
%        limited to, the implied warranties of merchantability, fitness
%        for a particular purpose, and non-infringement.
%
%        The software is provided on an "as is" basis and M.I.T. has no
%        obligation to provide maintenance, support, updates, enhancements,
%        or modifications.
%
% Copyright (c) 2007-2014 University of Wisconsin Regents.

set_globals
  
% Set up some constants

    APID_MASK = sum(2.^[0:10]);
    PACKET_SEQUENCE_MASK = sum(2.^[14:15]);
    SEQUENCE_NUMBER_MASK = sum(2.^[0:13]);  
% Read primary header identification  
   first_word = fread(fid,1,'uint16');
%   if(feof(fid));disp('read_packet_headers: error reading first header first word');is_not_eof=0;return;end
   if(feof(fid));is_not_eof=0;return;end
   g_header.apid = bitand(first_word, APID_MASK);  
   second_word = fread(fid,1,'uint16');
   if(feof(fid));disp('read_packet_headers: error reading first header second word');is_not_eof=0;return;end
   g_header.packet_sequence =  bitshift(bitand(second_word, PACKET_SEQUENCE_MASK),-14);
   g_header.sequence_number =  bitand(second_word, SEQUENCE_NUMBER_MASK);
   g_header.start_byte=ftell(fid)-4; %bytes
   g_header.packet_length = fread(fid,1,'uint16')+1;
   if(feof(fid));disp('read_packet_headers: error reading first header third word');is_not_eof=0;return;end

   
% correct packet length for data written befor Aug 2005
   if(~new_packet_format)
   g_header.packet_length=g_header.packet_length-1;
   end

   days_epoch=715146;% '1 Jan 1958'
   
% Read secondary header (four 16-bit words)
   time_word=fread(fid,4,'uint16');
   if(feof(fid));disp('read_packet_headers: error reading second header');is_not_eof=0;return;end

   if(~feof(fid))
   days=time_word(1)+days_epoch;
   seconds=((time_word(2)*2^16+time_word(3))+time_word(4)/1000)/1000;
   timeval=datenum(0,0,days,0,0,seconds);
   g_header.time=timeval;
   end

   
   
   is_not_eof=~feof(fid);
