function read_packet_instr_hk2_data_1_56(fid)

% Copyright (c) 2007-2014 University of Wisconsin Regents.
%
% This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.

% GENERATED CODE -- DO NOT EDIT

set_globals

g_metadata.packet_stats.num_packets.instr_hk2 = g_metadata.packet_stats.num_packets.instr_hk2 + 1;
packet_idx = g_metadata.packet_stats.num_packets.instr_hk2;
g_metadata.packets.instr_hk2.dim.hk2_packet = packet_idx;
g_metadata.packets.instr_hk2.header_time.dim = {'hk2_packet'};
g_packets.instr_hk2.header_time(packet_idx)=g_header.time;
g_metadata.packets.instr_hk2.start_byte.dim = {'hk2_packet'};
g_packets.instr_hk2.start_byte(packet_idx)=g_header.start_byte;
first_file_position=ftell(fid);

% first time through: set packet attributes
if packet_idx == 1

    g_metadata.packets.instr_hk2.att.xml_database_version_applied = '1.56';
    g_metadata.packets.instr_hk2.att.xml_file_name = 'TLM_TelemetryRDR_2.xml';
    g_metadata.packets.instr_hk2.att.xml_file_md5sum = '421c390532aaba49bf2e96600850d5bb';
    g_metadata.packets.instr_hk2.att.description = 'Telemetry RDR (Packet# 2)';
    g_metadata.packets.instr_hk2.att.scene = 'NONE';
    g_metadata.packets.instr_hk2.att.apid = '501';
    g_metadata.packets.instr_hk2.att.band = 'none';
    g_metadata.packets.instr_hk2.att.version = '3';
    g_metadata.packets.instr_hk2.att.detector = '0';

    % id 394: TLM2_SubFrameCounter
    g_metadata.packets.instr_hk2.SubFrameCounter.att.telemetry_point_id = '394';
    g_metadata.packets.instr_hk2.SubFrameCounter.att.mnemonic = 'TLM2_SubFrameCounter';
    g_metadata.packets.instr_hk2.SubFrameCounter.att.start_bit = '0';
    g_metadata.packets.instr_hk2.SubFrameCounter.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SubFrameCounter.att.num_bits = '16';
    g_metadata.packets.instr_hk2.SubFrameCounter.att.description = 'Sub Frame Counter';
    g_metadata.packets.instr_hk2.SubFrameCounter.dim = {'hk2_packet'};

    % id 395: TLM2_PCEAppFswVer
    g_metadata.packets.instr_hk2.PCEAppFswVer.att.telemetry_point_id = '395';
    g_metadata.packets.instr_hk2.PCEAppFswVer.att.mnemonic = 'TLM2_PCEAppFswVer';
    g_metadata.packets.instr_hk2.PCEAppFswVer.att.start_bit = '16';
    g_metadata.packets.instr_hk2.PCEAppFswVer.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.PCEAppFswVer.att.num_bits = '11';
    g_metadata.packets.instr_hk2.PCEAppFswVer.att.description = 'PCE Application Version';
    g_metadata.packets.instr_hk2.PCEAppFswVer.dim = {'hk2_packet'};

    % id 396: TLM2_InstrumentID
    g_metadata.packets.instr_hk2.InstrumentID.att.telemetry_point_id = '396';
    g_metadata.packets.instr_hk2.InstrumentID.att.mnemonic = 'TLM2_InstrumentID';
    g_metadata.packets.instr_hk2.InstrumentID.att.start_bit = '27';
    g_metadata.packets.instr_hk2.InstrumentID.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.InstrumentID.att.num_bits = '5';
    g_metadata.packets.instr_hk2.InstrumentID.att.description = 'Instrument ID';
    g_metadata.packets.instr_hk2.InstrumentID.dim = {'hk2_packet'};

    % id 397: TLM2_MMInterStat (Spare)
    g_metadata.packets.instr_hk2.MMInterStat_Spare.att.telemetry_point_id = '397';
    g_metadata.packets.instr_hk2.MMInterStat_Spare.att.mnemonic = 'TLM2_MMInterStat (Spare)';
    g_metadata.packets.instr_hk2.MMInterStat_Spare.att.start_bit = '32';
    g_metadata.packets.instr_hk2.MMInterStat_Spare.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.MMInterStat_Spare.att.num_bits = '2';
    g_metadata.packets.instr_hk2.MMInterStat_Spare.att.description = 'Manage Memory I/F Status(Spare)';
    g_metadata.packets.instr_hk2.MMInterStat_Spare.dim = {'hk2_packet'};

    % id 398: TLM2_MMInterStat (Mem Partinal Create Err)
    g_metadata.packets.instr_hk2.MMInterStat_Mem_Partinal_Create_Err.att.telemetry_point_id = '398';
    g_metadata.packets.instr_hk2.MMInterStat_Mem_Partinal_Create_Err.att.mnemonic = 'TLM2_MMInterStat (Mem Partinal Create Err)';
    g_metadata.packets.instr_hk2.MMInterStat_Mem_Partinal_Create_Err.att.start_bit = '34';
    g_metadata.packets.instr_hk2.MMInterStat_Mem_Partinal_Create_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.MMInterStat_Mem_Partinal_Create_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.MMInterStat_Mem_Partinal_Create_Err.att.description = 'Manage Memory I/F Status(Memory Partition Create Error)';
    g_metadata.packets.instr_hk2.MMInterStat_Mem_Partinal_Create_Err.dim = {'hk2_packet'};

    % id 399: TLM2_MMInterStat (MQ Create Error)
    g_metadata.packets.instr_hk2.MMInterStat_MQ_Create_Error.att.telemetry_point_id = '399';
    g_metadata.packets.instr_hk2.MMInterStat_MQ_Create_Error.att.mnemonic = 'TLM2_MMInterStat (MQ Create Error)';
    g_metadata.packets.instr_hk2.MMInterStat_MQ_Create_Error.att.start_bit = '35';
    g_metadata.packets.instr_hk2.MMInterStat_MQ_Create_Error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.MMInterStat_MQ_Create_Error.att.num_bits = '1';
    g_metadata.packets.instr_hk2.MMInterStat_MQ_Create_Error.att.description = 'Manage Memory I/F Status(Message Queue Create Error)';
    g_metadata.packets.instr_hk2.MMInterStat_MQ_Create_Error.dim = {'hk2_packet'};

    % id 400: TLM2_MMInterStat (Default Case Reached)
    g_metadata.packets.instr_hk2.MMInterStat_Default_Case_Reached.att.telemetry_point_id = '400';
    g_metadata.packets.instr_hk2.MMInterStat_Default_Case_Reached.att.mnemonic = 'TLM2_MMInterStat (Default Case Reached)';
    g_metadata.packets.instr_hk2.MMInterStat_Default_Case_Reached.att.start_bit = '36';
    g_metadata.packets.instr_hk2.MMInterStat_Default_Case_Reached.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.MMInterStat_Default_Case_Reached.att.num_bits = '1';
    g_metadata.packets.instr_hk2.MMInterStat_Default_Case_Reached.att.description = 'Manage Memory I/F Status(Default Case Reached)';
    g_metadata.packets.instr_hk2.MMInterStat_Default_Case_Reached.dim = {'hk2_packet'};

    % id 401: TLM2_MMInterStat (MM Free Err)
    g_metadata.packets.instr_hk2.MMInterStat_MM_Free_Err.att.telemetry_point_id = '401';
    g_metadata.packets.instr_hk2.MMInterStat_MM_Free_Err.att.mnemonic = 'TLM2_MMInterStat (MM Free Err)';
    g_metadata.packets.instr_hk2.MMInterStat_MM_Free_Err.att.start_bit = '37';
    g_metadata.packets.instr_hk2.MMInterStat_MM_Free_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.MMInterStat_MM_Free_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.MMInterStat_MM_Free_Err.att.description = 'Manage Memory I/F Status(Memory Manager Free Error)';
    g_metadata.packets.instr_hk2.MMInterStat_MM_Free_Err.dim = {'hk2_packet'};

    % id 402: TLM2_MMInterStat (MM Alloc Err)
    g_metadata.packets.instr_hk2.MMInterStat_MM_Alloc_Err.att.telemetry_point_id = '402';
    g_metadata.packets.instr_hk2.MMInterStat_MM_Alloc_Err.att.mnemonic = 'TLM2_MMInterStat (MM Alloc Err)';
    g_metadata.packets.instr_hk2.MMInterStat_MM_Alloc_Err.att.start_bit = '38';
    g_metadata.packets.instr_hk2.MMInterStat_MM_Alloc_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.MMInterStat_MM_Alloc_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.MMInterStat_MM_Alloc_Err.att.description = 'Manage Memory I/F Status(Memory Manager Allocation Error)';
    g_metadata.packets.instr_hk2.MMInterStat_MM_Alloc_Err.dim = {'hk2_packet'};

    % id 403: TLM2_MMInterStat (MQ Rcv Err)
    g_metadata.packets.instr_hk2.MMInterStat_MQ_Rcv_Err.att.telemetry_point_id = '403';
    g_metadata.packets.instr_hk2.MMInterStat_MQ_Rcv_Err.att.mnemonic = 'TLM2_MMInterStat (MQ Rcv Err)';
    g_metadata.packets.instr_hk2.MMInterStat_MQ_Rcv_Err.att.start_bit = '39';
    g_metadata.packets.instr_hk2.MMInterStat_MQ_Rcv_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.MMInterStat_MQ_Rcv_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.MMInterStat_MQ_Rcv_Err.att.description = 'Manage Memory I/F Status(Message Queue Receive Error)';
    g_metadata.packets.instr_hk2.MMInterStat_MQ_Rcv_Err.dim = {'hk2_packet'};

    % id 404: TLM2_MMInterStat (MQ Send Err)
    g_metadata.packets.instr_hk2.MMInterStat_MQ_Send_Err.att.telemetry_point_id = '404';
    g_metadata.packets.instr_hk2.MMInterStat_MQ_Send_Err.att.mnemonic = 'TLM2_MMInterStat (MQ Send Err)';
    g_metadata.packets.instr_hk2.MMInterStat_MQ_Send_Err.att.start_bit = '40';
    g_metadata.packets.instr_hk2.MMInterStat_MQ_Send_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.MMInterStat_MQ_Send_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.MMInterStat_MQ_Send_Err.att.description = 'Manage Memory I/F Status(Message Queue Send Error)';
    g_metadata.packets.instr_hk2.MMInterStat_MQ_Send_Err.dim = {'hk2_packet'};

    % id 405: TLM2_MMInterStat (Two Sec Buff Cap Used)
    g_metadata.packets.instr_hk2.MMInterStat_Two_Sec_Buff_Cap_Used.att.telemetry_point_id = '405';
    g_metadata.packets.instr_hk2.MMInterStat_Two_Sec_Buff_Cap_Used.att.mnemonic = 'TLM2_MMInterStat (Two Sec Buff Cap Used)';
    g_metadata.packets.instr_hk2.MMInterStat_Two_Sec_Buff_Cap_Used.att.start_bit = '41';
    g_metadata.packets.instr_hk2.MMInterStat_Two_Sec_Buff_Cap_Used.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.MMInterStat_Two_Sec_Buff_Cap_Used.att.num_bits = '4';
    g_metadata.packets.instr_hk2.MMInterStat_Two_Sec_Buff_Cap_Used.att.description = 'Manage Memory I/F Status(Two Second Buffer Capacity Used)';
    g_metadata.packets.instr_hk2.MMInterStat_Two_Sec_Buff_Cap_Used.dim = {'hk2_packet'};

    % id 406: TLM2_MMInterStat (Two Sec Buff VF)
    g_metadata.packets.instr_hk2.MMInterStat_Two_Sec_Buff_VF.att.telemetry_point_id = '406';
    g_metadata.packets.instr_hk2.MMInterStat_Two_Sec_Buff_VF.att.mnemonic = 'TLM2_MMInterStat (Two Sec Buff VF)';
    g_metadata.packets.instr_hk2.MMInterStat_Two_Sec_Buff_VF.att.start_bit = '45';
    g_metadata.packets.instr_hk2.MMInterStat_Two_Sec_Buff_VF.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.MMInterStat_Two_Sec_Buff_VF.att.num_bits = '1';
    g_metadata.packets.instr_hk2.MMInterStat_Two_Sec_Buff_VF.att.description = 'Manage Memory I/F Status(Two Second Buffer Overflow)';
    g_metadata.packets.instr_hk2.MMInterStat_Two_Sec_Buff_VF.dim = {'hk2_packet'};

    % id 407: TLM2_MMInterStat (CmdQueue Empty)
    g_metadata.packets.instr_hk2.MMInterStat_CmdQueue_Empty.att.telemetry_point_id = '407';
    g_metadata.packets.instr_hk2.MMInterStat_CmdQueue_Empty.att.mnemonic = 'TLM2_MMInterStat (CmdQueue Empty)';
    g_metadata.packets.instr_hk2.MMInterStat_CmdQueue_Empty.att.start_bit = '46';
    g_metadata.packets.instr_hk2.MMInterStat_CmdQueue_Empty.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.MMInterStat_CmdQueue_Empty.att.num_bits = '1';
    g_metadata.packets.instr_hk2.MMInterStat_CmdQueue_Empty.att.description = 'Manage Memory I/F Status(Cmd Queue Empty)';
    g_metadata.packets.instr_hk2.MMInterStat_CmdQueue_Empty.dim = {'hk2_packet'};

    % id 408: TLM2_MMInterStat (CmdQueue VF)
    g_metadata.packets.instr_hk2.MMInterStat_CmdQueue_VF.att.telemetry_point_id = '408';
    g_metadata.packets.instr_hk2.MMInterStat_CmdQueue_VF.att.mnemonic = 'TLM2_MMInterStat (CmdQueue VF)';
    g_metadata.packets.instr_hk2.MMInterStat_CmdQueue_VF.att.start_bit = '47';
    g_metadata.packets.instr_hk2.MMInterStat_CmdQueue_VF.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.MMInterStat_CmdQueue_VF.att.num_bits = '1';
    g_metadata.packets.instr_hk2.MMInterStat_CmdQueue_VF.att.description = 'Manage Memory I/F Status(Cmd Queue Overflow)';
    g_metadata.packets.instr_hk2.MMInterStat_CmdQueue_VF.dim = {'hk2_packet'};

    % id 409: TLM2_SCInterStat (Spare)
    g_metadata.packets.instr_hk2.SCInterStat_Spare.att.telemetry_point_id = '409';
    g_metadata.packets.instr_hk2.SCInterStat_Spare.att.mnemonic = 'TLM2_SCInterStat (Spare)';
    g_metadata.packets.instr_hk2.SCInterStat_Spare.att.start_bit = '48';
    g_metadata.packets.instr_hk2.SCInterStat_Spare.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SCInterStat_Spare.att.num_bits = '4';
    g_metadata.packets.instr_hk2.SCInterStat_Spare.att.description = 'S/C I/F Status(Spare)';
    g_metadata.packets.instr_hk2.SCInterStat_Spare.dim = {'hk2_packet'};

    % id 410: TLM2_SCInterStat (VxWorks watchdog timer failure)
    g_metadata.packets.instr_hk2.SCInterStat_VxWorks_watchdog_timer_failure.att.telemetry_point_id = '410';
    g_metadata.packets.instr_hk2.SCInterStat_VxWorks_watchdog_timer_failure.att.mnemonic = 'TLM2_SCInterStat (VxWorks watchdog timer failure)';
    g_metadata.packets.instr_hk2.SCInterStat_VxWorks_watchdog_timer_failure.att.start_bit = '52';
    g_metadata.packets.instr_hk2.SCInterStat_VxWorks_watchdog_timer_failure.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SCInterStat_VxWorks_watchdog_timer_failure.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SCInterStat_VxWorks_watchdog_timer_failure.att.description = 'S/C I/F Status(VxWorks watchdog timer failure)';
    g_metadata.packets.instr_hk2.SCInterStat_VxWorks_watchdog_timer_failure.dim = {'hk2_packet'};

    % id 411: TLM2_SCInterStat (Firewire bus re-initialization)
    g_metadata.packets.instr_hk2.SCInterStat_Firewire_bus_re_initialization.att.telemetry_point_id = '411';
    g_metadata.packets.instr_hk2.SCInterStat_Firewire_bus_re_initialization.att.mnemonic = 'TLM2_SCInterStat (Firewire bus re-initialization)';
    g_metadata.packets.instr_hk2.SCInterStat_Firewire_bus_re_initialization.att.start_bit = '53';
    g_metadata.packets.instr_hk2.SCInterStat_Firewire_bus_re_initialization.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SCInterStat_Firewire_bus_re_initialization.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SCInterStat_Firewire_bus_re_initialization.att.description = 'S/C I/F Status(Firewire bus re-initialization)';
    g_metadata.packets.instr_hk2.SCInterStat_Firewire_bus_re_initialization.dim = {'hk2_packet'};

    % id 412: TLM2_SCInterStat (CmdPktCRCFailure)
    g_metadata.packets.instr_hk2.SCInterStat_CmdPktCRCFailure.att.telemetry_point_id = '412';
    g_metadata.packets.instr_hk2.SCInterStat_CmdPktCRCFailure.att.mnemonic = 'TLM2_SCInterStat (CmdPktCRCFailure)';
    g_metadata.packets.instr_hk2.SCInterStat_CmdPktCRCFailure.att.start_bit = '54';
    g_metadata.packets.instr_hk2.SCInterStat_CmdPktCRCFailure.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SCInterStat_CmdPktCRCFailure.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SCInterStat_CmdPktCRCFailure.att.description = 'S/C I/F Status(Cmd Packet CRC Failure)';
    g_metadata.packets.instr_hk2.SCInterStat_CmdPktCRCFailure.dim = {'hk2_packet'};

    % id 413: TLM2_SCInterStat (S/C to CrIS Invalid/Unrecog Cmd)
    g_metadata.packets.instr_hk2.SCInterStat_S_C_to_CrIS_Invalid_Unrecog_Cmd.att.telemetry_point_id = '413';
    g_metadata.packets.instr_hk2.SCInterStat_S_C_to_CrIS_Invalid_Unrecog_Cmd.att.mnemonic = 'TLM2_SCInterStat (S/C to CrIS Invalid/Unrecog Cmd)';
    g_metadata.packets.instr_hk2.SCInterStat_S_C_to_CrIS_Invalid_Unrecog_Cmd.att.start_bit = '55';
    g_metadata.packets.instr_hk2.SCInterStat_S_C_to_CrIS_Invalid_Unrecog_Cmd.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SCInterStat_S_C_to_CrIS_Invalid_Unrecog_Cmd.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SCInterStat_S_C_to_CrIS_Invalid_Unrecog_Cmd.att.description = 'S/C I/F Status(S/C to CrIS Invalid/Unrecognized Cmd)';
    g_metadata.packets.instr_hk2.SCInterStat_S_C_to_CrIS_Invalid_Unrecog_Cmd.dim = {'hk2_packet'};

    % id 414: TLM2_SCInterStat (S/C to CrIS Cmd ID Rcv)
    g_metadata.packets.instr_hk2.SCInterStat_S_C_to_CrIS_Cmd_ID_Rcv.att.telemetry_point_id = '414';
    g_metadata.packets.instr_hk2.SCInterStat_S_C_to_CrIS_Cmd_ID_Rcv.att.mnemonic = 'TLM2_SCInterStat (S/C to CrIS Cmd ID Rcv)';
    g_metadata.packets.instr_hk2.SCInterStat_S_C_to_CrIS_Cmd_ID_Rcv.att.start_bit = '56';
    g_metadata.packets.instr_hk2.SCInterStat_S_C_to_CrIS_Cmd_ID_Rcv.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SCInterStat_S_C_to_CrIS_Cmd_ID_Rcv.att.num_bits = '8';
    g_metadata.packets.instr_hk2.SCInterStat_S_C_to_CrIS_Cmd_ID_Rcv.att.description = 'S/C I/F Status(S/C to CrIS Cmd ID that was received)';
    g_metadata.packets.instr_hk2.SCInterStat_S_C_to_CrIS_Cmd_ID_Rcv.dim = {'hk2_packet'};

    % id 415: TLM2_SsmInterStat (Spare)
    g_metadata.packets.instr_hk2.SsmInterStat_Spare.att.telemetry_point_id = '415';
    g_metadata.packets.instr_hk2.SsmInterStat_Spare.att.mnemonic = 'TLM2_SsmInterStat (Spare)';
    g_metadata.packets.instr_hk2.SsmInterStat_Spare.att.start_bit = '64';
    g_metadata.packets.instr_hk2.SsmInterStat_Spare.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SsmInterStat_Spare.att.num_bits = '4';
    g_metadata.packets.instr_hk2.SsmInterStat_Spare.att.description = 'SSM I/F Status(Spare)';
    g_metadata.packets.instr_hk2.SsmInterStat_Spare.dim = {'hk2_packet'};

    % id 416: TLM2_SsmInterStat(Diag Mode Setting)
    g_metadata.packets.instr_hk2.SsmInterStat_Diag_Mode_Setting.att.telemetry_point_id = '416';
    g_metadata.packets.instr_hk2.SsmInterStat_Diag_Mode_Setting.att.mnemonic = 'TLM2_SsmInterStat(Diag Mode Setting)';
    g_metadata.packets.instr_hk2.SsmInterStat_Diag_Mode_Setting.att.start_bit = '68';
    g_metadata.packets.instr_hk2.SsmInterStat_Diag_Mode_Setting.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SsmInterStat_Diag_Mode_Setting.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SsmInterStat_Diag_Mode_Setting.att.description = 'SSM I/F Status(Diag Dwell Mode Setting)';
    g_metadata.packets.instr_hk2.SsmInterStat_Diag_Mode_Setting.dim = {'hk2_packet'};

    % id 417: TLM2_SsmInterStat (SSM Tele Valid Bit - Tele OK)
    g_metadata.packets.instr_hk2.SsmInterStat_SSM_Tele_Valid_Bit_Tele_OK.att.telemetry_point_id = '417';
    g_metadata.packets.instr_hk2.SsmInterStat_SSM_Tele_Valid_Bit_Tele_OK.att.mnemonic = 'TLM2_SsmInterStat (SSM Tele Valid Bit - Tele OK)';
    g_metadata.packets.instr_hk2.SsmInterStat_SSM_Tele_Valid_Bit_Tele_OK.att.start_bit = '69';
    g_metadata.packets.instr_hk2.SsmInterStat_SSM_Tele_Valid_Bit_Tele_OK.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SsmInterStat_SSM_Tele_Valid_Bit_Tele_OK.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SsmInterStat_SSM_Tele_Valid_Bit_Tele_OK.att.description = 'SSM I/F Status(SSM Tlm Valid Bit)';
    g_metadata.packets.instr_hk2.SsmInterStat_SSM_Tele_Valid_Bit_Tele_OK.dim = {'hk2_packet'};

    % id 418: TLM2_SsmInterStat (Failed SSm Cmd Wd at PCE/SSM Inter)
    g_metadata.packets.instr_hk2.SsmInterStat_Failed_SSm_Cmd_Wd_at_PCE_SSM_Inter.att.telemetry_point_id = '418';
    g_metadata.packets.instr_hk2.SsmInterStat_Failed_SSm_Cmd_Wd_at_PCE_SSM_Inter.att.mnemonic = 'TLM2_SsmInterStat (Failed SSm Cmd Wd at PCE/SSM Inter)';
    g_metadata.packets.instr_hk2.SsmInterStat_Failed_SSm_Cmd_Wd_at_PCE_SSM_Inter.att.start_bit = '70';
    g_metadata.packets.instr_hk2.SsmInterStat_Failed_SSm_Cmd_Wd_at_PCE_SSM_Inter.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SsmInterStat_Failed_SSm_Cmd_Wd_at_PCE_SSM_Inter.att.num_bits = '8';
    g_metadata.packets.instr_hk2.SsmInterStat_Failed_SSm_Cmd_Wd_at_PCE_SSM_Inter.att.description = 'SSM I/F Status(Failed SSM Cmd Word At PCE/SSM I/F)';
    g_metadata.packets.instr_hk2.SsmInterStat_Failed_SSm_Cmd_Wd_at_PCE_SSM_Inter.dim = {'hk2_packet'};

    % id 419: TLM2_SsmInterStat (SSm Tele Cmd Err - Cmd not Recog by SSM PCE tried three times)
    g_metadata.packets.instr_hk2.SsmInterStat_SSm_Tele_Cmd_Err_Cmd_not_Recog_by_SSM_PCE_tried_th.att.telemetry_point_id = '419';
    g_metadata.packets.instr_hk2.SsmInterStat_SSm_Tele_Cmd_Err_Cmd_not_Recog_by_SSM_PCE_tried_th.att.mnemonic = 'TLM2_SsmInterStat (SSm Tele Cmd Err - Cmd not Recog by SSM PCE tried three times)';
    g_metadata.packets.instr_hk2.SsmInterStat_SSm_Tele_Cmd_Err_Cmd_not_Recog_by_SSM_PCE_tried_th.att.start_bit = '78';
    g_metadata.packets.instr_hk2.SsmInterStat_SSm_Tele_Cmd_Err_Cmd_not_Recog_by_SSM_PCE_tried_th.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SsmInterStat_SSm_Tele_Cmd_Err_Cmd_not_Recog_by_SSM_PCE_tried_th.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SsmInterStat_SSm_Tele_Cmd_Err_Cmd_not_Recog_by_SSM_PCE_tried_th.att.description = 'SSM I/F Status(SSM Tlm Cmd Error)';
    g_metadata.packets.instr_hk2.SsmInterStat_SSm_Tele_Cmd_Err_Cmd_not_Recog_by_SSM_PCE_tried_th.dim = {'hk2_packet'};

    % id 420: TLM2_SsmInterStat (SSM Tele Inter Resp Err - TO on Inter after PU or Rst)
    g_metadata.packets.instr_hk2.SsmInterStat_SSM_Tele_Inter_Resp_Err_TO_on_Inter_after_PU_or_Rs.att.telemetry_point_id = '420';
    g_metadata.packets.instr_hk2.SsmInterStat_SSM_Tele_Inter_Resp_Err_TO_on_Inter_after_PU_or_Rs.att.mnemonic = 'TLM2_SsmInterStat (SSM Tele Inter Resp Err - TO on Inter after PU or Rst)';
    g_metadata.packets.instr_hk2.SsmInterStat_SSM_Tele_Inter_Resp_Err_TO_on_Inter_after_PU_or_Rs.att.start_bit = '79';
    g_metadata.packets.instr_hk2.SsmInterStat_SSM_Tele_Inter_Resp_Err_TO_on_Inter_after_PU_or_Rs.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SsmInterStat_SSM_Tele_Inter_Resp_Err_TO_on_Inter_after_PU_or_Rs.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SsmInterStat_SSM_Tele_Inter_Resp_Err_TO_on_Inter_after_PU_or_Rs.att.description = 'SSM I/F Status(SSM Tlm I/F Response Error)';
    g_metadata.packets.instr_hk2.SsmInterStat_SSM_Tele_Inter_Resp_Err_TO_on_Inter_after_PU_or_Rs.dim = {'hk2_packet'};

    % id 421: TLM2_IfmInterStat (Spare)
    g_metadata.packets.instr_hk2.IfmInterStat_Spare.att.telemetry_point_id = '421';
    g_metadata.packets.instr_hk2.IfmInterStat_Spare.att.mnemonic = 'TLM2_IfmInterStat (Spare)';
    g_metadata.packets.instr_hk2.IfmInterStat_Spare.att.start_bit = '80';
    g_metadata.packets.instr_hk2.IfmInterStat_Spare.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.IfmInterStat_Spare.att.num_bits = '3';
    g_metadata.packets.instr_hk2.IfmInterStat_Spare.att.description = 'IFM I/F Status(Spare)';
    g_metadata.packets.instr_hk2.IfmInterStat_Spare.dim = {'hk2_packet'};

    % id 422: TLM2_IfmInterStat (Diag Mode Setting)
    g_metadata.packets.instr_hk2.IfmInterStat_Diag_Mode_Setting.att.telemetry_point_id = '422';
    g_metadata.packets.instr_hk2.IfmInterStat_Diag_Mode_Setting.att.mnemonic = 'TLM2_IfmInterStat (Diag Mode Setting)';
    g_metadata.packets.instr_hk2.IfmInterStat_Diag_Mode_Setting.att.start_bit = '83';
    g_metadata.packets.instr_hk2.IfmInterStat_Diag_Mode_Setting.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.IfmInterStat_Diag_Mode_Setting.att.num_bits = '1';
    g_metadata.packets.instr_hk2.IfmInterStat_Diag_Mode_Setting.att.description = 'IFM I/F Status(Diag Dwell Mode Setting)';
    g_metadata.packets.instr_hk2.IfmInterStat_Diag_Mode_Setting.dim = {'hk2_packet'};

    % id 423: TLM2_IfmInterStat (Possible Porchswing Sweep Dir Err)
    g_metadata.packets.instr_hk2.IfmInterStat_Possible_Porchswing_Sweep_Dir_Err.att.telemetry_point_id = '423';
    g_metadata.packets.instr_hk2.IfmInterStat_Possible_Porchswing_Sweep_Dir_Err.att.mnemonic = 'TLM2_IfmInterStat (Possible Porchswing Sweep Dir Err)';
    g_metadata.packets.instr_hk2.IfmInterStat_Possible_Porchswing_Sweep_Dir_Err.att.start_bit = '84';
    g_metadata.packets.instr_hk2.IfmInterStat_Possible_Porchswing_Sweep_Dir_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.IfmInterStat_Possible_Porchswing_Sweep_Dir_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.IfmInterStat_Possible_Porchswing_Sweep_Dir_Err.att.description = 'IFM I/F Status(Possible Porchswing Sweep Direction Error)';
    g_metadata.packets.instr_hk2.IfmInterStat_Possible_Porchswing_Sweep_Dir_Err.dim = {'hk2_packet'};

    % id 424: TLM2_IfmInterStat (IFM Tele Valid Bit - IFM Tele OK)
    g_metadata.packets.instr_hk2.IfmInterStat_IFM_Tele_Valid_Bit_IFM_Tele_OK.att.telemetry_point_id = '424';
    g_metadata.packets.instr_hk2.IfmInterStat_IFM_Tele_Valid_Bit_IFM_Tele_OK.att.mnemonic = 'TLM2_IfmInterStat (IFM Tele Valid Bit - IFM Tele OK)';
    g_metadata.packets.instr_hk2.IfmInterStat_IFM_Tele_Valid_Bit_IFM_Tele_OK.att.start_bit = '85';
    g_metadata.packets.instr_hk2.IfmInterStat_IFM_Tele_Valid_Bit_IFM_Tele_OK.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.IfmInterStat_IFM_Tele_Valid_Bit_IFM_Tele_OK.att.num_bits = '1';
    g_metadata.packets.instr_hk2.IfmInterStat_IFM_Tele_Valid_Bit_IFM_Tele_OK.att.description = 'IFM I/F Status(IFM Tlm Valid Bit)';
    g_metadata.packets.instr_hk2.IfmInterStat_IFM_Tele_Valid_Bit_IFM_Tele_OK.dim = {'hk2_packet'};

    % id 425: TLM2_IfmInterStat (Failed IFM Wd at PCE/IFM Inter)
    g_metadata.packets.instr_hk2.IfmInterStat_Failed_IFM_Wd_at_PCE_IFM_Inter.att.telemetry_point_id = '425';
    g_metadata.packets.instr_hk2.IfmInterStat_Failed_IFM_Wd_at_PCE_IFM_Inter.att.mnemonic = 'TLM2_IfmInterStat (Failed IFM Wd at PCE/IFM Inter)';
    g_metadata.packets.instr_hk2.IfmInterStat_Failed_IFM_Wd_at_PCE_IFM_Inter.att.start_bit = '86';
    g_metadata.packets.instr_hk2.IfmInterStat_Failed_IFM_Wd_at_PCE_IFM_Inter.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.IfmInterStat_Failed_IFM_Wd_at_PCE_IFM_Inter.att.num_bits = '8';
    g_metadata.packets.instr_hk2.IfmInterStat_Failed_IFM_Wd_at_PCE_IFM_Inter.att.description = 'IFM I/F Status(Failed IFM Cmd Word At PCE/IFM I/F)';
    g_metadata.packets.instr_hk2.IfmInterStat_Failed_IFM_Wd_at_PCE_IFM_Inter.dim = {'hk2_packet'};

    % id 426: TLM2_IfmInterStat (IFM Tele Cmd Err - Cmd not Recog by IFM PCE tried three times)
    g_metadata.packets.instr_hk2.IfmInterStat_IFM_Tele_Cmd_Err_Cmd_not_Recog_by_IFM_PCE_tried_th.att.telemetry_point_id = '426';
    g_metadata.packets.instr_hk2.IfmInterStat_IFM_Tele_Cmd_Err_Cmd_not_Recog_by_IFM_PCE_tried_th.att.mnemonic = 'TLM2_IfmInterStat (IFM Tele Cmd Err - Cmd not Recog by IFM PCE tried three times)';
    g_metadata.packets.instr_hk2.IfmInterStat_IFM_Tele_Cmd_Err_Cmd_not_Recog_by_IFM_PCE_tried_th.att.start_bit = '94';
    g_metadata.packets.instr_hk2.IfmInterStat_IFM_Tele_Cmd_Err_Cmd_not_Recog_by_IFM_PCE_tried_th.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.IfmInterStat_IFM_Tele_Cmd_Err_Cmd_not_Recog_by_IFM_PCE_tried_th.att.num_bits = '1';
    g_metadata.packets.instr_hk2.IfmInterStat_IFM_Tele_Cmd_Err_Cmd_not_Recog_by_IFM_PCE_tried_th.att.description = 'IFM I/F Status(IFM Tlm Cmd Error)';
    g_metadata.packets.instr_hk2.IfmInterStat_IFM_Tele_Cmd_Err_Cmd_not_Recog_by_IFM_PCE_tried_th.dim = {'hk2_packet'};

    % id 427: TLM2_IfmInterStat (IFM Tele Inter Resp Err - TO on Inter After PU or Rst)
    g_metadata.packets.instr_hk2.IfmInterStat_IFM_Tele_Inter_Resp_Err_TO_on_Inter_After_PU_or_Rs.att.telemetry_point_id = '427';
    g_metadata.packets.instr_hk2.IfmInterStat_IFM_Tele_Inter_Resp_Err_TO_on_Inter_After_PU_or_Rs.att.mnemonic = 'TLM2_IfmInterStat (IFM Tele Inter Resp Err - TO on Inter After PU or Rst)';
    g_metadata.packets.instr_hk2.IfmInterStat_IFM_Tele_Inter_Resp_Err_TO_on_Inter_After_PU_or_Rs.att.start_bit = '95';
    g_metadata.packets.instr_hk2.IfmInterStat_IFM_Tele_Inter_Resp_Err_TO_on_Inter_After_PU_or_Rs.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.IfmInterStat_IFM_Tele_Inter_Resp_Err_TO_on_Inter_After_PU_or_Rs.att.num_bits = '1';
    g_metadata.packets.instr_hk2.IfmInterStat_IFM_Tele_Inter_Resp_Err_TO_on_Inter_After_PU_or_Rs.att.description = 'IFM I/F Status(IFM Tlm I/F Response Error)';
    g_metadata.packets.instr_hk2.IfmInterStat_IFM_Tele_Inter_Resp_Err_TO_on_Inter_After_PU_or_Rs.dim = {'hk2_packet'};

    % id 428: TLM2_SenStatReg1 (Detector PW on/off)
    g_metadata.packets.instr_hk2.SenStatReg1_Detector_PW_on_off.att.telemetry_point_id = '428';
    g_metadata.packets.instr_hk2.SenStatReg1_Detector_PW_on_off.att.mnemonic = 'TLM2_SenStatReg1 (Detector PW on/off)';
    g_metadata.packets.instr_hk2.SenStatReg1_Detector_PW_on_off.att.start_bit = '96';
    g_metadata.packets.instr_hk2.SenStatReg1_Detector_PW_on_off.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg1_Detector_PW_on_off.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SenStatReg1_Detector_PW_on_off.att.description = 'Sensor Status Reg. 1(Detector Power On/Off)';
    g_metadata.packets.instr_hk2.SenStatReg1_Detector_PW_on_off.dim = {'hk2_packet'};

    % id 429: TLM2_SenStatReg1 (Cooler Door Cmds Software Acknowledgement)
    g_metadata.packets.instr_hk2.SenStatReg1_Cooler_Door_Cmds_Software_Acknowledgement.att.telemetry_point_id = '429';
    g_metadata.packets.instr_hk2.SenStatReg1_Cooler_Door_Cmds_Software_Acknowledgement.att.mnemonic = 'TLM2_SenStatReg1 (Cooler Door Cmds Software Acknowledgement)';
    g_metadata.packets.instr_hk2.SenStatReg1_Cooler_Door_Cmds_Software_Acknowledgement.att.start_bit = '97';
    g_metadata.packets.instr_hk2.SenStatReg1_Cooler_Door_Cmds_Software_Acknowledgement.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg1_Cooler_Door_Cmds_Software_Acknowledgement.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SenStatReg1_Cooler_Door_Cmds_Software_Acknowledgement.att.description = 'Sensor Status Reg. 1(Cooler Door Cmds Software Acknowledgement)';
    g_metadata.packets.instr_hk2.SenStatReg1_Cooler_Door_Cmds_Software_Acknowledgement.dim = {'hk2_packet'};

    % id 430: TLM2_SenStatReg1 (PCE Side Sel)
    g_metadata.packets.instr_hk2.SenStatReg1_PCE_Side_Sel.att.telemetry_point_id = '430';
    g_metadata.packets.instr_hk2.SenStatReg1_PCE_Side_Sel.att.mnemonic = 'TLM2_SenStatReg1 (PCE Side Sel)';
    g_metadata.packets.instr_hk2.SenStatReg1_PCE_Side_Sel.att.start_bit = '98';
    g_metadata.packets.instr_hk2.SenStatReg1_PCE_Side_Sel.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg1_PCE_Side_Sel.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SenStatReg1_PCE_Side_Sel.att.description = 'Sensor Status Reg. 1(PCE Side Selected)';
    g_metadata.packets.instr_hk2.SenStatReg1_PCE_Side_Sel.dim = {'hk2_packet'};

    % id 431: TLM2_SenStatReg1 (SSM Prime PW Relay)
    g_metadata.packets.instr_hk2.SenStatReg1_SSM_Prime_PW_Relay.att.telemetry_point_id = '431';
    g_metadata.packets.instr_hk2.SenStatReg1_SSM_Prime_PW_Relay.att.mnemonic = 'TLM2_SenStatReg1 (SSM Prime PW Relay)';
    g_metadata.packets.instr_hk2.SenStatReg1_SSM_Prime_PW_Relay.att.start_bit = '99';
    g_metadata.packets.instr_hk2.SenStatReg1_SSM_Prime_PW_Relay.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg1_SSM_Prime_PW_Relay.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SenStatReg1_SSM_Prime_PW_Relay.att.description = 'Sensor Status Reg. 1(SSM Prime Power Relay On/Off)';
    g_metadata.packets.instr_hk2.SenStatReg1_SSM_Prime_PW_Relay.dim = {'hk2_packet'};

    % id 432: TLM2_SenStatReg1 (Reserved)
    g_metadata.packets.instr_hk2.SenStatReg1_Reserved.att.telemetry_point_id = '432';
    g_metadata.packets.instr_hk2.SenStatReg1_Reserved.att.mnemonic = 'TLM2_SenStatReg1 (Reserved)';
    g_metadata.packets.instr_hk2.SenStatReg1_Reserved.att.start_bit = '100';
    g_metadata.packets.instr_hk2.SenStatReg1_Reserved.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg1_Reserved.att.num_bits = '3';
    g_metadata.packets.instr_hk2.SenStatReg1_Reserved.att.description = 'Sensor Status Reg. 1(Reserved)';
    g_metadata.packets.instr_hk2.SenStatReg1_Reserved.dim = {'hk2_packet'};

    % id 433: TLM2_SenStatReg1 (Quiet Conv on/off)
    g_metadata.packets.instr_hk2.SenStatReg1_Quiet_Conv_on_off.att.telemetry_point_id = '433';
    g_metadata.packets.instr_hk2.SenStatReg1_Quiet_Conv_on_off.att.mnemonic = 'TLM2_SenStatReg1 (Quiet Conv on/off)';
    g_metadata.packets.instr_hk2.SenStatReg1_Quiet_Conv_on_off.att.start_bit = '103';
    g_metadata.packets.instr_hk2.SenStatReg1_Quiet_Conv_on_off.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg1_Quiet_Conv_on_off.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SenStatReg1_Quiet_Conv_on_off.att.description = 'Sensor Status Reg. 1(Quiet converter On/Off)';
    g_metadata.packets.instr_hk2.SenStatReg1_Quiet_Conv_on_off.dim = {'hk2_packet'};

    % id 434: TLM2_SenStatReg1 (Spare)
    g_metadata.packets.instr_hk2.SenStatReg1_Spare.att.telemetry_point_id = '434';
    g_metadata.packets.instr_hk2.SenStatReg1_Spare.att.mnemonic = 'TLM2_SenStatReg1 (Spare)';
    g_metadata.packets.instr_hk2.SenStatReg1_Spare.att.start_bit = '104';
    g_metadata.packets.instr_hk2.SenStatReg1_Spare.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg1_Spare.att.num_bits = '2';
    g_metadata.packets.instr_hk2.SenStatReg1_Spare.att.description = 'Sensor Status Reg. 1(Spare)';
    g_metadata.packets.instr_hk2.SenStatReg1_Spare.dim = {'hk2_packet'};

    % id 435: TLM2_SenStatReg1 (Signal Proc on/off)
    g_metadata.packets.instr_hk2.SenStatReg1_Signal_Proc_on_off.att.telemetry_point_id = '435';
    g_metadata.packets.instr_hk2.SenStatReg1_Signal_Proc_on_off.att.mnemonic = 'TLM2_SenStatReg1 (Signal Proc on/off)';
    g_metadata.packets.instr_hk2.SenStatReg1_Signal_Proc_on_off.att.start_bit = '106';
    g_metadata.packets.instr_hk2.SenStatReg1_Signal_Proc_on_off.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg1_Signal_Proc_on_off.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SenStatReg1_Signal_Proc_on_off.att.description = 'Sensor Status Reg. 1(Signal Processor On/Off)';
    g_metadata.packets.instr_hk2.SenStatReg1_Signal_Proc_on_off.dim = {'hk2_packet'};

    % id 436: TLM2_SenStatReg1 (Cooler Door 28V Actuator PW App)
    g_metadata.packets.instr_hk2.SenStatReg1_Cooler_Door_28V_Actuator_PW_App.att.telemetry_point_id = '436';
    g_metadata.packets.instr_hk2.SenStatReg1_Cooler_Door_28V_Actuator_PW_App.att.mnemonic = 'TLM2_SenStatReg1 (Cooler Door 28V Actuator PW App)';
    g_metadata.packets.instr_hk2.SenStatReg1_Cooler_Door_28V_Actuator_PW_App.att.start_bit = '107';
    g_metadata.packets.instr_hk2.SenStatReg1_Cooler_Door_28V_Actuator_PW_App.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg1_Cooler_Door_28V_Actuator_PW_App.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SenStatReg1_Cooler_Door_28V_Actuator_PW_App.att.description = 'Sensor Status Reg. 1(Cooler Door 28V Actuator Power Application)';
    g_metadata.packets.instr_hk2.SenStatReg1_Cooler_Door_28V_Actuator_PW_App.dim = {'hk2_packet'};

    % id 437: TLM2_SenStatReg1 (+150V Conv on/off)
    g_metadata.packets.instr_hk2.SenStatReg1_150V_Conv_on_off.att.telemetry_point_id = '437';
    g_metadata.packets.instr_hk2.SenStatReg1_150V_Conv_on_off.att.mnemonic = 'TLM2_SenStatReg1 (+150V Conv on/off)';
    g_metadata.packets.instr_hk2.SenStatReg1_150V_Conv_on_off.att.start_bit = '108';
    g_metadata.packets.instr_hk2.SenStatReg1_150V_Conv_on_off.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg1_150V_Conv_on_off.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SenStatReg1_150V_Conv_on_off.att.description = 'Sensor Status Reg. 1(+150V converter On/Off)';
    g_metadata.packets.instr_hk2.SenStatReg1_150V_Conv_on_off.dim = {'hk2_packet'};

    % id 438: TLM2_SenStatReg1 (Therm/Neon Ctrl - PCE PS Stat)
    g_metadata.packets.instr_hk2.SenStatReg1_Therm_Neon_Ctrl_PCE_PS_Stat.att.telemetry_point_id = '438';
    g_metadata.packets.instr_hk2.SenStatReg1_Therm_Neon_Ctrl_PCE_PS_Stat.att.mnemonic = 'TLM2_SenStatReg1 (Therm/Neon Ctrl - PCE PS Stat)';
    g_metadata.packets.instr_hk2.SenStatReg1_Therm_Neon_Ctrl_PCE_PS_Stat.att.start_bit = '109';
    g_metadata.packets.instr_hk2.SenStatReg1_Therm_Neon_Ctrl_PCE_PS_Stat.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg1_Therm_Neon_Ctrl_PCE_PS_Stat.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SenStatReg1_Therm_Neon_Ctrl_PCE_PS_Stat.att.description = 'Sensor Status Reg. 1(Thermal/Neon Ctrl - PCE Power Supply Status)';
    g_metadata.packets.instr_hk2.SenStatReg1_Therm_Neon_Ctrl_PCE_PS_Stat.dim = {'hk2_packet'};

    % id 439: TLM2_SenStatReg1 (HK Mux Enable/Disable
    g_metadata.packets.instr_hk2.SenStatReg1_HK_Mux_Enable_Disable.att.telemetry_point_id = '439';
    g_metadata.packets.instr_hk2.SenStatReg1_HK_Mux_Enable_Disable.att.mnemonic = 'TLM2_SenStatReg1 (HK Mux Enable/Disable';
    g_metadata.packets.instr_hk2.SenStatReg1_HK_Mux_Enable_Disable.att.start_bit = '110';
    g_metadata.packets.instr_hk2.SenStatReg1_HK_Mux_Enable_Disable.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg1_HK_Mux_Enable_Disable.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SenStatReg1_HK_Mux_Enable_Disable.att.description = 'Sensor Status Reg. 1(HK Mux Enable/Disable)';
    g_metadata.packets.instr_hk2.SenStatReg1_HK_Mux_Enable_Disable.dim = {'hk2_packet'};

    % id 440: TLM2_SenStatReg1 (Inferferometer on/off - PCE PS stat)
    g_metadata.packets.instr_hk2.SenStatReg1_Inferferometer_on_off_PCE_PS_stat.att.telemetry_point_id = '440';
    g_metadata.packets.instr_hk2.SenStatReg1_Inferferometer_on_off_PCE_PS_stat.att.mnemonic = 'TLM2_SenStatReg1 (Inferferometer on/off - PCE PS stat)';
    g_metadata.packets.instr_hk2.SenStatReg1_Inferferometer_on_off_PCE_PS_stat.att.start_bit = '111';
    g_metadata.packets.instr_hk2.SenStatReg1_Inferferometer_on_off_PCE_PS_stat.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg1_Inferferometer_on_off_PCE_PS_stat.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SenStatReg1_Inferferometer_on_off_PCE_PS_stat.att.description = 'Sensor Status Reg. 1(Interferometer On/Off - PCE Power Supply Status)';
    g_metadata.packets.instr_hk2.SenStatReg1_Inferferometer_on_off_PCE_PS_stat.dim = {'hk2_packet'};

    % id 441: TLM2_SenStatReg2 (HK 200ms Sync Enabled/Disabled)
    g_metadata.packets.instr_hk2.SenStatReg2_HK_200ms_Sync_Enabled_Disabled.att.telemetry_point_id = '441';
    g_metadata.packets.instr_hk2.SenStatReg2_HK_200ms_Sync_Enabled_Disabled.att.mnemonic = 'TLM2_SenStatReg2 (HK 200ms Sync Enabled/Disabled)';
    g_metadata.packets.instr_hk2.SenStatReg2_HK_200ms_Sync_Enabled_Disabled.att.start_bit = '112';
    g_metadata.packets.instr_hk2.SenStatReg2_HK_200ms_Sync_Enabled_Disabled.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg2_HK_200ms_Sync_Enabled_Disabled.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SenStatReg2_HK_200ms_Sync_Enabled_Disabled.att.description = 'Sensor Status Reg. 2(HK 200ms Sync Enbl/Dsbl)';
    g_metadata.packets.instr_hk2.SenStatReg2_HK_200ms_Sync_Enabled_Disabled.dim = {'hk2_packet'};

    % id 442: TLM2_SenStatReg2 (Reserved1)
    g_metadata.packets.instr_hk2.SenStatReg2_Reserved1.att.telemetry_point_id = '442';
    g_metadata.packets.instr_hk2.SenStatReg2_Reserved1.att.mnemonic = 'TLM2_SenStatReg2 (Reserved1)';
    g_metadata.packets.instr_hk2.SenStatReg2_Reserved1.att.start_bit = '113';
    g_metadata.packets.instr_hk2.SenStatReg2_Reserved1.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg2_Reserved1.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SenStatReg2_Reserved1.att.description = 'Sensor Status Reg. 2(Reserved)';
    g_metadata.packets.instr_hk2.SenStatReg2_Reserved1.dim = {'hk2_packet'};

    % id 443: TLM2_SenStatReg2 (Sig Proc 200ms Sync Enabled/Disabled)
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_200ms_Sync_Enabled_Disabled.att.telemetry_point_id = '443';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_200ms_Sync_Enabled_Disabled.att.mnemonic = 'TLM2_SenStatReg2 (Sig Proc 200ms Sync Enabled/Disabled)';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_200ms_Sync_Enabled_Disabled.att.start_bit = '114';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_200ms_Sync_Enabled_Disabled.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_200ms_Sync_Enabled_Disabled.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_200ms_Sync_Enabled_Disabled.att.description = 'Sensor Status Reg. 2(Signal Processor 200ms Sync Enbl/Dsbl)';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_200ms_Sync_Enabled_Disabled.dim = {'hk2_packet'};

    % id 444: TLM2_SenStatReg2 (Sig Proc 8 Sec Sync Enabled/Disabled)
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_8_Sec_Sync_Enabled_Disabled.att.telemetry_point_id = '444';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_8_Sec_Sync_Enabled_Disabled.att.mnemonic = 'TLM2_SenStatReg2 (Sig Proc 8 Sec Sync Enabled/Disabled)';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_8_Sec_Sync_Enabled_Disabled.att.start_bit = '115';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_8_Sec_Sync_Enabled_Disabled.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_8_Sec_Sync_Enabled_Disabled.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_8_Sec_Sync_Enabled_Disabled.att.description = 'Sensor Status Reg. 2(Signal Processor 8 sec sync Enbl/Dsbl)';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_8_Sec_Sync_Enabled_Disabled.dim = {'hk2_packet'};

    % id 445: TLM2_SenStatReg2 (Sig Proc 3 Rst)
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_3_Rst.att.telemetry_point_id = '445';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_3_Rst.att.mnemonic = 'TLM2_SenStatReg2 (Sig Proc 3 Rst)';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_3_Rst.att.start_bit = '116';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_3_Rst.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_3_Rst.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_3_Rst.att.description = 'Sensor Status Reg. 2(Signal Processor 3 Reset)';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_3_Rst.dim = {'hk2_packet'};

    % id 446: TLM2_SenStatReg2 (Sig Proc 2 Rst)
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_2_Rst.att.telemetry_point_id = '446';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_2_Rst.att.mnemonic = 'TLM2_SenStatReg2 (Sig Proc 2 Rst)';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_2_Rst.att.start_bit = '117';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_2_Rst.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_2_Rst.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_2_Rst.att.description = 'Sensor Status Reg. 2(Signal Processor 2 Reset)';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_2_Rst.dim = {'hk2_packet'};

    % id 447: TLM2_SenStatReg2 (Sig Proc 1 Rst)
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_1_Rst.att.telemetry_point_id = '447';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_1_Rst.att.mnemonic = 'TLM2_SenStatReg2 (Sig Proc 1 Rst)';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_1_Rst.att.start_bit = '118';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_1_Rst.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_1_Rst.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_1_Rst.att.description = 'Sensor Status Reg. 2(Signal Processor 1 Reset)';
    g_metadata.packets.instr_hk2.SenStatReg2_Sig_Proc_1_Rst.dim = {'hk2_packet'};

    % id 448: TLM2_SenStatReg2 (HK Rst)
    g_metadata.packets.instr_hk2.SenStatReg2_HK_Rst.att.telemetry_point_id = '448';
    g_metadata.packets.instr_hk2.SenStatReg2_HK_Rst.att.mnemonic = 'TLM2_SenStatReg2 (HK Rst)';
    g_metadata.packets.instr_hk2.SenStatReg2_HK_Rst.att.start_bit = '119';
    g_metadata.packets.instr_hk2.SenStatReg2_HK_Rst.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg2_HK_Rst.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SenStatReg2_HK_Rst.att.description = 'Sensor Status Reg. 2(HK Reset)';
    g_metadata.packets.instr_hk2.SenStatReg2_HK_Rst.dim = {'hk2_packet'};

    % id 449: TLM2_SenStatReg2 (FW CCA A Rst)
    g_metadata.packets.instr_hk2.SenStatReg2_FW_CCA_A_Rst.att.telemetry_point_id = '449';
    g_metadata.packets.instr_hk2.SenStatReg2_FW_CCA_A_Rst.att.mnemonic = 'TLM2_SenStatReg2 (FW CCA A Rst)';
    g_metadata.packets.instr_hk2.SenStatReg2_FW_CCA_A_Rst.att.start_bit = '120';
    g_metadata.packets.instr_hk2.SenStatReg2_FW_CCA_A_Rst.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg2_FW_CCA_A_Rst.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SenStatReg2_FW_CCA_A_Rst.att.description = 'Sensor Status Reg. 2(Firewire CCA A Reset)';
    g_metadata.packets.instr_hk2.SenStatReg2_FW_CCA_A_Rst.dim = {'hk2_packet'};

    % id 450: TLM2_SenStatReg2 (FW CCA B Rst)
    g_metadata.packets.instr_hk2.SenStatReg2_FW_CCA_B_Rst.att.telemetry_point_id = '450';
    g_metadata.packets.instr_hk2.SenStatReg2_FW_CCA_B_Rst.att.mnemonic = 'TLM2_SenStatReg2 (FW CCA B Rst)';
    g_metadata.packets.instr_hk2.SenStatReg2_FW_CCA_B_Rst.att.start_bit = '121';
    g_metadata.packets.instr_hk2.SenStatReg2_FW_CCA_B_Rst.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg2_FW_CCA_B_Rst.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SenStatReg2_FW_CCA_B_Rst.att.description = 'Sensor Status Reg. 2(Firewire CCA B Reset)';
    g_metadata.packets.instr_hk2.SenStatReg2_FW_CCA_B_Rst.dim = {'hk2_packet'};

    % id 451: TLM2_SenStatReg2 (Reserved2)
    g_metadata.packets.instr_hk2.SenStatReg2_Reserved2.att.telemetry_point_id = '451';
    g_metadata.packets.instr_hk2.SenStatReg2_Reserved2.att.mnemonic = 'TLM2_SenStatReg2 (Reserved2)';
    g_metadata.packets.instr_hk2.SenStatReg2_Reserved2.att.start_bit = '122';
    g_metadata.packets.instr_hk2.SenStatReg2_Reserved2.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg2_Reserved2.att.num_bits = '2';
    g_metadata.packets.instr_hk2.SenStatReg2_Reserved2.att.description = 'Sensor Status Reg. 2(Reserved)';
    g_metadata.packets.instr_hk2.SenStatReg2_Reserved2.dim = {'hk2_packet'};

    % id 452: TLM2_SenStatReg2 (SCC2 DMA Err Intrpt)
    g_metadata.packets.instr_hk2.SenStatReg2_SCC2_DMA_Err_Intrpt.att.telemetry_point_id = '452';
    g_metadata.packets.instr_hk2.SenStatReg2_SCC2_DMA_Err_Intrpt.att.mnemonic = 'TLM2_SenStatReg2 (SCC2 DMA Err Intrpt)';
    g_metadata.packets.instr_hk2.SenStatReg2_SCC2_DMA_Err_Intrpt.att.start_bit = '124';
    g_metadata.packets.instr_hk2.SenStatReg2_SCC2_DMA_Err_Intrpt.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg2_SCC2_DMA_Err_Intrpt.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SenStatReg2_SCC2_DMA_Err_Intrpt.att.description = 'Sensor Status Reg. 2(Serial Comm Controller 2 DMA Error Interrupt)';
    g_metadata.packets.instr_hk2.SenStatReg2_SCC2_DMA_Err_Intrpt.dim = {'hk2_packet'};

    % id 453: TLM2_SenStatReg2 (SCC1 DMA Err Intrpt)
    g_metadata.packets.instr_hk2.SenStatReg2_SCC1_DMA_Err_Intrpt.att.telemetry_point_id = '453';
    g_metadata.packets.instr_hk2.SenStatReg2_SCC1_DMA_Err_Intrpt.att.mnemonic = 'TLM2_SenStatReg2 (SCC1 DMA Err Intrpt)';
    g_metadata.packets.instr_hk2.SenStatReg2_SCC1_DMA_Err_Intrpt.att.start_bit = '125';
    g_metadata.packets.instr_hk2.SenStatReg2_SCC1_DMA_Err_Intrpt.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg2_SCC1_DMA_Err_Intrpt.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SenStatReg2_SCC1_DMA_Err_Intrpt.att.description = 'Sensor Status Reg. 2(Serial Comm Controller 1 DMA Error Interrupt)';
    g_metadata.packets.instr_hk2.SenStatReg2_SCC1_DMA_Err_Intrpt.dim = {'hk2_packet'};

    % id 454: TLM2_SenStatReg2 (Aux FPGA Brdg Spur Intrpt)
    g_metadata.packets.instr_hk2.SenStatReg2_Aux_FPGA_Brdg_Spur_Intrpt.att.telemetry_point_id = '454';
    g_metadata.packets.instr_hk2.SenStatReg2_Aux_FPGA_Brdg_Spur_Intrpt.att.mnemonic = 'TLM2_SenStatReg2 (Aux FPGA Brdg Spur Intrpt)';
    g_metadata.packets.instr_hk2.SenStatReg2_Aux_FPGA_Brdg_Spur_Intrpt.att.start_bit = '126';
    g_metadata.packets.instr_hk2.SenStatReg2_Aux_FPGA_Brdg_Spur_Intrpt.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg2_Aux_FPGA_Brdg_Spur_Intrpt.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SenStatReg2_Aux_FPGA_Brdg_Spur_Intrpt.att.description = 'Sensor Status Reg. 2(Auxiliary FPGA Bridgee Spurious Interrupt)';
    g_metadata.packets.instr_hk2.SenStatReg2_Aux_FPGA_Brdg_Spur_Intrpt.dim = {'hk2_packet'};

    % id 455: TLM2_SenStatReg2 (Aux FPGA Brdg Invalid Intrpt)
    g_metadata.packets.instr_hk2.SenStatReg2_Aux_FPGA_Brdg_Invalid_Intrpt.att.telemetry_point_id = '455';
    g_metadata.packets.instr_hk2.SenStatReg2_Aux_FPGA_Brdg_Invalid_Intrpt.att.mnemonic = 'TLM2_SenStatReg2 (Aux FPGA Brdg Invalid Intrpt)';
    g_metadata.packets.instr_hk2.SenStatReg2_Aux_FPGA_Brdg_Invalid_Intrpt.att.start_bit = '127';
    g_metadata.packets.instr_hk2.SenStatReg2_Aux_FPGA_Brdg_Invalid_Intrpt.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SenStatReg2_Aux_FPGA_Brdg_Invalid_Intrpt.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SenStatReg2_Aux_FPGA_Brdg_Invalid_Intrpt.att.description = 'Sensor Status Reg. 2(Auxiliary FPGA Bridge Invalid Interrupt)';
    g_metadata.packets.instr_hk2.SenStatReg2_Aux_FPGA_Brdg_Invalid_Intrpt.dim = {'hk2_packet'};

    % id 456: TLM2_FswExErrStatReg1 (Safe Mode is EN)
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Safe_Mode_is_EN.att.telemetry_point_id = '456';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Safe_Mode_is_EN.att.mnemonic = 'TLM2_FswExErrStatReg1 (Safe Mode is EN)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Safe_Mode_is_EN.att.start_bit = '128';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Safe_Mode_is_EN.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Safe_Mode_is_EN.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Safe_Mode_is_EN.att.description = 'FSW Exc. Error Status Reg. 1(Safe Mode Is Enabled)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Safe_Mode_is_EN.dim = {'hk2_packet'};

    % id 457: TLM2_FswExErrStatReg1 (Cmd Rejected)
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Cmd_Rejected.att.telemetry_point_id = '457';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Cmd_Rejected.att.mnemonic = 'TLM2_FswExErrStatReg1 (Cmd Rejected)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Cmd_Rejected.att.start_bit = '129';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Cmd_Rejected.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Cmd_Rejected.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Cmd_Rejected.att.description = 'FSW Exc. Error Status Reg. 1(Cmd Rejected)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Cmd_Rejected.dim = {'hk2_packet'};

    % id 458: TLM2_FswExErrStatReg1 (Module Not Powered On)
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Module_Not_Powered_On.att.telemetry_point_id = '458';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Module_Not_Powered_On.att.mnemonic = 'TLM2_FswExErrStatReg1 (Module Not Powered On)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Module_Not_Powered_On.att.start_bit = '130';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Module_Not_Powered_On.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Module_Not_Powered_On.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Module_Not_Powered_On.att.description = 'FSW Exc. Error Status Reg. 1(Module Not Powered On)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Module_Not_Powered_On.dim = {'hk2_packet'};

    % id 459: TLM2_FswExErrStatReg1 (Cannot Auton Enter Safe Mode)
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Cannot_Auton_Enter_Safe_Mode.att.telemetry_point_id = '459';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Cannot_Auton_Enter_Safe_Mode.att.mnemonic = 'TLM2_FswExErrStatReg1 (Cannot Auton Enter Safe Mode)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Cannot_Auton_Enter_Safe_Mode.att.start_bit = '131';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Cannot_Auton_Enter_Safe_Mode.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Cannot_Auton_Enter_Safe_Mode.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Cannot_Auton_Enter_Safe_Mode.att.description = 'FSW Exc. Error Status Reg. 1(Cannot Autonomously Enter Safe Mode)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Cannot_Auton_Enter_Safe_Mode.dim = {'hk2_packet'};

    % id 460: TLM2_FswExErrStatReg1 (Sftw UL EN)
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_EN.att.telemetry_point_id = '460';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_EN.att.mnemonic = 'TLM2_FswExErrStatReg1 (Sftw UL EN)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_EN.att.start_bit = '132';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_EN.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_EN.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_EN.att.description = 'FSW Exc. Error Status Reg. 1(Software Upload Is Enabled)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_EN.dim = {'hk2_packet'};

    % id 461: TLM2_FswExErrStatReg1 (Sftw UL success)
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_success.att.telemetry_point_id = '461';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_success.att.mnemonic = 'TLM2_FswExErrStatReg1 (Sftw UL success)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_success.att.start_bit = '133';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_success.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_success.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_success.att.description = 'FSW Exc. Error Status Reg. 1(Software Upload Successful )';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_success.dim = {'hk2_packet'};

    % id 462: TLM2_FswExErrStatReg1 (Sftw UL CRC Failed)
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_CRC_Failed.att.telemetry_point_id = '462';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_CRC_Failed.att.mnemonic = 'TLM2_FswExErrStatReg1 (Sftw UL CRC Failed)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_CRC_Failed.att.start_bit = '134';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_CRC_Failed.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_CRC_Failed.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_CRC_Failed.att.description = 'FSW Exc. Error Status Reg. 1(Software Upload CRC Failed)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_CRC_Failed.dim = {'hk2_packet'};

    % id 463: TLM2_FswExErrStatReg1 (Sftw UL Aborted)
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_Aborted.att.telemetry_point_id = '463';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_Aborted.att.mnemonic = 'TLM2_FswExErrStatReg1 (Sftw UL Aborted)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_Aborted.att.start_bit = '135';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_Aborted.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_Aborted.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_Aborted.att.description = 'FSW Exc. Error Status Reg. 1(Software Upload Aborted)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_Aborted.dim = {'hk2_packet'};

    % id 464: TLM2_FswExErrStatReg1 (Sftw UL Img Not Pres)
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_Img_Not_Pres.att.telemetry_point_id = '464';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_Img_Not_Pres.att.mnemonic = 'TLM2_FswExErrStatReg1 (Sftw UL Img Not Pres)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_Img_Not_Pres.att.start_bit = '136';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_Img_Not_Pres.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_Img_Not_Pres.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_Img_Not_Pres.att.description = 'FSW Exc. Error Status Reg. 1(Software Upload Image Not Present)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Sftw_UL_Img_Not_Pres.dim = {'hk2_packet'};

    % id 465: TLM2_FswExErrStatReg1 (illegal Neon Calib Time)
    g_metadata.packets.instr_hk2.FswExErrStatReg1_illegal_Neon_Calib_Time.att.telemetry_point_id = '465';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_illegal_Neon_Calib_Time.att.mnemonic = 'TLM2_FswExErrStatReg1 (illegal Neon Calib Time)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_illegal_Neon_Calib_Time.att.start_bit = '137';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_illegal_Neon_Calib_Time.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_illegal_Neon_Calib_Time.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_illegal_Neon_Calib_Time.att.description = 'FSW Exc. Error Status Reg. 1(Illegal Neon Cal. Time)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_illegal_Neon_Calib_Time.dim = {'hk2_packet'};

    % id 466: TLM2_FswExErrStatReg1 (En Cooler Door Before Releasing)
    g_metadata.packets.instr_hk2.FswExErrStatReg1_En_Cooler_Door_Before_Releasing.att.telemetry_point_id = '466';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_En_Cooler_Door_Before_Releasing.att.mnemonic = 'TLM2_FswExErrStatReg1 (En Cooler Door Before Releasing)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_En_Cooler_Door_Before_Releasing.att.start_bit = '138';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_En_Cooler_Door_Before_Releasing.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_En_Cooler_Door_Before_Releasing.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_En_Cooler_Door_Before_Releasing.att.description = 'FSW Exc. Error Status Reg. 1(Enable Cooler Door Before Releasing)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_En_Cooler_Door_Before_Releasing.dim = {'hk2_packet'};

    % id 467: TLM2_FswExErrStatReg1 (Invld Cmd Par)
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Invld_Cmd_Par.att.telemetry_point_id = '467';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Invld_Cmd_Par.att.mnemonic = 'TLM2_FswExErrStatReg1 (Invld Cmd Par)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Invld_Cmd_Par.att.start_bit = '139';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Invld_Cmd_Par.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Invld_Cmd_Par.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Invld_Cmd_Par.att.description = 'FSW Exc. Error Status Reg. 1(Invalid Cmd Parameters)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Invld_Cmd_Par.dim = {'hk2_packet'};

    % id 468: TLM2_FswExErrStatReg1 (Default Case Reached)
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Default_Case_Reached.att.telemetry_point_id = '468';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Default_Case_Reached.att.mnemonic = 'TLM2_FswExErrStatReg1 (Default Case Reached)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Default_Case_Reached.att.start_bit = '140';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Default_Case_Reached.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Default_Case_Reached.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Default_Case_Reached.att.description = 'FSW Exc. Error Status Reg. 1(Default Case Reached)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_Default_Case_Reached.dim = {'hk2_packet'};

    % id 469: TLM2_FswExErrStatReg1 (MQ Rcv Error)
    g_metadata.packets.instr_hk2.FswExErrStatReg1_MQ_Rcv_Error.att.telemetry_point_id = '469';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_MQ_Rcv_Error.att.mnemonic = 'TLM2_FswExErrStatReg1 (MQ Rcv Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_MQ_Rcv_Error.att.start_bit = '141';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_MQ_Rcv_Error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_MQ_Rcv_Error.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_MQ_Rcv_Error.att.description = 'FSW Exc. Error Status Reg. 1(Message Queue Receive Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_MQ_Rcv_Error.dim = {'hk2_packet'};

    % id 470: TLM2_FswExErrStatReg1 (MQ Snd Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg1_MQ_Snd_Err.att.telemetry_point_id = '470';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_MQ_Snd_Err.att.mnemonic = 'TLM2_FswExErrStatReg1 (MQ Snd Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_MQ_Snd_Err.att.start_bit = '142';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_MQ_Snd_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_MQ_Snd_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_MQ_Snd_Err.att.description = 'FSW Exc. Error Status Reg. 1(Message Queue Send Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_MQ_Snd_Err.dim = {'hk2_packet'};

    % id 471: TLM2_FswExErrStatReg1 (OS Func Call Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg1_OS_Func_Call_Err.att.telemetry_point_id = '471';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_OS_Func_Call_Err.att.mnemonic = 'TLM2_FswExErrStatReg1 (OS Func Call Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_OS_Func_Call_Err.att.start_bit = '143';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_OS_Func_Call_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_OS_Func_Call_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_OS_Func_Call_Err.att.description = 'FSW Exc. Error Status Reg. 1(Operating System Function Call Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg1_OS_Func_Call_Err.dim = {'hk2_packet'};

    % id 472: TLM2_FswExErrStatReg2 (Sub Patch Temp Thres Monitor)
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Sub_Patch_Temp_Thres_Monitor.att.telemetry_point_id = '472';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Sub_Patch_Temp_Thres_Monitor.att.mnemonic = 'TLM2_FswExErrStatReg2 (Sub Patch Temp Thres Monitor)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Sub_Patch_Temp_Thres_Monitor.att.start_bit = '144';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Sub_Patch_Temp_Thres_Monitor.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Sub_Patch_Temp_Thres_Monitor.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Sub_Patch_Temp_Thres_Monitor.att.description = 'FSW Exc. Error Status Reg. 2(Sub Patch Temp Threshold Monitoring)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Sub_Patch_Temp_Thres_Monitor.dim = {'hk2_packet'};

    % id 473: TLM2_FswExErrStatReg2 (Patch Temp Thres Monitor)
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Patch_Temp_Thres_Monitor.att.telemetry_point_id = '473';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Patch_Temp_Thres_Monitor.att.mnemonic = 'TLM2_FswExErrStatReg2 (Patch Temp Thres Monitor)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Patch_Temp_Thres_Monitor.att.start_bit = '145';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Patch_Temp_Thres_Monitor.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Patch_Temp_Thres_Monitor.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Patch_Temp_Thres_Monitor.att.description = 'FSW Exc. Error Status Reg. 2(Patch Temp Threshold Monitoring)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Patch_Temp_Thres_Monitor.dim = {'hk2_packet'};

    % id 474: TLM2_FswExErrStatReg2 ( Sig Proc 5V OverVoltage Thresh Monitor)
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Sig_Proc_5V_OverVoltage_Thresh_Monitor.att.telemetry_point_id = '474';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Sig_Proc_5V_OverVoltage_Thresh_Monitor.att.mnemonic = 'TLM2_FswExErrStatReg2 ( Sig Proc 5V OverVoltage Thresh Monitor)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Sig_Proc_5V_OverVoltage_Thresh_Monitor.att.start_bit = '146';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Sig_Proc_5V_OverVoltage_Thresh_Monitor.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Sig_Proc_5V_OverVoltage_Thresh_Monitor.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Sig_Proc_5V_OverVoltage_Thresh_Monitor.att.description = 'FSW Exc. Error Status Reg. 2(Signal Processing +/- 5V OV Threshold Monitoring)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Sig_Proc_5V_OverVoltage_Thresh_Monitor.dim = {'hk2_packet'};

    % id 475: TLM2_FswExErrStatReg2 (SwNotPettingWatchdog)
    g_metadata.packets.instr_hk2.FswExErrStatReg2_SwNotPettingWatchdog.att.telemetry_point_id = '475';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_SwNotPettingWatchdog.att.mnemonic = 'TLM2_FswExErrStatReg2 (SwNotPettingWatchdog)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_SwNotPettingWatchdog.att.start_bit = '147';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_SwNotPettingWatchdog.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_SwNotPettingWatchdog.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_SwNotPettingWatchdog.att.description = 'FSW Exc. Error Status Reg. 2(SwNotPettingWatchdog)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_SwNotPettingWatchdog.dim = {'hk2_packet'};

    % id 15890: TLM2_FswExErrStatReg2 (SwTaskNotResponding)
    g_metadata.packets.instr_hk2.FswExErrStatReg2_SwTaskNotResponding.att.telemetry_point_id = '15890';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_SwTaskNotResponding.att.mnemonic = 'TLM2_FswExErrStatReg2 (SwTaskNotResponding)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_SwTaskNotResponding.att.start_bit = '148';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_SwTaskNotResponding.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_SwTaskNotResponding.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_SwTaskNotResponding.att.description = 'FSW Exc. Error Status Reg. 2(SwTaskNotResponding)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_SwTaskNotResponding.dim = {'hk2_packet'};

    % id 476: TLM2_FswExErrStatReg2 (EEPROM general error)
    g_metadata.packets.instr_hk2.FswExErrStatReg2_EEPROM_general_error.att.telemetry_point_id = '476';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_EEPROM_general_error.att.mnemonic = 'TLM2_FswExErrStatReg2 (EEPROM general error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_EEPROM_general_error.att.start_bit = '149';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_EEPROM_general_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_EEPROM_general_error.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_EEPROM_general_error.att.description = 'FSW Exc. Error Status Reg. 2(EEPROM General Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_EEPROM_general_error.dim = {'hk2_packet'};

    % id 477: TLM2_FswExErrStatReg2 (EEPROM write error)
    g_metadata.packets.instr_hk2.FswExErrStatReg2_EEPROM_write_error.att.telemetry_point_id = '477';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_EEPROM_write_error.att.mnemonic = 'TLM2_FswExErrStatReg2 (EEPROM write error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_EEPROM_write_error.att.start_bit = '150';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_EEPROM_write_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_EEPROM_write_error.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_EEPROM_write_error.att.description = 'FSW Exc. Error Status Reg. 2(EEPROM Write Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_EEPROM_write_error.dim = {'hk2_packet'};

    % id 478: TLM2_FswExErrStatReg2 (Isr Missing 8 Sec int)
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Missing_8_Sec_int.att.telemetry_point_id = '478';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Missing_8_Sec_int.att.mnemonic = 'TLM2_FswExErrStatReg2 (Isr Missing 8 Sec int)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Missing_8_Sec_int.att.start_bit = '151';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Missing_8_Sec_int.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Missing_8_Sec_int.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Missing_8_Sec_int.att.description = 'FSW Exc. Error Status Reg. 2(ISR - Missing 8sec Int)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Missing_8_Sec_int.dim = {'hk2_packet'};

    % id 479: TLM2_FswExErrStatReg2 (Isr Early 8 Sec int)
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Early_8_Sec_int.att.telemetry_point_id = '479';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Early_8_Sec_int.att.mnemonic = 'TLM2_FswExErrStatReg2 (Isr Early 8 Sec int)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Early_8_Sec_int.att.start_bit = '152';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Early_8_Sec_int.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Early_8_Sec_int.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Early_8_Sec_int.att.description = 'FSW Exc. Error Status Reg. 2(ISR - Early 8sec Int)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Early_8_Sec_int.dim = {'hk2_packet'};

    % id 480: TLM2_FswExErrStatReg2 (Isr unexpected int)
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_unexpected_int.att.telemetry_point_id = '480';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_unexpected_int.att.mnemonic = 'TLM2_FswExErrStatReg2 (Isr unexpected int)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_unexpected_int.att.start_bit = '153';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_unexpected_int.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_unexpected_int.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_unexpected_int.att.description = 'FSW Exc. Error Status Reg. 2(ISR - Unexpected Int)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_unexpected_int.dim = {'hk2_packet'};

    % id 481: TLM2_FswExErrStatReg2 (Isr Invld int)
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Invld_int.att.telemetry_point_id = '481';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Invld_int.att.mnemonic = 'TLM2_FswExErrStatReg2 (Isr Invld int)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Invld_int.att.start_bit = '154';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Invld_int.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Invld_int.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Invld_int.att.description = 'FSW Exc. Error Status Reg. 2(ISR - Invalid Int)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Invld_int.dim = {'hk2_packet'};

    % id 482: TLM2_FswExErrStatReg2 (Isr Msg Queue Tx Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Msg_Queue_Tx_Err.att.telemetry_point_id = '482';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Msg_Queue_Tx_Err.att.mnemonic = 'TLM2_FswExErrStatReg2 (Isr Msg Queue Tx Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Msg_Queue_Tx_Err.att.start_bit = '155';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Msg_Queue_Tx_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Msg_Queue_Tx_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Msg_Queue_Tx_Err.att.description = 'FSW Exc. Error Status Reg. 2(ISR - Message queue tx error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Isr_Msg_Queue_Tx_Err.dim = {'hk2_packet'};

    % id 483: TLM2_FswExErrStatReg2 (Free Mem Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Free_Mem_Err.att.telemetry_point_id = '483';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Free_Mem_Err.att.mnemonic = 'TLM2_FswExErrStatReg2 (Free Mem Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Free_Mem_Err.att.start_bit = '156';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Free_Mem_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Free_Mem_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Free_Mem_Err.att.description = 'FSW Exc. Error Status Reg. 2(Free Memory Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Free_Mem_Err.dim = {'hk2_packet'};

    % id 484: TLM2_FswExErrStatReg2 (Alloc Mem Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Alloc_Mem_Err.att.telemetry_point_id = '484';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Alloc_Mem_Err.att.mnemonic = 'TLM2_FswExErrStatReg2 (Alloc Mem Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Alloc_Mem_Err.att.start_bit = '157';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Alloc_Mem_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Alloc_Mem_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Alloc_Mem_Err.att.description = 'FSW Exc. Error Status Reg. 2(Allocate Memory Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Alloc_Mem_Err.dim = {'hk2_packet'};

    % id 485: TLM2_FswExErrStatReg2 (Neon Lmp Calib)
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Neon_Lmp_Calib.att.telemetry_point_id = '485';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Neon_Lmp_Calib.att.mnemonic = 'TLM2_FswExErrStatReg2 (Neon Lmp Calib)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Neon_Lmp_Calib.att.start_bit = '158';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Neon_Lmp_Calib.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Neon_Lmp_Calib.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Neon_Lmp_Calib.att.description = 'FSW Exc. Error Status Reg. 2(Neon Lamp is Calibrated)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_Neon_Lmp_Calib.dim = {'hk2_packet'};

    % id 486: TLM2_FswExErrStatReg2 (EEPROM being Accessed)
    g_metadata.packets.instr_hk2.FswExErrStatReg2_EEPROM_being_Accessed.att.telemetry_point_id = '486';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_EEPROM_being_Accessed.att.mnemonic = 'TLM2_FswExErrStatReg2 (EEPROM being Accessed)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_EEPROM_being_Accessed.att.start_bit = '159';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_EEPROM_being_Accessed.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_EEPROM_being_Accessed.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_EEPROM_being_Accessed.att.description = 'FSW Exc. Error Status Reg. 2(EEPROM is being Accessed)';
    g_metadata.packets.instr_hk2.FswExErrStatReg2_EEPROM_being_Accessed.dim = {'hk2_packet'};

    % id 487: TLM2_FswExErrStatReg 3 (Sig Proc 5V OverVoltage Thresh Stat)
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Sig_Proc_5V_OverVoltage_Thresh_Stat.att.telemetry_point_id = '487';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Sig_Proc_5V_OverVoltage_Thresh_Stat.att.mnemonic = 'TLM2_FswExErrStatReg 3 (Sig Proc 5V OverVoltage Thresh Stat)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Sig_Proc_5V_OverVoltage_Thresh_Stat.att.start_bit = '160';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Sig_Proc_5V_OverVoltage_Thresh_Stat.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Sig_Proc_5V_OverVoltage_Thresh_Stat.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Sig_Proc_5V_OverVoltage_Thresh_Stat.att.description = 'FSW Exc. Error Status Reg. 3(Signal Processing +/- 5V OV Threshold Status)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Sig_Proc_5V_OverVoltage_Thresh_Stat.dim = {'hk2_packet'};

    % id 488: TLM2_FswExErrStatReg 3 (Diag Mode Setting)
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Diag_Mode_Setting.att.telemetry_point_id = '488';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Diag_Mode_Setting.att.mnemonic = 'TLM2_FswExErrStatReg 3 (Diag Mode Setting)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Diag_Mode_Setting.att.start_bit = '161';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Diag_Mode_Setting.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Diag_Mode_Setting.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Diag_Mode_Setting.att.description = 'FSW Exc. Error Status Reg. 3(Diag Dwell Mode Setting)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Diag_Mode_Setting.dim = {'hk2_packet'};

    % id 489: TLM2_FswExErrStatReg 3 (Sub Patch Temp Thresh Stat)
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Sub_Patch_Temp_Thresh_Stat.att.telemetry_point_id = '489';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Sub_Patch_Temp_Thresh_Stat.att.mnemonic = 'TLM2_FswExErrStatReg 3 (Sub Patch Temp Thresh Stat)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Sub_Patch_Temp_Thresh_Stat.att.start_bit = '162';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Sub_Patch_Temp_Thresh_Stat.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Sub_Patch_Temp_Thresh_Stat.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Sub_Patch_Temp_Thresh_Stat.att.description = 'FSW Exc. Error Status Reg. 3(Sub Patch Temp Threshold Status)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Sub_Patch_Temp_Thresh_Stat.dim = {'hk2_packet'};

    % id 490: TLM2_FswExErrStatReg 3 (Patch Temp Thresh Stat)
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Patch_Temp_Thresh_Stat.att.telemetry_point_id = '490';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Patch_Temp_Thresh_Stat.att.mnemonic = 'TLM2_FswExErrStatReg 3 (Patch Temp Thresh Stat)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Patch_Temp_Thresh_Stat.att.start_bit = '163';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Patch_Temp_Thresh_Stat.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Patch_Temp_Thresh_Stat.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Patch_Temp_Thresh_Stat.att.description = 'FSW Exc. Error Status Reg. 3(Patch Temp Threshold Status)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Patch_Temp_Thresh_Stat.dim = {'hk2_packet'};

    % id 491: TLM2_FswExErrStatReg 3 (PCE HK Tele Valid)
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_PCE_HK_Tele_Valid.att.telemetry_point_id = '491';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_PCE_HK_Tele_Valid.att.mnemonic = 'TLM2_FswExErrStatReg 3 (PCE HK Tele Valid)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_PCE_HK_Tele_Valid.att.start_bit = '164';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_PCE_HK_Tele_Valid.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_PCE_HK_Tele_Valid.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_PCE_HK_Tele_Valid.att.description = 'FSW Exc. Error Status Reg. 3(PCE HK Tlm Valid)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_PCE_HK_Tele_Valid.dim = {'hk2_packet'};

    % id 492: TLM2_FswExErrStatReg 3 (Cmd Rejected)
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Cmd_Rejected.att.telemetry_point_id = '492';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Cmd_Rejected.att.mnemonic = 'TLM2_FswExErrStatReg 3 (Cmd Rejected)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Cmd_Rejected.att.start_bit = '165';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Cmd_Rejected.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Cmd_Rejected.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Cmd_Rejected.att.description = 'FSW Exc. Error Status Reg. 3(Cmd Rejected)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Cmd_Rejected.dim = {'hk2_packet'};

    % id 493: TLM2_FswExErrStatReg 3 (PCI Config Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_PCI_Config_Err.att.telemetry_point_id = '493';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_PCI_Config_Err.att.mnemonic = 'TLM2_FswExErrStatReg 3 (PCI Config Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_PCI_Config_Err.att.start_bit = '166';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_PCI_Config_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_PCI_Config_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_PCI_Config_Err.att.description = 'FSW Exc. Error Status Reg. 3(PCI Configuration Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_PCI_Config_Err.dim = {'hk2_packet'};

    % id 494: TLM2_FswExErrStatReg 3 (Init Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Init_Err.att.telemetry_point_id = '494';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Init_Err.att.mnemonic = 'TLM2_FswExErrStatReg 3 (Init Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Init_Err.att.start_bit = '167';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Init_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Init_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Init_Err.att.description = 'FSW Exc. Error Status Reg. 3(Initialization Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Init_Err.dim = {'hk2_packet'};

    % id 495: TLM2_FswExErrStatReg 3 (Too Much Tele Sent)
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Too_Much_Tele_Sent.att.telemetry_point_id = '495';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Too_Much_Tele_Sent.att.mnemonic = 'TLM2_FswExErrStatReg 3 (Too Much Tele Sent)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Too_Much_Tele_Sent.att.start_bit = '168';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Too_Much_Tele_Sent.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Too_Much_Tele_Sent.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Too_Much_Tele_Sent.att.description = 'FSW Exc. Error Status Reg. 3(Too Much Tlm Sent)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Too_Much_Tele_Sent.dim = {'hk2_packet'};

    % id 496: TLM2_FswExErrStatReg 3 (Too Few Tele Sent)
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Too_Few_Tele_Sent.att.telemetry_point_id = '496';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Too_Few_Tele_Sent.att.mnemonic = 'TLM2_FswExErrStatReg 3 (Too Few Tele Sent)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Too_Few_Tele_Sent.att.start_bit = '169';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Too_Few_Tele_Sent.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Too_Few_Tele_Sent.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Too_Few_Tele_Sent.att.description = 'FSW Exc. Error Status Reg. 3(Too Few Tlm Sent)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Too_Few_Tele_Sent.dim = {'hk2_packet'};

    % id 497: TLM2_FswExErrStatReg 3 (Invld Cmd Par)
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Invld_Cmd_Par.att.telemetry_point_id = '497';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Invld_Cmd_Par.att.mnemonic = 'TLM2_FswExErrStatReg 3 (Invld Cmd Par)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Invld_Cmd_Par.att.start_bit = '170';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Invld_Cmd_Par.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Invld_Cmd_Par.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Invld_Cmd_Par.att.description = 'FSW Exc. Error Status Reg. 3(Invalid Cmd Parameters)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Invld_Cmd_Par.dim = {'hk2_packet'};

    % id 498: TLM2_FswExErrStatReg 3 (Invld Mem Bank)
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Invld_Mem_Bank.att.telemetry_point_id = '498';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Invld_Mem_Bank.att.mnemonic = 'TLM2_FswExErrStatReg 3 (Invld Mem Bank)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Invld_Mem_Bank.att.start_bit = '171';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Invld_Mem_Bank.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Invld_Mem_Bank.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Invld_Mem_Bank.att.description = 'FSW Exc. Error Status Reg. 3(Invalid Memory Bank)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Invld_Mem_Bank.dim = {'hk2_packet'};

    % id 499: TLM2_FswExErrStatReg 3 (Default Case Reached)
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Default_Case_Reached.att.telemetry_point_id = '499';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Default_Case_Reached.att.mnemonic = 'TLM2_FswExErrStatReg 3 (Default Case Reached)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Default_Case_Reached.att.start_bit = '172';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Default_Case_Reached.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Default_Case_Reached.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Default_Case_Reached.att.description = 'FSW Exc. Error Status Reg. 3(Default Case Reached)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_Default_Case_Reached.dim = {'hk2_packet'};

    % id 500: TLM2_FswExErrStatReg 3 (MQ Rcv Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_MQ_Rcv_Err.att.telemetry_point_id = '500';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_MQ_Rcv_Err.att.mnemonic = 'TLM2_FswExErrStatReg 3 (MQ Rcv Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_MQ_Rcv_Err.att.start_bit = '173';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_MQ_Rcv_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_MQ_Rcv_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_MQ_Rcv_Err.att.description = 'FSW Exc. Error Status Reg. 3(Message Queue Receive Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_MQ_Rcv_Err.dim = {'hk2_packet'};

    % id 501: TLM2_FswExErrStatReg 3 (MQ Snd Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_MQ_Snd_Err.att.telemetry_point_id = '501';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_MQ_Snd_Err.att.mnemonic = 'TLM2_FswExErrStatReg 3 (MQ Snd Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_MQ_Snd_Err.att.start_bit = '174';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_MQ_Snd_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_MQ_Snd_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_MQ_Snd_Err.att.description = 'FSW Exc. Error Status Reg. 3(Message Queue Send Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_MQ_Snd_Err.dim = {'hk2_packet'};

    % id 502: TLM2_FswExErrStatReg 3 (OS Func Call Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_OS_Func_Call_Err.att.telemetry_point_id = '502';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_OS_Func_Call_Err.att.mnemonic = 'TLM2_FswExErrStatReg 3 (OS Func Call Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_OS_Func_Call_Err.att.start_bit = '175';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_OS_Func_Call_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_OS_Func_Call_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_OS_Func_Call_Err.att.description = 'FSW Exc. Error Status Reg. 3(Operating System Function Call Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_3_OS_Func_Call_Err.dim = {'hk2_packet'};

    % id 503: TLM2_FswExErrStatReg 4 (Spare)
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Spare.att.telemetry_point_id = '503';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Spare.att.mnemonic = 'TLM2_FswExErrStatReg 4 (Spare)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Spare.att.start_bit = '176';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Spare.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Spare.att.num_bits = '6';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Spare.att.description = 'FSW Exc. Error Status Reg. 4(Spare)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Spare.dim = {'hk2_packet'};

    % id 504: TLM2_FswExErrStatReg 4 (SCC write error)
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_SCC_write_error.att.telemetry_point_id = '504';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_SCC_write_error.att.mnemonic = 'TLM2_FswExErrStatReg 4 (SCC write error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_SCC_write_error.att.start_bit = '182';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_SCC_write_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_SCC_write_error.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_SCC_write_error.att.description = 'FSW Exc. Error Status Reg. 4(Serial Comm Controller Write Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_SCC_write_error.dim = {'hk2_packet'};

    % id 505: TLM2_FswExErrStatReg 4 (SW Upload Succ)
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_SW_Upload_Succ.att.telemetry_point_id = '505';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_SW_Upload_Succ.att.mnemonic = 'TLM2_FswExErrStatReg 4 (SW Upload Succ)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_SW_Upload_Succ.att.start_bit = '183';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_SW_Upload_Succ.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_SW_Upload_Succ.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_SW_Upload_Succ.att.description = 'FSW Exc. Error Status Reg. 4(Software Upload Successful)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_SW_Upload_Succ.dim = {'hk2_packet'};

    % id 506: TLM2_FswExErrStatReg 4 (Msg Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Msg_Err.att.telemetry_point_id = '506';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Msg_Err.att.mnemonic = 'TLM2_FswExErrStatReg 4 (Msg Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Msg_Err.att.start_bit = '184';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Msg_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Msg_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Msg_Err.att.description = 'FSW Exc. Error Status Reg. 4(Message Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Msg_Err.dim = {'hk2_packet'};

    % id 507: TLM2_FswExErrStatReg 4 (OVR Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_OVR_Err.att.telemetry_point_id = '507';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_OVR_Err.att.mnemonic = 'TLM2_FswExErrStatReg 4 (OVR Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_OVR_Err.att.start_bit = '185';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_OVR_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_OVR_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_OVR_Err.att.description = 'FSW Exc. Error Status Reg. 4(Overrun Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_OVR_Err.dim = {'hk2_packet'};

    % id 508: TLM2_FswExErrStatReg 4 (Wrong Sz Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Wrong_Sz_Err.att.telemetry_point_id = '508';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Wrong_Sz_Err.att.mnemonic = 'TLM2_FswExErrStatReg 4 (Wrong Sz Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Wrong_Sz_Err.att.start_bit = '186';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Wrong_Sz_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Wrong_Sz_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Wrong_Sz_Err.att.description = 'FSW Exc. Error Status Reg. 4(Wrong Size Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Wrong_Sz_Err.dim = {'hk2_packet'};

    % id 509: TLM2_FswExErrStatReg 4 (IM Cmd Queue OVR Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_IM_Cmd_Queue_OVR_Err.att.telemetry_point_id = '509';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_IM_Cmd_Queue_OVR_Err.att.mnemonic = 'TLM2_FswExErrStatReg 4 (IM Cmd Queue OVR Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_IM_Cmd_Queue_OVR_Err.att.start_bit = '187';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_IM_Cmd_Queue_OVR_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_IM_Cmd_Queue_OVR_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_IM_Cmd_Queue_OVR_Err.att.description = 'FSW Exc. Error Status Reg. 4(IFM Cmd Queue Overrun Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_IM_Cmd_Queue_OVR_Err.dim = {'hk2_packet'};

    % id 510: TLM2_FswExErrStatReg 4 (Default Case Reached)
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Default_Case_Reached.att.telemetry_point_id = '510';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Default_Case_Reached.att.mnemonic = 'TLM2_FswExErrStatReg 4 (Default Case Reached)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Default_Case_Reached.att.start_bit = '188';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Default_Case_Reached.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Default_Case_Reached.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Default_Case_Reached.att.description = 'FSW Exc. Error Status Reg. 4(Default Case Reached)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_Default_Case_Reached.dim = {'hk2_packet'};

    % id 511: TLM2_FswExErrStatReg 4 (MQ Rcv Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_MQ_Rcv_Err.att.telemetry_point_id = '511';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_MQ_Rcv_Err.att.mnemonic = 'TLM2_FswExErrStatReg 4 (MQ Rcv Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_MQ_Rcv_Err.att.start_bit = '189';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_MQ_Rcv_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_MQ_Rcv_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_MQ_Rcv_Err.att.description = 'FSW Exc. Error Status Reg. 4(Message Queue Receive Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_MQ_Rcv_Err.dim = {'hk2_packet'};

    % id 512: TLM2_FswExErrStatReg 4 (OS Func Call Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_OS_Func_Call_Err.att.telemetry_point_id = '512';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_OS_Func_Call_Err.att.mnemonic = 'TLM2_FswExErrStatReg 4 (OS Func Call Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_OS_Func_Call_Err.att.start_bit = '190';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_OS_Func_Call_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_OS_Func_Call_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_OS_Func_Call_Err.att.description = 'FSW Exc. Error Status Reg. 4(Operating System Function Call Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_OS_Func_Call_Err.dim = {'hk2_packet'};

    % id 513: TLM2_FswExErrStatReg 4 (SW Upload Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_SW_Upload_Err.att.telemetry_point_id = '513';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_SW_Upload_Err.att.mnemonic = 'TLM2_FswExErrStatReg 4 (SW Upload Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_SW_Upload_Err.att.start_bit = '191';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_SW_Upload_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_SW_Upload_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_SW_Upload_Err.att.description = 'FSW Exc. Error Status Reg. 4(Software Upload Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_4_SW_Upload_Err.dim = {'hk2_packet'};

    % id 514: TLM2_FswExErrStatReg 5 (Spare)
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Spare.att.telemetry_point_id = '514';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Spare.att.mnemonic = 'TLM2_FswExErrStatReg 5 (Spare)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Spare.att.start_bit = '192';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Spare.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Spare.att.num_bits = '6';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Spare.att.description = 'FSW Exc. Error Status Reg. 5(Spare)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Spare.dim = {'hk2_packet'};

    % id 15898: TLM2_FswExErrStatReg 5 (TaskIdForWatchdogFailure)
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_TaskIdForWatchdogFailure.att.telemetry_point_id = '15898';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_TaskIdForWatchdogFailure.att.mnemonic = 'TLM2_FswExErrStatReg 5 (TaskIdForWatchdogFailure)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_TaskIdForWatchdogFailure.att.start_bit = '198';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_TaskIdForWatchdogFailure.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_TaskIdForWatchdogFailure.att.num_bits = '5';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_TaskIdForWatchdogFailure.att.description = 'FSW Exc. Error Status Reg. 5(TaskIdForWatchdogFailure)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_TaskIdForWatchdogFailure.dim = {'hk2_packet'};

    % id 515: TLM2_FswExErrStatReg 5 (Free Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Free_Err.att.telemetry_point_id = '515';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Free_Err.att.mnemonic = 'TLM2_FswExErrStatReg 5 (Free Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Free_Err.att.start_bit = '203';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Free_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Free_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Free_Err.att.description = 'FSW Exc. Error Status Reg. 5(Free Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Free_Err.dim = {'hk2_packet'};

    % id 516: TLM2_FswExErrStatReg 5 (Malloc Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Malloc_Err.att.telemetry_point_id = '516';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Malloc_Err.att.mnemonic = 'TLM2_FswExErrStatReg 5 (Malloc Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Malloc_Err.att.start_bit = '204';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Malloc_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Malloc_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Malloc_Err.att.description = 'FSW Exc. Error Status Reg. 5(Malloc Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Malloc_Err.dim = {'hk2_packet'};

    % id 517: TLM2_FswExErrStatReg 5 (IM Cmd Par Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_IM_Cmd_Par_Err.att.telemetry_point_id = '517';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_IM_Cmd_Par_Err.att.mnemonic = 'TLM2_FswExErrStatReg 5 (IM Cmd Par Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_IM_Cmd_Par_Err.att.start_bit = '205';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_IM_Cmd_Par_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_IM_Cmd_Par_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_IM_Cmd_Par_Err.att.description = 'FSW Exc. Error Status Reg. 5(IFM Cmd Parameters Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_IM_Cmd_Par_Err.dim = {'hk2_packet'};

    % id 518: TLM2_FswExErrStatReg 5 (Cmd Reject Errr)
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Cmd_Reject_Errr.att.telemetry_point_id = '518';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Cmd_Reject_Errr.att.mnemonic = 'TLM2_FswExErrStatReg 5 (Cmd Reject Errr)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Cmd_Reject_Errr.att.start_bit = '206';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Cmd_Reject_Errr.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Cmd_Reject_Errr.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Cmd_Reject_Errr.att.description = 'FSW Exc. Error Status Reg. 5(Cmd Rejected Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_Cmd_Reject_Errr.dim = {'hk2_packet'};

    % id 519: TLM2_FswExErrStatReg 5 (IM Rpt Err in Tele)
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_IM_Rpt_Err_in_Tele.att.telemetry_point_id = '519';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_IM_Rpt_Err_in_Tele.att.mnemonic = 'TLM2_FswExErrStatReg 5 (IM Rpt Err in Tele)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_IM_Rpt_Err_in_Tele.att.start_bit = '207';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_IM_Rpt_Err_in_Tele.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_IM_Rpt_Err_in_Tele.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_IM_Rpt_Err_in_Tele.att.description = 'FSW Exc. Error Status Reg. 5(IFM Reported Error in Tlm)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_5_IM_Rpt_Err_in_Tele.dim = {'hk2_packet'};

    % id 520: TLM2_FswExErrStatReg 6 (Spare)
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Spare.att.telemetry_point_id = '520';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Spare.att.mnemonic = 'TLM2_FswExErrStatReg 6 (Spare)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Spare.att.start_bit = '208';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Spare.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Spare.att.num_bits = '3';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Spare.att.description = 'FSW Exc. Error Status Reg. 6(Spare)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Spare.dim = {'hk2_packet'};

    % id 521: TLM2_FswExErrStatReg 6 (Msg Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Msg_Err.att.telemetry_point_id = '521';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Msg_Err.att.mnemonic = 'TLM2_FswExErrStatReg 6 (Msg Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Msg_Err.att.start_bit = '211';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Msg_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Msg_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Msg_Err.att.description = 'FSW Exc. Error Status Reg. 6(Message Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Msg_Err.dim = {'hk2_packet'};

    % id 522: TLM2_FswExErrStatReg 6 (OVR err)
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_OVR_err.att.telemetry_point_id = '522';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_OVR_err.att.mnemonic = 'TLM2_FswExErrStatReg 6 (OVR err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_OVR_err.att.start_bit = '212';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_OVR_err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_OVR_err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_OVR_err.att.description = 'FSW Exc. Error Status Reg. 6(Overrun Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_OVR_err.dim = {'hk2_packet'};

    % id 523: TLM2_FswExErrStatReg 6 (Parity Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Parity_Err.att.telemetry_point_id = '523';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Parity_Err.att.mnemonic = 'TLM2_FswExErrStatReg 6 (Parity Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Parity_Err.att.start_bit = '213';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Parity_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Parity_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Parity_Err.att.description = 'FSW Exc. Error Status Reg. 6(Parity Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Parity_Err.dim = {'hk2_packet'};

    % id 524: TLM2_FswExErrStatReg 6 (Frame Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Frame_Err.att.telemetry_point_id = '524';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Frame_Err.att.mnemonic = 'TLM2_FswExErrStatReg 6 (Frame Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Frame_Err.att.start_bit = '214';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Frame_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Frame_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Frame_Err.att.description = 'FSW Exc. Error Status Reg. 6(Frame Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Frame_Err.dim = {'hk2_packet'};

    % id 525: TLM2_FswExErrStatReg 6 (Wrong Sz Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Wrong_Sz_Err.att.telemetry_point_id = '525';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Wrong_Sz_Err.att.mnemonic = 'TLM2_FswExErrStatReg 6 (Wrong Sz Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Wrong_Sz_Err.att.start_bit = '215';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Wrong_Sz_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Wrong_Sz_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Wrong_Sz_Err.att.description = 'FSW Exc. Error Status Reg. 6(Wrong Size Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Wrong_Sz_Err.dim = {'hk2_packet'};

    % id 526: TLM2_FswExErrStatReg 6 (EOF Not By Scc Reg Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_EOF_Not_By_Scc_Reg_Err.att.telemetry_point_id = '526';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_EOF_Not_By_Scc_Reg_Err.att.mnemonic = 'TLM2_FswExErrStatReg 6 (EOF Not By Scc Reg Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_EOF_Not_By_Scc_Reg_Err.att.start_bit = '216';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_EOF_Not_By_Scc_Reg_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_EOF_Not_By_Scc_Reg_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_EOF_Not_By_Scc_Reg_Err.att.description = 'FSW Exc. Error Status Reg. 6(EOF Not By Serial Comm Controller Reg. Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_EOF_Not_By_Scc_Reg_Err.dim = {'hk2_packet'};

    % id 527: TLM2_FswExErrStatReg 6 (Queue OVR Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Queue_OVR_Err.att.telemetry_point_id = '527';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Queue_OVR_Err.att.mnemonic = 'TLM2_FswExErrStatReg 6 (Queue OVR Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Queue_OVR_Err.att.start_bit = '217';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Queue_OVR_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Queue_OVR_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Queue_OVR_Err.att.description = 'FSW Exc. Error Status Reg. 6(Queue Overrun Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Queue_OVR_Err.dim = {'hk2_packet'};

    % id 528: TLM2_FswExErrStatReg 6 (SCC Write Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_SCC_Write_Err.att.telemetry_point_id = '528';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_SCC_Write_Err.att.mnemonic = 'TLM2_FswExErrStatReg 6 (SCC Write Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_SCC_Write_Err.att.start_bit = '218';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_SCC_Write_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_SCC_Write_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_SCC_Write_Err.att.description = 'FSW Exc. Error Status Reg. 6(Serial Comm Controller Write Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_SCC_Write_Err.dim = {'hk2_packet'};

    % id 529: TLM2_FswExErrStatReg 6 (Trans to SSM Failed)
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Trans_to_SSM_Failed.att.telemetry_point_id = '529';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Trans_to_SSM_Failed.att.mnemonic = 'TLM2_FswExErrStatReg 6 (Trans to SSM Failed)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Trans_to_SSM_Failed.att.start_bit = '219';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Trans_to_SSM_Failed.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Trans_to_SSM_Failed.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Trans_to_SSM_Failed.att.description = 'FSW Exc. Error Status Reg. 6(Transmit to SSM Failed)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Trans_to_SSM_Failed.dim = {'hk2_packet'};

    % id 530: TLM2_FswExErrStatReg 6 (Default Case Reached)
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Default_Case_Reached.att.telemetry_point_id = '530';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Default_Case_Reached.att.mnemonic = 'TLM2_FswExErrStatReg 6 (Default Case Reached)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Default_Case_Reached.att.start_bit = '220';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Default_Case_Reached.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Default_Case_Reached.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Default_Case_Reached.att.description = 'FSW Exc. Error Status Reg. 6(Default Case Reached)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_Default_Case_Reached.dim = {'hk2_packet'};

    % id 531: TLM2_FswExErrStatReg 6 (MQ Rcv Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_MQ_Rcv_Err.att.telemetry_point_id = '531';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_MQ_Rcv_Err.att.mnemonic = 'TLM2_FswExErrStatReg 6 (MQ Rcv Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_MQ_Rcv_Err.att.start_bit = '221';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_MQ_Rcv_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_MQ_Rcv_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_MQ_Rcv_Err.att.description = 'FSW Exc. Error Status Reg. 6(Message Queue Receive Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_MQ_Rcv_Err.dim = {'hk2_packet'};

    % id 532: TLM2_FswExErrStatReg 6 (MQ Snd Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_MQ_Snd_Err.att.telemetry_point_id = '532';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_MQ_Snd_Err.att.mnemonic = 'TLM2_FswExErrStatReg 6 (MQ Snd Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_MQ_Snd_Err.att.start_bit = '222';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_MQ_Snd_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_MQ_Snd_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_MQ_Snd_Err.att.description = 'FSW Exc. Error Status Reg. 6(Message Queue Send Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_MQ_Snd_Err.dim = {'hk2_packet'};

    % id 533: TLM2_FswExErrStatReg 6 (OS Func Call Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_OS_Func_Call_Err.att.telemetry_point_id = '533';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_OS_Func_Call_Err.att.mnemonic = 'TLM2_FswExErrStatReg 6 (OS Func Call Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_OS_Func_Call_Err.att.start_bit = '223';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_OS_Func_Call_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_OS_Func_Call_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_OS_Func_Call_Err.att.description = 'FSW Exc. Error Status Reg. 6(Operating System Function Call Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg_6_OS_Func_Call_Err.dim = {'hk2_packet'};

    % id 534: TLM2_FswExErrStatReg7 (SPare)
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SPare.att.telemetry_point_id = '534';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SPare.att.mnemonic = 'TLM2_FswExErrStatReg7 (SPare)';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SPare.att.start_bit = '224';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SPare.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SPare.att.num_bits = '5';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SPare.att.description = 'FSW Exc. Error Status Reg. 7(Spare)';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SPare.dim = {'hk2_packet'};

    % id 535: TLM2_FswExErrStatReg7 (SW Upload Success)
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SW_Upload_Success.att.telemetry_point_id = '535';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SW_Upload_Success.att.mnemonic = 'TLM2_FswExErrStatReg7 (SW Upload Success)';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SW_Upload_Success.att.start_bit = '229';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SW_Upload_Success.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SW_Upload_Success.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SW_Upload_Success.att.description = 'FSW Exc. Error Status Reg. 7(Software Upload Successful)';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SW_Upload_Success.dim = {'hk2_packet'};

    % id 536: TLM2_FswExErrStatReg7 (Cmd Reject Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Cmd_Reject_Err.att.telemetry_point_id = '536';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Cmd_Reject_Err.att.mnemonic = 'TLM2_FswExErrStatReg7 (Cmd Reject Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Cmd_Reject_Err.att.start_bit = '230';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Cmd_Reject_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Cmd_Reject_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Cmd_Reject_Err.att.description = 'FSW Exc. Error Status Reg. 7(Cmd Rejected Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Cmd_Reject_Err.dim = {'hk2_packet'};

    % id 537: TLM2_FswExErrStatReg7 (SSM Malloc Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SSM_Malloc_Err.att.telemetry_point_id = '537';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SSM_Malloc_Err.att.mnemonic = 'TLM2_FswExErrStatReg7 (SSM Malloc Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SSM_Malloc_Err.att.start_bit = '231';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SSM_Malloc_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SSM_Malloc_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SSM_Malloc_Err.att.description = 'FSW Exc. Error Status Reg. 7(SSM Malloc Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SSM_Malloc_Err.dim = {'hk2_packet'};

    % id 538: TLM2_FswExErrStatReg7 (SSM UL Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SSM_UL_Err.att.telemetry_point_id = '538';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SSM_UL_Err.att.mnemonic = 'TLM2_FswExErrStatReg7 (SSM UL Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SSM_UL_Err.att.start_bit = '232';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SSM_UL_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SSM_UL_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SSM_UL_Err.att.description = 'FSW Exc. Error Status Reg. 7(SSM Upload Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SSM_UL_Err.dim = {'hk2_packet'};

    % id 539: TLM2_FswExErrStatReg7 (SSM Cmd Par Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SSM_Cmd_Par_Err.att.telemetry_point_id = '539';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SSM_Cmd_Par_Err.att.mnemonic = 'TLM2_FswExErrStatReg7 (SSM Cmd Par Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SSM_Cmd_Par_Err.att.start_bit = '233';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SSM_Cmd_Par_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SSM_Cmd_Par_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SSM_Cmd_Par_Err.att.description = 'FSW Exc. Error Status Reg. 7(SSM Cmd Parameter Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_SSM_Cmd_Par_Err.dim = {'hk2_packet'};

    % id 540: TLM2_FswExErrStatReg7 (Written EEPROm CRC Badr)
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Written_EEPROm_CRC_Badr.att.telemetry_point_id = '540';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Written_EEPROm_CRC_Badr.att.mnemonic = 'TLM2_FswExErrStatReg7 (Written EEPROm CRC Badr)';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Written_EEPROm_CRC_Badr.att.start_bit = '234';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Written_EEPROm_CRC_Badr.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Written_EEPROm_CRC_Badr.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Written_EEPROm_CRC_Badr.att.description = 'FSW Exc. Error Status Reg. 7(Written EEPROM CRC Bad)';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Written_EEPROm_CRC_Badr.dim = {'hk2_packet'};

    % id 541: TLM2_FswExErrStatReg7 (LVDS Missing Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg7_LVDS_Missing_Err.att.telemetry_point_id = '541';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_LVDS_Missing_Err.att.mnemonic = 'TLM2_FswExErrStatReg7 (LVDS Missing Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_LVDS_Missing_Err.att.start_bit = '235';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_LVDS_Missing_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_LVDS_Missing_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_LVDS_Missing_Err.att.description = 'FSW Exc. Error Status Reg. 7(Low Voltage Differential Signal Header Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_LVDS_Missing_Err.dim = {'hk2_packet'};

    % id 542: TLM2_FswExErrStatReg7 (STX Missing Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg7_STX_Missing_Err.att.telemetry_point_id = '542';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_STX_Missing_Err.att.mnemonic = 'TLM2_FswExErrStatReg7 (STX Missing Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_STX_Missing_Err.att.start_bit = '236';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_STX_Missing_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_STX_Missing_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_STX_Missing_Err.att.description = 'FSW Exc. Error Status Reg. 7(Start Transmission Missing Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_STX_Missing_Err.dim = {'hk2_packet'};

    % id 543: TLM2_FswExErrStatReg7 (ETX Missing Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg7_ETX_Missing_Err.att.telemetry_point_id = '543';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_ETX_Missing_Err.att.mnemonic = 'TLM2_FswExErrStatReg7 (ETX Missing Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_ETX_Missing_Err.att.start_bit = '237';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_ETX_Missing_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_ETX_Missing_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_ETX_Missing_Err.att.description = 'FSW Exc. Error Status Reg. 7(End Transmission Missing Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_ETX_Missing_Err.dim = {'hk2_packet'};

    % id 544: TLM2_FswExErrStatReg7 (Chksum Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Chksum_Err.att.telemetry_point_id = '544';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Chksum_Err.att.mnemonic = 'TLM2_FswExErrStatReg7 (Chksum Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Chksum_Err.att.start_bit = '238';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Chksum_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Chksum_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Chksum_Err.att.description = 'FSW Exc. Error Status Reg. 7(Checksum Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Chksum_Err.dim = {'hk2_packet'};

    % id 545: TLM2_FswExErrStatReg7 (Reported Err in Tele)
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Reported_Err_in_Tele.att.telemetry_point_id = '545';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Reported_Err_in_Tele.att.mnemonic = 'TLM2_FswExErrStatReg7 (Reported Err in Tele)';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Reported_Err_in_Tele.att.start_bit = '239';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Reported_Err_in_Tele.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Reported_Err_in_Tele.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Reported_Err_in_Tele.att.description = 'FSW Exc. Error Status Reg. 7(Reported Error in Tlm)';
    g_metadata.packets.instr_hk2.FswExErrStatReg7_Reported_Err_in_Tele.dim = {'hk2_packet'};

    % id 546: TLM2_FswExErrStatReg8 (Spare)
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Spare.att.telemetry_point_id = '546';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Spare.att.mnemonic = 'TLM2_FswExErrStatReg8 (Spare)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Spare.att.start_bit = '240';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Spare.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Spare.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Spare.att.description = 'FSW Exc. Error Status Reg. 8(Spare)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Spare.dim = {'hk2_packet'};

    % id 547: TLM2_FswExErrStatReg8 (Pckt Dropped)
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Pckt_Dropped.att.telemetry_point_id = '547';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Pckt_Dropped.att.mnemonic = 'TLM2_FswExErrStatReg8 (Pckt Dropped)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Pckt_Dropped.att.start_bit = '241';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Pckt_Dropped.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Pckt_Dropped.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Pckt_Dropped.att.description = 'FSW Exc. Error Status Reg. 8(Packet Dropped)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Pckt_Dropped.dim = {'hk2_packet'};

    % id 548: TLM2_FswExErrStatReg8 (Invld Par Len)
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Par_Len.att.telemetry_point_id = '548';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Par_Len.att.mnemonic = 'TLM2_FswExErrStatReg8 (Invld Par Len)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Par_Len.att.start_bit = '242';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Par_Len.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Par_Len.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Par_Len.att.description = 'FSW Exc. Error Status Reg. 8(Invalid Parameter Length)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Par_Len.dim = {'hk2_packet'};

    % id 549: TLM2_FswExErrStatReg8 (Invld APID type)
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_APID_type.att.telemetry_point_id = '549';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_APID_type.att.mnemonic = 'TLM2_FswExErrStatReg8 (Invld APID type)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_APID_type.att.start_bit = '243';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_APID_type.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_APID_type.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_APID_type.att.description = 'FSW Exc. Error Status Reg. 8(Invalid APID type)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_APID_type.dim = {'hk2_packet'};

    % id 550: TLM2_FswExErrStatReg8 (Invld Cmd Len)
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Cmd_Len.att.telemetry_point_id = '550';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Cmd_Len.att.mnemonic = 'TLM2_FswExErrStatReg8 (Invld Cmd Len)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Cmd_Len.att.start_bit = '244';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Cmd_Len.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Cmd_Len.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Cmd_Len.att.description = 'FSW Exc. Error Status Reg. 8(Invalid Cmd Length)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Cmd_Len.dim = {'hk2_packet'};

    % id 551: TLM2_FswExErrStatReg8 (Invld CCSDS Len)
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_CCSDS_Len.att.telemetry_point_id = '551';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_CCSDS_Len.att.mnemonic = 'TLM2_FswExErrStatReg8 (Invld CCSDS Len)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_CCSDS_Len.att.start_bit = '245';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_CCSDS_Len.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_CCSDS_Len.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_CCSDS_Len.att.description = 'FSW Exc. Error Status Reg. 8(Invalid CCSDS Length)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_CCSDS_Len.dim = {'hk2_packet'};

    % id 552: TLM2_FswExErrStatReg8 (Invld Seg Pckt Rcv)
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Seg_Pckt_Rcv.att.telemetry_point_id = '552';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Seg_Pckt_Rcv.att.mnemonic = 'TLM2_FswExErrStatReg8 (Invld Seg Pckt Rcv)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Seg_Pckt_Rcv.att.start_bit = '246';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Seg_Pckt_Rcv.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Seg_Pckt_Rcv.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Seg_Pckt_Rcv.att.description = 'FSW Exc. Error Status Reg. 8(Invalid Segmented Packet Received)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Seg_Pckt_Rcv.dim = {'hk2_packet'};

    % id 553: TLM2_FswExErrStatReg8 (Invld APID)
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_APID.att.telemetry_point_id = '553';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_APID.att.mnemonic = 'TLM2_FswExErrStatReg8 (Invld APID)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_APID.att.start_bit = '247';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_APID.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_APID.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_APID.att.description = 'FSW Exc. Error Status Reg. 8(Invalid APID)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_APID.dim = {'hk2_packet'};

    % id 554: TLM2_FswExErrStatReg8 (Invld Chksum)
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Chksum.att.telemetry_point_id = '554';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Chksum.att.mnemonic = 'TLM2_FswExErrStatReg8 (Invld Chksum)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Chksum.att.start_bit = '248';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Chksum.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Chksum.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Chksum.att.description = 'FSW Exc. Error Status Reg. 8(Invalid Checksum)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Chksum.dim = {'hk2_packet'};

    % id 555: TLM2_FswExErrStatReg8 (Invld Cmd ID)
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Cmd_ID.att.telemetry_point_id = '555';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Cmd_ID.att.mnemonic = 'TLM2_FswExErrStatReg8 (Invld Cmd ID)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Cmd_ID.att.start_bit = '249';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Cmd_ID.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Cmd_ID.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Cmd_ID.att.description = 'FSW Exc. Error Status Reg. 8(Invalid Cmd ID)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Invld_Cmd_ID.dim = {'hk2_packet'};

    % id 556: TLM2_FswExErrStatReg8 (Default Case Reached)
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Default_Case_Reached.att.telemetry_point_id = '556';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Default_Case_Reached.att.mnemonic = 'TLM2_FswExErrStatReg8 (Default Case Reached)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Default_Case_Reached.att.start_bit = '250';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Default_Case_Reached.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Default_Case_Reached.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Default_Case_Reached.att.description = 'FSW Exc. Error Status Reg. 8(Default Case Reached)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_Default_Case_Reached.dim = {'hk2_packet'};

    % id 557: TLM2_FswExErrStatReg8 (MQ Rcv Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MQ_Rcv_Err.att.telemetry_point_id = '557';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MQ_Rcv_Err.att.mnemonic = 'TLM2_FswExErrStatReg8 (MQ Rcv Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MQ_Rcv_Err.att.start_bit = '251';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MQ_Rcv_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MQ_Rcv_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MQ_Rcv_Err.att.description = 'FSW Exc. Error Status Reg. 8(Message Queue Receive Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MQ_Rcv_Err.dim = {'hk2_packet'};

    % id 558: TLM2_FswExErrStatReg8 (MQ Snd Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MQ_Snd_Err.att.telemetry_point_id = '558';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MQ_Snd_Err.att.mnemonic = 'TLM2_FswExErrStatReg8 (MQ Snd Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MQ_Snd_Err.att.start_bit = '252';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MQ_Snd_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MQ_Snd_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MQ_Snd_Err.att.description = 'FSW Exc. Error Status Reg. 8(Message Queue Send Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MQ_Snd_Err.dim = {'hk2_packet'};

    % id 559: TLM2_FswExErrStatReg8 (MM Free Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MM_Free_Err.att.telemetry_point_id = '559';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MM_Free_Err.att.mnemonic = 'TLM2_FswExErrStatReg8 (MM Free Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MM_Free_Err.att.start_bit = '253';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MM_Free_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MM_Free_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MM_Free_Err.att.description = 'FSW Exc. Error Status Reg. 8(Memory Manager Free Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MM_Free_Err.dim = {'hk2_packet'};

    % id 560: TLM2_FswExErrStatReg8 (MM Alloc Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MM_Alloc_Err.att.telemetry_point_id = '560';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MM_Alloc_Err.att.mnemonic = 'TLM2_FswExErrStatReg8 (MM Alloc Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MM_Alloc_Err.att.start_bit = '254';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MM_Alloc_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MM_Alloc_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MM_Alloc_Err.att.description = 'FSW Exc. Error Status Reg. 8(Memory Manager Allocation Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_MM_Alloc_Err.dim = {'hk2_packet'};

    % id 561: TLM2_FswExErrStatReg8 (OS Func Call Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg8_OS_Func_Call_Err.att.telemetry_point_id = '561';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_OS_Func_Call_Err.att.mnemonic = 'TLM2_FswExErrStatReg8 (OS Func Call Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_OS_Func_Call_Err.att.start_bit = '255';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_OS_Func_Call_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_OS_Func_Call_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_OS_Func_Call_Err.att.description = 'FSW Exc. Error Status Reg. 8(Operating System Function Call Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg8_OS_Func_Call_Err.dim = {'hk2_packet'};

    % id 562: TLM2_FswExErrStatReg9 (PCI Init Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg9_PCI_Init_Err.att.telemetry_point_id = '562';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_PCI_Init_Err.att.mnemonic = 'TLM2_FswExErrStatReg9 (PCI Init Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_PCI_Init_Err.att.start_bit = '256';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_PCI_Init_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_PCI_Init_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_PCI_Init_Err.att.description = 'FSW Exc. Error Status Reg. 9(PCI Init Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_PCI_Init_Err.dim = {'hk2_packet'};

    % id 563: TLM2_FswExErrStatReg9 (UnSupp Config)
    g_metadata.packets.instr_hk2.FswExErrStatReg9_UnSupp_Config.att.telemetry_point_id = '563';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_UnSupp_Config.att.mnemonic = 'TLM2_FswExErrStatReg9 (UnSupp Config)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_UnSupp_Config.att.start_bit = '257';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_UnSupp_Config.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_UnSupp_Config.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_UnSupp_Config.att.description = 'FSW Exc. Error Status Reg. 9(Unsupported Configuration)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_UnSupp_Config.dim = {'hk2_packet'};

    % id 564: TLM2_FswExErrStatReg9 (Invld Diag Chan Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Diag_Chan_Err.att.telemetry_point_id = '564';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Diag_Chan_Err.att.mnemonic = 'TLM2_FswExErrStatReg9 (Invld Diag Chan Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Diag_Chan_Err.att.start_bit = '258';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Diag_Chan_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Diag_Chan_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Diag_Chan_Err.att.description = 'FSW Exc. Error Status Reg. 9(Invalid Diag Chan. Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Diag_Chan_Err.dim = {'hk2_packet'};

    % id 565: TLM2_FswExErrStatReg9 (Unsupp Sci Data Len/Bit Trim Tbl/Dec Rate Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.telemetry_point_id = '565';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.mnemonic = 'TLM2_FswExErrStatReg9 (Unsupp Sci Data Len/Bit Trim Tbl/Dec Rate Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.start_bit = '259';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.description = 'FSW Exc. Error Status Reg. 9(Unsupported Sci Data Len/Bit Trim Tbl/Dec Rate Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.dim = {'hk2_packet'};

    % id 566: TLM2_FswExErrStatReg9 (No Term on Tele Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg9_No_Term_on_Tele_Err.att.telemetry_point_id = '566';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_No_Term_on_Tele_Err.att.mnemonic = 'TLM2_FswExErrStatReg9 (No Term on Tele Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_No_Term_on_Tele_Err.att.start_bit = '260';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_No_Term_on_Tele_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_No_Term_on_Tele_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_No_Term_on_Tele_Err.att.description = 'FSW Exc. Error Status Reg. 9(No Termination On Tlm Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_No_Term_on_Tele_Err.dim = {'hk2_packet'};

    % id 567: TLM2_FswExErrStatReg9 (Invld Tele ID Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Tele_ID_Err.att.telemetry_point_id = '567';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Tele_ID_Err.att.mnemonic = 'TLM2_FswExErrStatReg9 (Invld Tele ID Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Tele_ID_Err.att.start_bit = '261';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Tele_ID_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Tele_ID_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Tele_ID_Err.att.description = 'FSW Exc. Error Status Reg. 9(Invalid Tlm ID Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Tele_ID_Err.dim = {'hk2_packet'};

    % id 568: TLM2_FswExErrStatReg9 (Invld Coef Tbl ID Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Coef_Tbl_ID_Err.att.telemetry_point_id = '568';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Coef_Tbl_ID_Err.att.mnemonic = 'TLM2_FswExErrStatReg9 (Invld Coef Tbl ID Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Coef_Tbl_ID_Err.att.start_bit = '262';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Coef_Tbl_ID_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Coef_Tbl_ID_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Coef_Tbl_ID_Err.att.description = 'FSW Exc. Error Status Reg. 9(Invalid Coefficient Table ID Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Coef_Tbl_ID_Err.dim = {'hk2_packet'};

    % id 569: TLM2_FswExErrStatReg9 (Bit Trim Tbl Indx Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Bit_Trim_Tbl_Indx_Err.att.telemetry_point_id = '569';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Bit_Trim_Tbl_Indx_Err.att.mnemonic = 'TLM2_FswExErrStatReg9 (Bit Trim Tbl Indx Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Bit_Trim_Tbl_Indx_Err.att.start_bit = '263';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Bit_Trim_Tbl_Indx_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Bit_Trim_Tbl_Indx_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Bit_Trim_Tbl_Indx_Err.att.description = 'FSW Exc. Error Status Reg. 9(Bit Trim Table Index Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Bit_Trim_Tbl_Indx_Err.dim = {'hk2_packet'};

    % id 570: TLM2_FswExErrStatReg9 (Impulse Tbl Indx Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Impulse_Tbl_Indx_Err.att.telemetry_point_id = '570';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Impulse_Tbl_Indx_Err.att.mnemonic = 'TLM2_FswExErrStatReg9 (Impulse Tbl Indx Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Impulse_Tbl_Indx_Err.att.start_bit = '264';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Impulse_Tbl_Indx_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Impulse_Tbl_Indx_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Impulse_Tbl_Indx_Err.att.description = 'FSW Exc. Error Status Reg. 9(Impulse Table Index Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Impulse_Tbl_Indx_Err.dim = {'hk2_packet'};

    % id 571: TLM2_FswExErrStatReg9 (Invld Module ID)
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Module_ID.att.telemetry_point_id = '571';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Module_ID.att.mnemonic = 'TLM2_FswExErrStatReg9 (Invld Module ID)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Module_ID.att.start_bit = '265';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Module_ID.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Module_ID.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Module_ID.att.description = 'FSW Exc. Error Status Reg. 9(Invalid Module ID)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Invld_Module_ID.dim = {'hk2_packet'};

    % id 572: TLM2_FswExErrStatReg9 (Config Data Ptr Null Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Config_Data_Ptr_Null_Err.att.telemetry_point_id = '572';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Config_Data_Ptr_Null_Err.att.mnemonic = 'TLM2_FswExErrStatReg9 (Config Data Ptr Null Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Config_Data_Ptr_Null_Err.att.start_bit = '266';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Config_Data_Ptr_Null_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Config_Data_Ptr_Null_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Config_Data_Ptr_Null_Err.att.description = 'FSW Exc. Error Status Reg. 9(Configuration Data Pointer Null Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Config_Data_Ptr_Null_Err.dim = {'hk2_packet'};

    % id 573: TLM2_FswExErrStatReg9 (Rcv Unknown ID-Default Case)
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Rcv_Unknown_ID_Default_Case.att.telemetry_point_id = '573';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Rcv_Unknown_ID_Default_Case.att.mnemonic = 'TLM2_FswExErrStatReg9 (Rcv Unknown ID-Default Case)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Rcv_Unknown_ID_Default_Case.att.start_bit = '267';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Rcv_Unknown_ID_Default_Case.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Rcv_Unknown_ID_Default_Case.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Rcv_Unknown_ID_Default_Case.att.description = 'FSW Exc. Error Status Reg. 9(Receive Unknown ID - Default Case Reached)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Rcv_Unknown_ID_Default_Case.dim = {'hk2_packet'};

    % id 574: TLM2_FswExErrStatReg9 (Trans Unknown ID-Default Case)
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Trans_Unknown_ID_Default_Case.att.telemetry_point_id = '574';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Trans_Unknown_ID_Default_Case.att.mnemonic = 'TLM2_FswExErrStatReg9 (Trans Unknown ID-Default Case)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Trans_Unknown_ID_Default_Case.att.start_bit = '268';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Trans_Unknown_ID_Default_Case.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Trans_Unknown_ID_Default_Case.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Trans_Unknown_ID_Default_Case.att.description = 'FSW Exc. Error Status Reg. 9(Transmit Unknown ID - Default Case Reached)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_Trans_Unknown_ID_Default_Case.dim = {'hk2_packet'};

    % id 575: TLM2_FswExErrStatReg9 (MQ Rcv Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg9_MQ_Rcv_Err.att.telemetry_point_id = '575';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_MQ_Rcv_Err.att.mnemonic = 'TLM2_FswExErrStatReg9 (MQ Rcv Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_MQ_Rcv_Err.att.start_bit = '269';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_MQ_Rcv_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_MQ_Rcv_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_MQ_Rcv_Err.att.description = 'FSW Exc. Error Status Reg. 9(Message Queue Receive Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_MQ_Rcv_Err.dim = {'hk2_packet'};

    % id 576: TLM2_FswExErrStatReg9 (MQ Snd Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg9_MQ_Snd_Err.att.telemetry_point_id = '576';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_MQ_Snd_Err.att.mnemonic = 'TLM2_FswExErrStatReg9 (MQ Snd Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_MQ_Snd_Err.att.start_bit = '270';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_MQ_Snd_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_MQ_Snd_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_MQ_Snd_Err.att.description = 'FSW Exc. Error Status Reg. 9(Message Queue Send Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_MQ_Snd_Err.dim = {'hk2_packet'};

    % id 577: TLM2_FswExErrStatReg9 (OS Func Call Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg9_OS_Func_Call_Err.att.telemetry_point_id = '577';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_OS_Func_Call_Err.att.mnemonic = 'TLM2_FswExErrStatReg9 (OS Func Call Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_OS_Func_Call_Err.att.start_bit = '271';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_OS_Func_Call_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_OS_Func_Call_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_OS_Func_Call_Err.att.description = 'FSW Exc. Error Status Reg. 9(Operating System Function Call Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg9_OS_Func_Call_Err.dim = {'hk2_packet'};

    % id 578: TLM2_FswExErrStatReg10 (Taps Q Coef MisMatch)
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Taps_Q_Coef_MisMatch.att.telemetry_point_id = '578';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Taps_Q_Coef_MisMatch.att.mnemonic = 'TLM2_FswExErrStatReg10 (Taps Q Coef MisMatch)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Taps_Q_Coef_MisMatch.att.start_bit = '272';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Taps_Q_Coef_MisMatch.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Taps_Q_Coef_MisMatch.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Taps_Q_Coef_MisMatch.att.description = 'FSW Exc. Error Status Reg. 10(Taps Q Coefficient Mismatch)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Taps_Q_Coef_MisMatch.dim = {'hk2_packet'};

    % id 579: TLM2_FswExErrStatReg10 (Taps I Coef MisMatch)
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Taps_I_Coef_MisMatch.att.telemetry_point_id = '579';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Taps_I_Coef_MisMatch.att.mnemonic = 'TLM2_FswExErrStatReg10 (Taps I Coef MisMatch)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Taps_I_Coef_MisMatch.att.start_bit = '273';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Taps_I_Coef_MisMatch.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Taps_I_Coef_MisMatch.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Taps_I_Coef_MisMatch.att.description = 'FSW Exc. Error Status Reg. 10(Taps I Coefficient Mismatch)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Taps_I_Coef_MisMatch.dim = {'hk2_packet'};

    % id 580: TLM2_FswExErrStatReg10 (Coef Dat Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Coef_Dat_Err.att.telemetry_point_id = '580';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Coef_Dat_Err.att.mnemonic = 'TLM2_FswExErrStatReg10 (Coef Dat Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Coef_Dat_Err.att.start_bit = '274';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Coef_Dat_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Coef_Dat_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Coef_Dat_Err.att.description = 'FSW Exc. Error Status Reg. 10(Coefficient Data Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Coef_Dat_Err.dim = {'hk2_packet'};

    % id 581: TLM2_FswExErrStatReg10 (Config Dat Err - 4 min)
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Config_Dat_Err_4_min.att.telemetry_point_id = '581';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Config_Dat_Err_4_min.att.mnemonic = 'TLM2_FswExErrStatReg10 (Config Dat Err - 4 min)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Config_Dat_Err_4_min.att.start_bit = '275';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Config_Dat_Err_4_min.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Config_Dat_Err_4_min.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Config_Dat_Err_4_min.att.description = 'FSW Exc. Error Status Reg. 10(Configuration Data Error - 4 Minute)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Config_Dat_Err_4_min.dim = {'hk2_packet'};

    % id 582: TLM2_FswExErrStatReg10 (Config Dat Err - 8 sec)
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Config_Dat_Err_8_sec.att.telemetry_point_id = '582';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Config_Dat_Err_8_sec.att.mnemonic = 'TLM2_FswExErrStatReg10 (Config Dat Err - 8 sec)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Config_Dat_Err_8_sec.att.start_bit = '276';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Config_Dat_Err_8_sec.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Config_Dat_Err_8_sec.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Config_Dat_Err_8_sec.att.description = 'FSW Exc. Error Status Reg. 10(Configuration Data Error - 8 Second)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Config_Dat_Err_8_sec.dim = {'hk2_packet'};

    % id 583: TLM2_FswExErrStatReg10 (Persistant Tbl Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Persistant_Tbl_Err.att.telemetry_point_id = '583';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Persistant_Tbl_Err.att.mnemonic = 'TLM2_FswExErrStatReg10 (Persistant Tbl Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Persistant_Tbl_Err.att.start_bit = '277';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Persistant_Tbl_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Persistant_Tbl_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Persistant_Tbl_Err.att.description = 'FSW Exc. Error Status Reg. 10(Persistent Table Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Persistant_Tbl_Err.dim = {'hk2_packet'};

    % id 584: TLM2_FswExErrStatReg10 (Setup Data Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Setup_Data_Err.att.telemetry_point_id = '584';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Setup_Data_Err.att.mnemonic = 'TLM2_FswExErrStatReg10 (Setup Data Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Setup_Data_Err.att.start_bit = '278';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Setup_Data_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Setup_Data_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Setup_Data_Err.att.description = 'FSW Exc. Error Status Reg. 10(Setup Data Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Setup_Data_Err.dim = {'hk2_packet'};

    % id 585: TLM2_FswExErrStatReg10 (Invld Num Coef Entries)
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Invld_Num_Coef_Entries.att.telemetry_point_id = '585';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Invld_Num_Coef_Entries.att.mnemonic = 'TLM2_FswExErrStatReg10 (Invld Num Coef Entries)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Invld_Num_Coef_Entries.att.start_bit = '279';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Invld_Num_Coef_Entries.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Invld_Num_Coef_Entries.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Invld_Num_Coef_Entries.att.description = 'FSW Exc. Error Status Reg. 10(Invalid Number of Coefficient Entries)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Invld_Num_Coef_Entries.dim = {'hk2_packet'};

    % id 586: TLM2_FswExErrStatReg10 (Filter Offset Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Filter_Offset_Err.att.telemetry_point_id = '586';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Filter_Offset_Err.att.mnemonic = 'TLM2_FswExErrStatReg10 (Filter Offset Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Filter_Offset_Err.att.start_bit = '280';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Filter_Offset_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Filter_Offset_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Filter_Offset_Err.att.description = 'FSW Exc. Error Status Reg. 10(Filter Offset Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Filter_Offset_Err.dim = {'hk2_packet'};

    % id 587: TLM2_FswExErrStatReg10 (Run Samples > Total Samples)
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Run_Samples_Total_Samples.att.telemetry_point_id = '587';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Run_Samples_Total_Samples.att.mnemonic = 'TLM2_FswExErrStatReg10 (Run Samples > Total Samples)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Run_Samples_Total_Samples.att.start_bit = '281';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Run_Samples_Total_Samples.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Run_Samples_Total_Samples.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Run_Samples_Total_Samples.att.description = 'FSW Exc. Error Status Reg. 10(Run Samples > Total Samples)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Run_Samples_Total_Samples.dim = {'hk2_packet'};

    % id 588: TLM2_FswExErrStatReg10 (Bit Trim Tbl Start/Stop Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Bit_Trim_Tbl_Start_Stop_Err.att.telemetry_point_id = '588';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Bit_Trim_Tbl_Start_Stop_Err.att.mnemonic = 'TLM2_FswExErrStatReg10 (Bit Trim Tbl Start/Stop Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Bit_Trim_Tbl_Start_Stop_Err.att.start_bit = '282';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Bit_Trim_Tbl_Start_Stop_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Bit_Trim_Tbl_Start_Stop_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Bit_Trim_Tbl_Start_Stop_Err.att.description = 'FSW Exc. Error Status Reg. 10(Bit Trim Table Start/Stop Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Bit_Trim_Tbl_Start_Stop_Err.dim = {'hk2_packet'};

    % id 589: TLM2_FswExErrStatReg10 (Coef Mismatch)
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Coef_Mismatch.att.telemetry_point_id = '589';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Coef_Mismatch.att.mnemonic = 'TLM2_FswExErrStatReg10 (Coef Mismatch)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Coef_Mismatch.att.start_bit = '283';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Coef_Mismatch.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Coef_Mismatch.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Coef_Mismatch.att.description = 'FSW Exc. Error Status Reg. 10(Coefficient Mismatch)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Coef_Mismatch.dim = {'hk2_packet'};

    % id 590: TLM2_FswExErrStatReg10 (Mem Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Mem_Err.att.telemetry_point_id = '590';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Mem_Err.att.mnemonic = 'TLM2_FswExErrStatReg10 (Mem Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Mem_Err.att.start_bit = '284';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Mem_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Mem_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Mem_Err.att.description = 'FSW Exc. Error Status Reg. 10(Memory Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Mem_Err.dim = {'hk2_packet'};

    % id 591: TLM2_FswExErrStatReg10 (PCI Retry Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg10_PCI_Retry_Err.att.telemetry_point_id = '591';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_PCI_Retry_Err.att.mnemonic = 'TLM2_FswExErrStatReg10 (PCI Retry Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_PCI_Retry_Err.att.start_bit = '285';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_PCI_Retry_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_PCI_Retry_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_PCI_Retry_Err.att.description = 'FSW Exc. Error Status Reg. 10(PCI Retry Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_PCI_Retry_Err.dim = {'hk2_packet'};

    % id 592: TLM2_FswExErrStatReg10 (Sig Proc in Rst)
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Sig_Proc_in_Rst.att.telemetry_point_id = '592';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Sig_Proc_in_Rst.att.mnemonic = 'TLM2_FswExErrStatReg10 (Sig Proc in Rst)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Sig_Proc_in_Rst.att.start_bit = '286';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Sig_Proc_in_Rst.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Sig_Proc_in_Rst.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Sig_Proc_in_Rst.att.description = 'FSW Exc. Error Status Reg. 10(Signal Processor Is In Reset)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_Sig_Proc_in_Rst.dim = {'hk2_packet'};

    % id 593: TLM2_FswExErrStatReg10 (SSM Scn Pos Missing Err/Invld)
    g_metadata.packets.instr_hk2.FswExErrStatReg10_SSM_Scn_Pos_Missing_Err_Invld.att.telemetry_point_id = '593';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_SSM_Scn_Pos_Missing_Err_Invld.att.mnemonic = 'TLM2_FswExErrStatReg10 (SSM Scn Pos Missing Err/Invld)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_SSM_Scn_Pos_Missing_Err_Invld.att.start_bit = '287';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_SSM_Scn_Pos_Missing_Err_Invld.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_SSM_Scn_Pos_Missing_Err_Invld.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_SSM_Scn_Pos_Missing_Err_Invld.att.description = 'FSW Exc. Error Status Reg. 10(SSM Scan Position Missing Error or Invalid)';
    g_metadata.packets.instr_hk2.FswExErrStatReg10_SSM_Scn_Pos_Missing_Err_Invld.dim = {'hk2_packet'};

    % id 594: TLM2_FswExErrStatReg11 (Wake Up Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Wake_Up_Err.att.telemetry_point_id = '594';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Wake_Up_Err.att.mnemonic = 'TLM2_FswExErrStatReg11 (Wake Up Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Wake_Up_Err.att.start_bit = '288';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Wake_Up_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Wake_Up_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Wake_Up_Err.att.description = 'FSW Exc. Error Status Reg. 11(Wake Up Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Wake_Up_Err.dim = {'hk2_packet'};

    % id 595: TLM2_FswExErrStatReg11 (DMA Addr Write Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg11_DMA_Addr_Write_Err.att.telemetry_point_id = '595';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_DMA_Addr_Write_Err.att.mnemonic = 'TLM2_FswExErrStatReg11 (DMA Addr Write Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_DMA_Addr_Write_Err.att.start_bit = '289';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_DMA_Addr_Write_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_DMA_Addr_Write_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_DMA_Addr_Write_Err.att.description = 'FSW Exc. Error Status Reg. 11(DMA Address Write Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_DMA_Addr_Write_Err.dim = {'hk2_packet'};

    % id 596: TLM2_FswExErrStatReg11 (Mem dmp Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Mem_dmp_Err.att.telemetry_point_id = '596';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Mem_dmp_Err.att.mnemonic = 'TLM2_FswExErrStatReg11 (Mem dmp Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Mem_dmp_Err.att.start_bit = '290';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Mem_dmp_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Mem_dmp_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Mem_dmp_Err.att.description = 'FSW Exc. Error Status Reg. 11(Memory Dump Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Mem_dmp_Err.dim = {'hk2_packet'};

    % id 597: TLM2_FswExErrStatReg11 (LRD Num FOVs ERR)
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_Num_FOVs_ERR.att.telemetry_point_id = '597';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_Num_FOVs_ERR.att.mnemonic = 'TLM2_FswExErrStatReg11 (LRD Num FOVs ERR)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_Num_FOVs_ERR.att.start_bit = '291';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_Num_FOVs_ERR.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_Num_FOVs_ERR.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_Num_FOVs_ERR.att.description = 'FSW Exc. Error Status Reg. 11(Low Rate Data Number of FOVs Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_Num_FOVs_ERR.dim = {'hk2_packet'};

    % id 598: TLM2_FswExErrStatReg11 (LRD FOV Val Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_FOV_Val_Err.att.telemetry_point_id = '598';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_FOV_Val_Err.att.mnemonic = 'TLM2_FswExErrStatReg11 (LRD FOV Val Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_FOV_Val_Err.att.start_bit = '292';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_FOV_Val_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_FOV_Val_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_FOV_Val_Err.att.description = 'FSW Exc. Error Status Reg. 11(Low Rate Data FOV Value Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_FOV_Val_Err.dim = {'hk2_packet'};

    % id 599: TLM2_FswExErrStatReg11 (LRD Mode Sel Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_Mode_Sel_Err.att.telemetry_point_id = '599';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_Mode_Sel_Err.att.mnemonic = 'TLM2_FswExErrStatReg11 (LRD Mode Sel Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_Mode_Sel_Err.att.start_bit = '293';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_Mode_Sel_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_Mode_Sel_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_Mode_Sel_Err.att.description = 'FSW Exc. Error Status Reg. 11(Low Rate Data Mode Select Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_Mode_Sel_Err.dim = {'hk2_packet'};

    % id 600: TLM2_FswExErrStatReg11 (LRD FOV Repeat Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_FOV_Repeat_Err.att.telemetry_point_id = '600';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_FOV_Repeat_Err.att.mnemonic = 'TLM2_FswExErrStatReg11 (LRD FOV Repeat Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_FOV_Repeat_Err.att.start_bit = '294';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_FOV_Repeat_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_FOV_Repeat_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_FOV_Repeat_Err.att.description = 'FSW Exc. Error Status Reg. 11(Low Rate Data FOV Repeated Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_LRD_FOV_Repeat_Err.dim = {'hk2_packet'};

    % id 601: TLM2_FswExErrStatReg11 (Filt Dec Sample Cnt Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Filt_Dec_Sample_Cnt_Err.att.telemetry_point_id = '601';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Filt_Dec_Sample_Cnt_Err.att.mnemonic = 'TLM2_FswExErrStatReg11 (Filt Dec Sample Cnt Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Filt_Dec_Sample_Cnt_Err.att.start_bit = '295';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Filt_Dec_Sample_Cnt_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Filt_Dec_Sample_Cnt_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Filt_Dec_Sample_Cnt_Err.att.description = 'FSW Exc. Error Status Reg. 11(Filtered Decimated Sample Count Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Filt_Dec_Sample_Cnt_Err.dim = {'hk2_packet'};

    % id 602: TLM2_FswExErrStatReg11 (FOR Upset Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg11_FOR_Upset_Err.att.telemetry_point_id = '602';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_FOR_Upset_Err.att.mnemonic = 'TLM2_FswExErrStatReg11 (FOR Upset Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_FOR_Upset_Err.att.start_bit = '296';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_FOR_Upset_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_FOR_Upset_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_FOR_Upset_Err.att.description = 'FSW Exc. Error Status Reg. 11(Field of Regard Upset Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_FOR_Upset_Err.dim = {'hk2_packet'};

    % id 603: TLM2_FswExErrStatReg11 (SEFI Upset Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg11_SEFI_Upset_Err.att.telemetry_point_id = '603';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_SEFI_Upset_Err.att.mnemonic = 'TLM2_FswExErrStatReg11 (SEFI Upset Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_SEFI_Upset_Err.att.start_bit = '297';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_SEFI_Upset_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_SEFI_Upset_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_SEFI_Upset_Err.att.description = 'FSW Exc. Error Status Reg. 11(Single Event Function Interrupt Upset Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_SEFI_Upset_Err.dim = {'hk2_packet'};

    % id 604: TLM2_FswExErrStatReg11 (PCI Retry Count Too Big Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg11_PCI_Retry_Count_Too_Big_Err.att.telemetry_point_id = '604';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_PCI_Retry_Count_Too_Big_Err.att.mnemonic = 'TLM2_FswExErrStatReg11 (PCI Retry Count Too Big Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_PCI_Retry_Count_Too_Big_Err.att.start_bit = '298';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_PCI_Retry_Count_Too_Big_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_PCI_Retry_Count_Too_Big_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_PCI_Retry_Count_Too_Big_Err.att.description = 'FSW Exc. Error Status Reg. 11(PCI Retry Count Too Big Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_PCI_Retry_Count_Too_Big_Err.dim = {'hk2_packet'};

    % id 605: TLM2_FswExErrStatReg11 (PCI Config Read Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg11_PCI_Config_Read_Err.att.telemetry_point_id = '605';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_PCI_Config_Read_Err.att.mnemonic = 'TLM2_FswExErrStatReg11 (PCI Config Read Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_PCI_Config_Read_Err.att.start_bit = '299';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_PCI_Config_Read_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_PCI_Config_Read_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_PCI_Config_Read_Err.att.description = 'FSW Exc. Error Status Reg. 11(PCI Configuration Read Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_PCI_Config_Read_Err.dim = {'hk2_packet'};

    % id 606: TLM2_FswExErrStatReg11 (Device Not Found)
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Device_Not_Found.att.telemetry_point_id = '606';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Device_Not_Found.att.mnemonic = 'TLM2_FswExErrStatReg11 (Device Not Found)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Device_Not_Found.att.start_bit = '300';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Device_Not_Found.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Device_Not_Found.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Device_Not_Found.att.description = 'FSW Exc. Error Status Reg. 11(Device Not Found)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Device_Not_Found.dim = {'hk2_packet'};

    % id 607: TLM2_FswExErrStatReg11 (Invalid Param)
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Invalid_Param.att.telemetry_point_id = '607';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Invalid_Param.att.mnemonic = 'TLM2_FswExErrStatReg11 (Invalid Param)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Invalid_Param.att.start_bit = '301';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Invalid_Param.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Invalid_Param.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Invalid_Param.att.description = 'FSW Exc. Error Status Reg. 11(Invalid Param)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Invalid_Param.dim = {'hk2_packet'};

    % id 608: TLM2_FswExErrStatReg11 (Taps per Int Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Taps_per_Int_Err.att.telemetry_point_id = '608';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Taps_per_Int_Err.att.mnemonic = 'TLM2_FswExErrStatReg11 (Taps per Int Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Taps_per_Int_Err.att.start_bit = '302';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Taps_per_Int_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Taps_per_Int_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Taps_per_Int_Err.att.description = 'FSW Exc. Error Status Reg. 11(Taps per Interval Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Taps_per_Int_Err.dim = {'hk2_packet'};

    % id 609: TLM2_FswExErrStatReg11 (Spare2)
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Spare2.att.telemetry_point_id = '609';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Spare2.att.mnemonic = 'TLM2_FswExErrStatReg11 (Spare2)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Spare2.att.start_bit = '303';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Spare2.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Spare2.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Spare2.att.description = 'FSW Exc. Error Status Reg. 11(Spare)';
    g_metadata.packets.instr_hk2.FswExErrStatReg11_Spare2.dim = {'hk2_packet'};

    % id 610: TLM2_FswExErrStatReg12 (PCI Init Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg12_PCI_Init_Err.att.telemetry_point_id = '610';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_PCI_Init_Err.att.mnemonic = 'TLM2_FswExErrStatReg12 (PCI Init Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_PCI_Init_Err.att.start_bit = '304';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_PCI_Init_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_PCI_Init_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_PCI_Init_Err.att.description = 'FSW Exc. Error Status Reg. 12(PCI Init Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_PCI_Init_Err.dim = {'hk2_packet'};

    % id 611: TLM2_FswExErrStatReg12 (Unsupp Config)
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Unsupp_Config.att.telemetry_point_id = '611';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Unsupp_Config.att.mnemonic = 'TLM2_FswExErrStatReg12 (Unsupp Config)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Unsupp_Config.att.start_bit = '305';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Unsupp_Config.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Unsupp_Config.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Unsupp_Config.att.description = 'FSW Exc. Error Status Reg. 12(Unsupported Configuration)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Unsupp_Config.dim = {'hk2_packet'};

    % id 612: TLM2_FswExErrStatReg12 (Invld Diag Chan Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Diag_Chan_Err.att.telemetry_point_id = '612';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Diag_Chan_Err.att.mnemonic = 'TLM2_FswExErrStatReg12 (Invld Diag Chan Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Diag_Chan_Err.att.start_bit = '306';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Diag_Chan_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Diag_Chan_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Diag_Chan_Err.att.description = 'FSW Exc. Error Status Reg. 12(Invalid Diag Chan. Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Diag_Chan_Err.dim = {'hk2_packet'};

    % id 613: TLM2_FswExErrStatReg12 (Unsupp Sci Data Len/Bit Trim Tbl/Dec Rate Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.telemetry_point_id = '613';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.mnemonic = 'TLM2_FswExErrStatReg12 (Unsupp Sci Data Len/Bit Trim Tbl/Dec Rate Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.start_bit = '307';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.description = 'FSW Exc. Error Status Reg. 12(Unsupported Sci Data Len/Bit Trim Tbl/Dec Rate Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.dim = {'hk2_packet'};

    % id 614: TLM2_FswExErrStatReg12 (No Term on Tele Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg12_No_Term_on_Tele_Err.att.telemetry_point_id = '614';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_No_Term_on_Tele_Err.att.mnemonic = 'TLM2_FswExErrStatReg12 (No Term on Tele Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_No_Term_on_Tele_Err.att.start_bit = '308';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_No_Term_on_Tele_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_No_Term_on_Tele_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_No_Term_on_Tele_Err.att.description = 'FSW Exc. Error Status Reg. 12(No Termination On Tlm Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_No_Term_on_Tele_Err.dim = {'hk2_packet'};

    % id 615: TLM2_FswExErrStatReg12 (Invld Tele ID Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Tele_ID_Err.att.telemetry_point_id = '615';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Tele_ID_Err.att.mnemonic = 'TLM2_FswExErrStatReg12 (Invld Tele ID Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Tele_ID_Err.att.start_bit = '309';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Tele_ID_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Tele_ID_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Tele_ID_Err.att.description = 'FSW Exc. Error Status Reg. 12(Invalid Tlm ID Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Tele_ID_Err.dim = {'hk2_packet'};

    % id 616: TLM2_FswExErrStatReg12 (Invld Coef Tbl ID Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Coef_Tbl_ID_Err.att.telemetry_point_id = '616';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Coef_Tbl_ID_Err.att.mnemonic = 'TLM2_FswExErrStatReg12 (Invld Coef Tbl ID Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Coef_Tbl_ID_Err.att.start_bit = '310';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Coef_Tbl_ID_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Coef_Tbl_ID_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Coef_Tbl_ID_Err.att.description = 'FSW Exc. Error Status Reg. 12(Invalid Coefficient Table ID Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Coef_Tbl_ID_Err.dim = {'hk2_packet'};

    % id 617: TLM2_FswExErrStatReg12 (Bit Trim Indx Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Bit_Trim_Indx_Err.att.telemetry_point_id = '617';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Bit_Trim_Indx_Err.att.mnemonic = 'TLM2_FswExErrStatReg12 (Bit Trim Indx Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Bit_Trim_Indx_Err.att.start_bit = '311';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Bit_Trim_Indx_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Bit_Trim_Indx_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Bit_Trim_Indx_Err.att.description = 'FSW Exc. Error Status Reg. 12(Bit Trim Table Index Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Bit_Trim_Indx_Err.dim = {'hk2_packet'};

    % id 618: TLM2_FswExErrStatReg12 (Impulse Tbl Index Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Impulse_Tbl_Index_Err.att.telemetry_point_id = '618';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Impulse_Tbl_Index_Err.att.mnemonic = 'TLM2_FswExErrStatReg12 (Impulse Tbl Index Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Impulse_Tbl_Index_Err.att.start_bit = '312';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Impulse_Tbl_Index_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Impulse_Tbl_Index_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Impulse_Tbl_Index_Err.att.description = 'FSW Exc. Error Status Reg. 12(Impulse Table Index Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Impulse_Tbl_Index_Err.dim = {'hk2_packet'};

    % id 619: TLM2_FswExErrStatReg12 (Invld Module ID)
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Module_ID.att.telemetry_point_id = '619';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Module_ID.att.mnemonic = 'TLM2_FswExErrStatReg12 (Invld Module ID)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Module_ID.att.start_bit = '313';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Module_ID.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Module_ID.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Module_ID.att.description = 'FSW Exc. Error Status Reg. 12(Invalid Module ID)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Invld_Module_ID.dim = {'hk2_packet'};

    % id 620: TLM2_FswExErrStatReg12 (Config Data Ptr Null Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Config_Data_Ptr_Null_Err.att.telemetry_point_id = '620';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Config_Data_Ptr_Null_Err.att.mnemonic = 'TLM2_FswExErrStatReg12 (Config Data Ptr Null Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Config_Data_Ptr_Null_Err.att.start_bit = '314';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Config_Data_Ptr_Null_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Config_Data_Ptr_Null_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Config_Data_Ptr_Null_Err.att.description = 'FSW Exc. Error Status Reg. 12(Configuration Data Pointer Null Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Config_Data_Ptr_Null_Err.dim = {'hk2_packet'};

    % id 621: TLM2_FswExErrStatReg12 (Rcv Unknown ID-Deflt Case)
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Rcv_Unknown_ID_Deflt_Case.att.telemetry_point_id = '621';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Rcv_Unknown_ID_Deflt_Case.att.mnemonic = 'TLM2_FswExErrStatReg12 (Rcv Unknown ID-Deflt Case)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Rcv_Unknown_ID_Deflt_Case.att.start_bit = '315';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Rcv_Unknown_ID_Deflt_Case.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Rcv_Unknown_ID_Deflt_Case.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Rcv_Unknown_ID_Deflt_Case.att.description = 'FSW Exc. Error Status Reg. 12(Receive Unknown ID - Default Case Reached)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Rcv_Unknown_ID_Deflt_Case.dim = {'hk2_packet'};

    % id 622: TLM2_FswExErrStatReg12 (Trans Unknown ID-Deflt Case)
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Trans_Unknown_ID_Deflt_Case.att.telemetry_point_id = '622';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Trans_Unknown_ID_Deflt_Case.att.mnemonic = 'TLM2_FswExErrStatReg12 (Trans Unknown ID-Deflt Case)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Trans_Unknown_ID_Deflt_Case.att.start_bit = '316';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Trans_Unknown_ID_Deflt_Case.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Trans_Unknown_ID_Deflt_Case.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Trans_Unknown_ID_Deflt_Case.att.description = 'FSW Exc. Error Status Reg. 12(Transmit Unknown ID - Default Case Reached)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_Trans_Unknown_ID_Deflt_Case.dim = {'hk2_packet'};

    % id 623: TLM2_FswExErrStatReg12 (MQ Rcv Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg12_MQ_Rcv_Err.att.telemetry_point_id = '623';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_MQ_Rcv_Err.att.mnemonic = 'TLM2_FswExErrStatReg12 (MQ Rcv Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_MQ_Rcv_Err.att.start_bit = '317';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_MQ_Rcv_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_MQ_Rcv_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_MQ_Rcv_Err.att.description = 'FSW Exc. Error Status Reg. 12(Message Queue Receive Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_MQ_Rcv_Err.dim = {'hk2_packet'};

    % id 624: TLM2_FswExErrStatReg12 (MQ Snd Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg12_MQ_Snd_Err.att.telemetry_point_id = '624';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_MQ_Snd_Err.att.mnemonic = 'TLM2_FswExErrStatReg12 (MQ Snd Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_MQ_Snd_Err.att.start_bit = '318';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_MQ_Snd_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_MQ_Snd_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_MQ_Snd_Err.att.description = 'FSW Exc. Error Status Reg. 12(Message Queue Send Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_MQ_Snd_Err.dim = {'hk2_packet'};

    % id 625: TLM2_FswExErrStatReg12 (OS Func Call Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg12_OS_Func_Call_Err.att.telemetry_point_id = '625';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_OS_Func_Call_Err.att.mnemonic = 'TLM2_FswExErrStatReg12 (OS Func Call Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_OS_Func_Call_Err.att.start_bit = '319';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_OS_Func_Call_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_OS_Func_Call_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_OS_Func_Call_Err.att.description = 'FSW Exc. Error Status Reg. 12(Operating System Function Call Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg12_OS_Func_Call_Err.dim = {'hk2_packet'};

    % id 626: TLM2_FswExErrStatReg13 (Taps Q Coef MisMatch)
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Taps_Q_Coef_MisMatch.att.telemetry_point_id = '626';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Taps_Q_Coef_MisMatch.att.mnemonic = 'TLM2_FswExErrStatReg13 (Taps Q Coef MisMatch)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Taps_Q_Coef_MisMatch.att.start_bit = '320';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Taps_Q_Coef_MisMatch.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Taps_Q_Coef_MisMatch.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Taps_Q_Coef_MisMatch.att.description = 'FSW Exc. Error Status Reg. 13(Taps Q Coefficient Mismatch)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Taps_Q_Coef_MisMatch.dim = {'hk2_packet'};

    % id 627: TLM2_FswExErrStatReg13 (Taps I Coef MisMatch)
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Taps_I_Coef_MisMatch.att.telemetry_point_id = '627';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Taps_I_Coef_MisMatch.att.mnemonic = 'TLM2_FswExErrStatReg13 (Taps I Coef MisMatch)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Taps_I_Coef_MisMatch.att.start_bit = '321';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Taps_I_Coef_MisMatch.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Taps_I_Coef_MisMatch.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Taps_I_Coef_MisMatch.att.description = 'FSW Exc. Error Status Reg. 13(Taps I Coefficient Mismatch)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Taps_I_Coef_MisMatch.dim = {'hk2_packet'};

    % id 628: TLM2_FswExErrStatReg13 (Coef Dat Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Coef_Dat_Err.att.telemetry_point_id = '628';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Coef_Dat_Err.att.mnemonic = 'TLM2_FswExErrStatReg13 (Coef Dat Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Coef_Dat_Err.att.start_bit = '322';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Coef_Dat_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Coef_Dat_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Coef_Dat_Err.att.description = 'FSW Exc. Error Status Reg. 13(Coefficient Data Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Coef_Dat_Err.dim = {'hk2_packet'};

    % id 629: TLM2_FswExErrStatReg13 (Config Dat Err - 4 min)
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Config_Dat_Err_4_min.att.telemetry_point_id = '629';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Config_Dat_Err_4_min.att.mnemonic = 'TLM2_FswExErrStatReg13 (Config Dat Err - 4 min)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Config_Dat_Err_4_min.att.start_bit = '323';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Config_Dat_Err_4_min.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Config_Dat_Err_4_min.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Config_Dat_Err_4_min.att.description = 'FSW Exc. Error Status Reg. 13(Configuration Data Error - 4 Minute)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Config_Dat_Err_4_min.dim = {'hk2_packet'};

    % id 630: TLM2_FswExErrStatReg13 (Config Dat Err - 8 sec)
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Config_Dat_Err_8_sec.att.telemetry_point_id = '630';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Config_Dat_Err_8_sec.att.mnemonic = 'TLM2_FswExErrStatReg13 (Config Dat Err - 8 sec)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Config_Dat_Err_8_sec.att.start_bit = '324';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Config_Dat_Err_8_sec.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Config_Dat_Err_8_sec.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Config_Dat_Err_8_sec.att.description = 'FSW Exc. Error Status Reg. 13(Configuration Data Error - 8 Second)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Config_Dat_Err_8_sec.dim = {'hk2_packet'};

    % id 631: TLM2_FswExErrStatReg13 (Persistant Tbl Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Persistant_Tbl_Err.att.telemetry_point_id = '631';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Persistant_Tbl_Err.att.mnemonic = 'TLM2_FswExErrStatReg13 (Persistant Tbl Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Persistant_Tbl_Err.att.start_bit = '325';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Persistant_Tbl_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Persistant_Tbl_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Persistant_Tbl_Err.att.description = 'FSW Exc. Error Status Reg. 13(Persistent Table Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Persistant_Tbl_Err.dim = {'hk2_packet'};

    % id 632: TLM2_FswExErrStatReg13 (Setup Data Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Setup_Data_Err.att.telemetry_point_id = '632';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Setup_Data_Err.att.mnemonic = 'TLM2_FswExErrStatReg13 (Setup Data Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Setup_Data_Err.att.start_bit = '326';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Setup_Data_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Setup_Data_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Setup_Data_Err.att.description = 'FSW Exc. Error Status Reg. 13(Setup Data Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Setup_Data_Err.dim = {'hk2_packet'};

    % id 633: TLM2_FswExErrStatReg13 (Invld Num Coef Entries)
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Invld_Num_Coef_Entries.att.telemetry_point_id = '633';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Invld_Num_Coef_Entries.att.mnemonic = 'TLM2_FswExErrStatReg13 (Invld Num Coef Entries)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Invld_Num_Coef_Entries.att.start_bit = '327';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Invld_Num_Coef_Entries.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Invld_Num_Coef_Entries.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Invld_Num_Coef_Entries.att.description = 'FSW Exc. Error Status Reg. 13(Invalid Number of Coefficient Entries)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Invld_Num_Coef_Entries.dim = {'hk2_packet'};

    % id 634: TLM2_FswExErrStatReg13 (Filter Offset Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Filter_Offset_Err.att.telemetry_point_id = '634';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Filter_Offset_Err.att.mnemonic = 'TLM2_FswExErrStatReg13 (Filter Offset Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Filter_Offset_Err.att.start_bit = '328';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Filter_Offset_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Filter_Offset_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Filter_Offset_Err.att.description = 'FSW Exc. Error Status Reg. 13(Filter Offset Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Filter_Offset_Err.dim = {'hk2_packet'};

    % id 635: TLM2_FswExErrStatReg13 (Run Samples > Total Samples)
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Run_Samples_Total_Samples.att.telemetry_point_id = '635';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Run_Samples_Total_Samples.att.mnemonic = 'TLM2_FswExErrStatReg13 (Run Samples > Total Samples)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Run_Samples_Total_Samples.att.start_bit = '329';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Run_Samples_Total_Samples.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Run_Samples_Total_Samples.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Run_Samples_Total_Samples.att.description = 'FSW Exc. Error Status Reg. 13(Run Samples > Total Samples)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Run_Samples_Total_Samples.dim = {'hk2_packet'};

    % id 636: TLM2_FswExErrStatReg13 (Bit Trim Tbl Start/Stop Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Bit_Trim_Tbl_Start_Stop_Err.att.telemetry_point_id = '636';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Bit_Trim_Tbl_Start_Stop_Err.att.mnemonic = 'TLM2_FswExErrStatReg13 (Bit Trim Tbl Start/Stop Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Bit_Trim_Tbl_Start_Stop_Err.att.start_bit = '330';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Bit_Trim_Tbl_Start_Stop_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Bit_Trim_Tbl_Start_Stop_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Bit_Trim_Tbl_Start_Stop_Err.att.description = 'FSW Exc. Error Status Reg. 13(Bit Trim Table Start/Stop Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Bit_Trim_Tbl_Start_Stop_Err.dim = {'hk2_packet'};

    % id 637: TLM2_FswExErrStatReg13 (Coef Mismatch)
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Coef_Mismatch.att.telemetry_point_id = '637';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Coef_Mismatch.att.mnemonic = 'TLM2_FswExErrStatReg13 (Coef Mismatch)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Coef_Mismatch.att.start_bit = '331';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Coef_Mismatch.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Coef_Mismatch.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Coef_Mismatch.att.description = 'FSW Exc. Error Status Reg. 13(Coefficient Mismatch)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Coef_Mismatch.dim = {'hk2_packet'};

    % id 638: TLM2_FswExErrStatReg13 (Mem Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Mem_Err.att.telemetry_point_id = '638';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Mem_Err.att.mnemonic = 'TLM2_FswExErrStatReg13 (Mem Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Mem_Err.att.start_bit = '332';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Mem_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Mem_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Mem_Err.att.description = 'FSW Exc. Error Status Reg. 13(Memory Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Mem_Err.dim = {'hk2_packet'};

    % id 639: TLM2_FswExErrStatReg13 (PCI Retry Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg13_PCI_Retry_Err.att.telemetry_point_id = '639';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_PCI_Retry_Err.att.mnemonic = 'TLM2_FswExErrStatReg13 (PCI Retry Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_PCI_Retry_Err.att.start_bit = '333';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_PCI_Retry_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_PCI_Retry_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_PCI_Retry_Err.att.description = 'FSW Exc. Error Status Reg. 13(PCI Retry Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_PCI_Retry_Err.dim = {'hk2_packet'};

    % id 640: TLM2_FswExErrStatReg13 (Sig Proc in Rst)
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Sig_Proc_in_Rst.att.telemetry_point_id = '640';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Sig_Proc_in_Rst.att.mnemonic = 'TLM2_FswExErrStatReg13 (Sig Proc in Rst)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Sig_Proc_in_Rst.att.start_bit = '334';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Sig_Proc_in_Rst.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Sig_Proc_in_Rst.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Sig_Proc_in_Rst.att.description = 'FSW Exc. Error Status Reg. 13(Signal Processor Is In Reset)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_Sig_Proc_in_Rst.dim = {'hk2_packet'};

    % id 641: TLM2_FswExErrStatReg13 (SSM Scn Pos Missing Err/Invld)
    g_metadata.packets.instr_hk2.FswExErrStatReg13_SSM_Scn_Pos_Missing_Err_Invld.att.telemetry_point_id = '641';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_SSM_Scn_Pos_Missing_Err_Invld.att.mnemonic = 'TLM2_FswExErrStatReg13 (SSM Scn Pos Missing Err/Invld)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_SSM_Scn_Pos_Missing_Err_Invld.att.start_bit = '335';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_SSM_Scn_Pos_Missing_Err_Invld.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_SSM_Scn_Pos_Missing_Err_Invld.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_SSM_Scn_Pos_Missing_Err_Invld.att.description = 'FSW Exc. Error Status Reg. 13(SSM Scan Position Missing Error or Invalid)';
    g_metadata.packets.instr_hk2.FswExErrStatReg13_SSM_Scn_Pos_Missing_Err_Invld.dim = {'hk2_packet'};

    % id 642: TLM2_FswExErrStatReg14 (Wake Up Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Wake_Up_Err.att.telemetry_point_id = '642';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Wake_Up_Err.att.mnemonic = 'TLM2_FswExErrStatReg14 (Wake Up Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Wake_Up_Err.att.start_bit = '336';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Wake_Up_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Wake_Up_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Wake_Up_Err.att.description = 'FSW Exc. Error Status Reg. 14(Wake Up Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Wake_Up_Err.dim = {'hk2_packet'};

    % id 643: TLM2_FswExErrStatReg14 (DMA Addr Write Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg14_DMA_Addr_Write_Err.att.telemetry_point_id = '643';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_DMA_Addr_Write_Err.att.mnemonic = 'TLM2_FswExErrStatReg14 (DMA Addr Write Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_DMA_Addr_Write_Err.att.start_bit = '337';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_DMA_Addr_Write_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_DMA_Addr_Write_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_DMA_Addr_Write_Err.att.description = 'FSW Exc. Error Status Reg. 14(DMA Address Write Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_DMA_Addr_Write_Err.dim = {'hk2_packet'};

    % id 644: TLM2_FswExErrStatReg14 (Mem dmp Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Mem_dmp_Err.att.telemetry_point_id = '644';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Mem_dmp_Err.att.mnemonic = 'TLM2_FswExErrStatReg14 (Mem dmp Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Mem_dmp_Err.att.start_bit = '338';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Mem_dmp_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Mem_dmp_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Mem_dmp_Err.att.description = 'FSW Exc. Error Status Reg. 14(Memory Dump Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Mem_dmp_Err.dim = {'hk2_packet'};

    % id 645: TLM2_FswExErrStatReg14 (LRD Num FOVs ERR)
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_Num_FOVs_ERR.att.telemetry_point_id = '645';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_Num_FOVs_ERR.att.mnemonic = 'TLM2_FswExErrStatReg14 (LRD Num FOVs ERR)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_Num_FOVs_ERR.att.start_bit = '339';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_Num_FOVs_ERR.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_Num_FOVs_ERR.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_Num_FOVs_ERR.att.description = 'FSW Exc. Error Status Reg. 14(Low Rate Data Number of FOVs Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_Num_FOVs_ERR.dim = {'hk2_packet'};

    % id 646: TLM2_FswExErrStatReg14 (LRD FOV Val Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_FOV_Val_Err.att.telemetry_point_id = '646';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_FOV_Val_Err.att.mnemonic = 'TLM2_FswExErrStatReg14 (LRD FOV Val Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_FOV_Val_Err.att.start_bit = '340';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_FOV_Val_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_FOV_Val_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_FOV_Val_Err.att.description = 'FSW Exc. Error Status Reg. 14(Low Rate Data FOV Value Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_FOV_Val_Err.dim = {'hk2_packet'};

    % id 647: TLM2_FswExErrStatReg14 (LRD Mode Sel Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_Mode_Sel_Err.att.telemetry_point_id = '647';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_Mode_Sel_Err.att.mnemonic = 'TLM2_FswExErrStatReg14 (LRD Mode Sel Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_Mode_Sel_Err.att.start_bit = '341';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_Mode_Sel_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_Mode_Sel_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_Mode_Sel_Err.att.description = 'FSW Exc. Error Status Reg. 14(Low Rate Data Mode Select Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_Mode_Sel_Err.dim = {'hk2_packet'};

    % id 648: TLM2_FswExErrStatReg14 (LRD FOV Repeat Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_FOV_Repeat_Err.att.telemetry_point_id = '648';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_FOV_Repeat_Err.att.mnemonic = 'TLM2_FswExErrStatReg14 (LRD FOV Repeat Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_FOV_Repeat_Err.att.start_bit = '342';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_FOV_Repeat_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_FOV_Repeat_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_FOV_Repeat_Err.att.description = 'FSW Exc. Error Status Reg. 14(Low Rate Data FOV Repeated Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_LRD_FOV_Repeat_Err.dim = {'hk2_packet'};

    % id 649: TLM2_FswExErrStatReg14 (Filtrd Dec Sample Cnt Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Filtrd_Dec_Sample_Cnt_Err.att.telemetry_point_id = '649';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Filtrd_Dec_Sample_Cnt_Err.att.mnemonic = 'TLM2_FswExErrStatReg14 (Filtrd Dec Sample Cnt Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Filtrd_Dec_Sample_Cnt_Err.att.start_bit = '343';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Filtrd_Dec_Sample_Cnt_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Filtrd_Dec_Sample_Cnt_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Filtrd_Dec_Sample_Cnt_Err.att.description = 'FSW Exc. Error Status Reg. 14(Filtered Decimated Sample Count Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Filtrd_Dec_Sample_Cnt_Err.dim = {'hk2_packet'};

    % id 650: TLM2_FswExErrStatReg14 (FOR Upset Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg14_FOR_Upset_Err.att.telemetry_point_id = '650';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_FOR_Upset_Err.att.mnemonic = 'TLM2_FswExErrStatReg14 (FOR Upset Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_FOR_Upset_Err.att.start_bit = '344';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_FOR_Upset_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_FOR_Upset_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_FOR_Upset_Err.att.description = 'FSW Exc. Error Status Reg. 14(Field of Regard Upset Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_FOR_Upset_Err.dim = {'hk2_packet'};

    % id 651: TLM2_FswExErrStatReg14 (SEFI Upset Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg14_SEFI_Upset_Err.att.telemetry_point_id = '651';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_SEFI_Upset_Err.att.mnemonic = 'TLM2_FswExErrStatReg14 (SEFI Upset Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_SEFI_Upset_Err.att.start_bit = '345';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_SEFI_Upset_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_SEFI_Upset_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_SEFI_Upset_Err.att.description = 'FSW Exc. Error Status Reg. 14(Single Event Function Interrupt Upset Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_SEFI_Upset_Err.dim = {'hk2_packet'};

    % id 652: TLM2_FswExErrStatReg14 (PCI Retry Count Too Big Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg14_PCI_Retry_Count_Too_Big_Err.att.telemetry_point_id = '652';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_PCI_Retry_Count_Too_Big_Err.att.mnemonic = 'TLM2_FswExErrStatReg14 (PCI Retry Count Too Big Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_PCI_Retry_Count_Too_Big_Err.att.start_bit = '346';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_PCI_Retry_Count_Too_Big_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_PCI_Retry_Count_Too_Big_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_PCI_Retry_Count_Too_Big_Err.att.description = 'FSW Exc. Error Status Reg. 14(PCI Retry Count Too Big Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_PCI_Retry_Count_Too_Big_Err.dim = {'hk2_packet'};

    % id 653: TLM2_FswExErrStatReg14 (PCI Config Read Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg14_PCI_Config_Read_Err.att.telemetry_point_id = '653';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_PCI_Config_Read_Err.att.mnemonic = 'TLM2_FswExErrStatReg14 (PCI Config Read Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_PCI_Config_Read_Err.att.start_bit = '347';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_PCI_Config_Read_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_PCI_Config_Read_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_PCI_Config_Read_Err.att.description = 'FSW Exc. Error Status Reg. 14(PCI Configuration Read Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_PCI_Config_Read_Err.dim = {'hk2_packet'};

    % id 654: TLM2_FswExErrStatReg14 (Device Not Found)
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Device_Not_Found.att.telemetry_point_id = '654';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Device_Not_Found.att.mnemonic = 'TLM2_FswExErrStatReg14 (Device Not Found)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Device_Not_Found.att.start_bit = '348';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Device_Not_Found.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Device_Not_Found.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Device_Not_Found.att.description = 'FSW Exc. Error Status Reg. 14(Device Not Found)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Device_Not_Found.dim = {'hk2_packet'};

    % id 655: TLM2_FswExErrStatReg14 (Invalid Param)
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Invalid_Param.att.telemetry_point_id = '655';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Invalid_Param.att.mnemonic = 'TLM2_FswExErrStatReg14 (Invalid Param)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Invalid_Param.att.start_bit = '349';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Invalid_Param.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Invalid_Param.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Invalid_Param.att.description = 'FSW Exc. Error Status Reg. 14(Invalid Param)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Invalid_Param.dim = {'hk2_packet'};

    % id 656: TLM2_FswExErrStatReg14 (Taps per Int Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Taps_per_Int_Err.att.telemetry_point_id = '656';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Taps_per_Int_Err.att.mnemonic = 'TLM2_FswExErrStatReg14 (Taps per Int Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Taps_per_Int_Err.att.start_bit = '350';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Taps_per_Int_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Taps_per_Int_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Taps_per_Int_Err.att.description = 'FSW Exc. Error Status Reg. 14(Taps per Interval Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Taps_per_Int_Err.dim = {'hk2_packet'};

    % id 657: TLM2_FswExErrStatReg14 (Spare2)
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Spare2.att.telemetry_point_id = '657';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Spare2.att.mnemonic = 'TLM2_FswExErrStatReg14 (Spare2)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Spare2.att.start_bit = '351';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Spare2.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Spare2.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Spare2.att.description = 'FSW Exc. Error Status Reg. 14(Spare)';
    g_metadata.packets.instr_hk2.FswExErrStatReg14_Spare2.dim = {'hk2_packet'};

    % id 658: TLM2_FswExErrStatReg15 (PCI Init Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg15_PCI_Init_Err.att.telemetry_point_id = '658';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_PCI_Init_Err.att.mnemonic = 'TLM2_FswExErrStatReg15 (PCI Init Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_PCI_Init_Err.att.start_bit = '352';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_PCI_Init_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_PCI_Init_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_PCI_Init_Err.att.description = 'FSW Exc. Error Status Reg. 15(PCI Init Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_PCI_Init_Err.dim = {'hk2_packet'};

    % id 659: TLM2_FswExErrStatReg15 (Unsupp Config)
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Unsupp_Config.att.telemetry_point_id = '659';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Unsupp_Config.att.mnemonic = 'TLM2_FswExErrStatReg15 (Unsupp Config)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Unsupp_Config.att.start_bit = '353';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Unsupp_Config.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Unsupp_Config.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Unsupp_Config.att.description = 'FSW Exc. Error Status Reg. 15(Unsupported Configuration)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Unsupp_Config.dim = {'hk2_packet'};

    % id 660: TLM2_FswExErrStatReg15 (Invld Diag Chan Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Diag_Chan_Err.att.telemetry_point_id = '660';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Diag_Chan_Err.att.mnemonic = 'TLM2_FswExErrStatReg15 (Invld Diag Chan Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Diag_Chan_Err.att.start_bit = '354';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Diag_Chan_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Diag_Chan_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Diag_Chan_Err.att.description = 'FSW Exc. Error Status Reg. 15(Invalid Diag Chan. Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Diag_Chan_Err.dim = {'hk2_packet'};

    % id 661: TLM2_FswExErrStatReg15 (Unsupp Sci Data Len/Bit Trim Tbl/Dec Rate Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.telemetry_point_id = '661';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.mnemonic = 'TLM2_FswExErrStatReg15 (Unsupp Sci Data Len/Bit Trim Tbl/Dec Rate Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.start_bit = '355';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.description = 'FSW Exc. Error Status Reg. 15(Unsupported Sci Data Len/Bit Trim Tbl/Dec Rate Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.dim = {'hk2_packet'};

    % id 662: TLM2_FswExErrStatReg15 (No Term on Tele Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg15_No_Term_on_Tele_Err.att.telemetry_point_id = '662';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_No_Term_on_Tele_Err.att.mnemonic = 'TLM2_FswExErrStatReg15 (No Term on Tele Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_No_Term_on_Tele_Err.att.start_bit = '356';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_No_Term_on_Tele_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_No_Term_on_Tele_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_No_Term_on_Tele_Err.att.description = 'FSW Exc. Error Status Reg. 15(No Termination On Tlm Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_No_Term_on_Tele_Err.dim = {'hk2_packet'};

    % id 663: TLM2_FswExErrStatReg15 (Invld Tele ID Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Tele_ID_Err.att.telemetry_point_id = '663';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Tele_ID_Err.att.mnemonic = 'TLM2_FswExErrStatReg15 (Invld Tele ID Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Tele_ID_Err.att.start_bit = '357';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Tele_ID_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Tele_ID_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Tele_ID_Err.att.description = 'FSW Exc. Error Status Reg. 15(Invalid Tlm ID Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Tele_ID_Err.dim = {'hk2_packet'};

    % id 664: TLM2_FswExErrStatReg15 (Invld Coef Tbl ID Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Coef_Tbl_ID_Err.att.telemetry_point_id = '664';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Coef_Tbl_ID_Err.att.mnemonic = 'TLM2_FswExErrStatReg15 (Invld Coef Tbl ID Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Coef_Tbl_ID_Err.att.start_bit = '358';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Coef_Tbl_ID_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Coef_Tbl_ID_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Coef_Tbl_ID_Err.att.description = 'FSW Exc. Error Status Reg. 15(Invalid Coefficient Table ID Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Coef_Tbl_ID_Err.dim = {'hk2_packet'};

    % id 665: TLM2_FswExErrStatReg15 (Bit Trim Indx Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Bit_Trim_Indx_Err.att.telemetry_point_id = '665';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Bit_Trim_Indx_Err.att.mnemonic = 'TLM2_FswExErrStatReg15 (Bit Trim Indx Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Bit_Trim_Indx_Err.att.start_bit = '359';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Bit_Trim_Indx_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Bit_Trim_Indx_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Bit_Trim_Indx_Err.att.description = 'FSW Exc. Error Status Reg. 15(Bit Trim Table Index Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Bit_Trim_Indx_Err.dim = {'hk2_packet'};

    % id 666: TLM2_FswExErrStatReg15 (Impulse Tbl Index Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Impulse_Tbl_Index_Err.att.telemetry_point_id = '666';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Impulse_Tbl_Index_Err.att.mnemonic = 'TLM2_FswExErrStatReg15 (Impulse Tbl Index Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Impulse_Tbl_Index_Err.att.start_bit = '360';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Impulse_Tbl_Index_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Impulse_Tbl_Index_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Impulse_Tbl_Index_Err.att.description = 'FSW Exc. Error Status Reg. 15(Impulse Table Index Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Impulse_Tbl_Index_Err.dim = {'hk2_packet'};

    % id 667: TLM2_FswExErrStatReg15 (Invld Module ID)
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Module_ID.att.telemetry_point_id = '667';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Module_ID.att.mnemonic = 'TLM2_FswExErrStatReg15 (Invld Module ID)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Module_ID.att.start_bit = '361';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Module_ID.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Module_ID.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Module_ID.att.description = 'FSW Exc. Error Status Reg. 15(Invalid Module ID)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Invld_Module_ID.dim = {'hk2_packet'};

    % id 668: TLM2_FswExErrStatReg15 (Config Data Ptr Null Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Config_Data_Ptr_Null_Err.att.telemetry_point_id = '668';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Config_Data_Ptr_Null_Err.att.mnemonic = 'TLM2_FswExErrStatReg15 (Config Data Ptr Null Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Config_Data_Ptr_Null_Err.att.start_bit = '362';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Config_Data_Ptr_Null_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Config_Data_Ptr_Null_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Config_Data_Ptr_Null_Err.att.description = 'FSW Exc. Error Status Reg. 15(Configuration Data Pointer Null Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Config_Data_Ptr_Null_Err.dim = {'hk2_packet'};

    % id 669: TLM2_FswExErrStatReg15 (Rcv Unknown ID-Deflt Case)
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Rcv_Unknown_ID_Deflt_Case.att.telemetry_point_id = '669';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Rcv_Unknown_ID_Deflt_Case.att.mnemonic = 'TLM2_FswExErrStatReg15 (Rcv Unknown ID-Deflt Case)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Rcv_Unknown_ID_Deflt_Case.att.start_bit = '363';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Rcv_Unknown_ID_Deflt_Case.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Rcv_Unknown_ID_Deflt_Case.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Rcv_Unknown_ID_Deflt_Case.att.description = 'FSW Exc. Error Status Reg. 15(Receive Unknown ID - Default Case Reached)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Rcv_Unknown_ID_Deflt_Case.dim = {'hk2_packet'};

    % id 670: TLM2_FswExErrStatReg15 (Trans Unknown ID-Deflt Case)
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Trans_Unknown_ID_Deflt_Case.att.telemetry_point_id = '670';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Trans_Unknown_ID_Deflt_Case.att.mnemonic = 'TLM2_FswExErrStatReg15 (Trans Unknown ID-Deflt Case)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Trans_Unknown_ID_Deflt_Case.att.start_bit = '364';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Trans_Unknown_ID_Deflt_Case.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Trans_Unknown_ID_Deflt_Case.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Trans_Unknown_ID_Deflt_Case.att.description = 'FSW Exc. Error Status Reg. 15(Transmit Unknown ID - Default Case Reached)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_Trans_Unknown_ID_Deflt_Case.dim = {'hk2_packet'};

    % id 671: TLM2_FswExErrStatReg15 (MQ Rcv Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg15_MQ_Rcv_Err.att.telemetry_point_id = '671';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_MQ_Rcv_Err.att.mnemonic = 'TLM2_FswExErrStatReg15 (MQ Rcv Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_MQ_Rcv_Err.att.start_bit = '365';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_MQ_Rcv_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_MQ_Rcv_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_MQ_Rcv_Err.att.description = 'FSW Exc. Error Status Reg. 15(Message Queue Receive Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_MQ_Rcv_Err.dim = {'hk2_packet'};

    % id 672: TLM2_FswExErrStatReg15 (MQ Snd Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg15_MQ_Snd_Err.att.telemetry_point_id = '672';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_MQ_Snd_Err.att.mnemonic = 'TLM2_FswExErrStatReg15 (MQ Snd Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_MQ_Snd_Err.att.start_bit = '366';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_MQ_Snd_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_MQ_Snd_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_MQ_Snd_Err.att.description = 'FSW Exc. Error Status Reg. 15(Message Queue Send Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_MQ_Snd_Err.dim = {'hk2_packet'};

    % id 673: TLM2_FswExErrStatReg15 (OS Func Call Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg15_OS_Func_Call_Err.att.telemetry_point_id = '673';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_OS_Func_Call_Err.att.mnemonic = 'TLM2_FswExErrStatReg15 (OS Func Call Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_OS_Func_Call_Err.att.start_bit = '367';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_OS_Func_Call_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_OS_Func_Call_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_OS_Func_Call_Err.att.description = 'FSW Exc. Error Status Reg. 15(Operating System Function Call Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg15_OS_Func_Call_Err.dim = {'hk2_packet'};

    % id 674: TLM2_FswExErrStatReg16 (Taps Q Coef MisMatch)
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Taps_Q_Coef_MisMatch.att.telemetry_point_id = '674';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Taps_Q_Coef_MisMatch.att.mnemonic = 'TLM2_FswExErrStatReg16 (Taps Q Coef MisMatch)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Taps_Q_Coef_MisMatch.att.start_bit = '368';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Taps_Q_Coef_MisMatch.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Taps_Q_Coef_MisMatch.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Taps_Q_Coef_MisMatch.att.description = 'FSW Exc. Error Status Reg. 16(Taps Q Coefficient Mismatch)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Taps_Q_Coef_MisMatch.dim = {'hk2_packet'};

    % id 675: TLM2_FswExErrStatReg16 (Taps I Coef MisMatch)
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Taps_I_Coef_MisMatch.att.telemetry_point_id = '675';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Taps_I_Coef_MisMatch.att.mnemonic = 'TLM2_FswExErrStatReg16 (Taps I Coef MisMatch)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Taps_I_Coef_MisMatch.att.start_bit = '369';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Taps_I_Coef_MisMatch.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Taps_I_Coef_MisMatch.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Taps_I_Coef_MisMatch.att.description = 'FSW Exc. Error Status Reg. 16(Taps I Coefficient Mismatch)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Taps_I_Coef_MisMatch.dim = {'hk2_packet'};

    % id 676: TLM2_FswExErrStatReg16 (Coef Dat Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Coef_Dat_Err.att.telemetry_point_id = '676';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Coef_Dat_Err.att.mnemonic = 'TLM2_FswExErrStatReg16 (Coef Dat Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Coef_Dat_Err.att.start_bit = '370';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Coef_Dat_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Coef_Dat_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Coef_Dat_Err.att.description = 'FSW Exc. Error Status Reg. 16(Coefficient Data Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Coef_Dat_Err.dim = {'hk2_packet'};

    % id 677: TLM2_FswExErrStatReg16 (Config Dat Err - 4 min)
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Config_Dat_Err_4_min.att.telemetry_point_id = '677';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Config_Dat_Err_4_min.att.mnemonic = 'TLM2_FswExErrStatReg16 (Config Dat Err - 4 min)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Config_Dat_Err_4_min.att.start_bit = '371';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Config_Dat_Err_4_min.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Config_Dat_Err_4_min.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Config_Dat_Err_4_min.att.description = 'FSW Exc. Error Status Reg. 16(Configuration Data Error - 4 Minute)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Config_Dat_Err_4_min.dim = {'hk2_packet'};

    % id 678: TLM2_FswExErrStatReg16 (Config Dat Err - 8 sec)
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Config_Dat_Err_8_sec.att.telemetry_point_id = '678';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Config_Dat_Err_8_sec.att.mnemonic = 'TLM2_FswExErrStatReg16 (Config Dat Err - 8 sec)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Config_Dat_Err_8_sec.att.start_bit = '372';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Config_Dat_Err_8_sec.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Config_Dat_Err_8_sec.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Config_Dat_Err_8_sec.att.description = 'FSW Exc. Error Status Reg. 16(Configuration Data Error - 8 Second)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Config_Dat_Err_8_sec.dim = {'hk2_packet'};

    % id 679: TLM2_FswExErrStatReg16 (Persistant Tbl Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Persistant_Tbl_Err.att.telemetry_point_id = '679';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Persistant_Tbl_Err.att.mnemonic = 'TLM2_FswExErrStatReg16 (Persistant Tbl Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Persistant_Tbl_Err.att.start_bit = '373';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Persistant_Tbl_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Persistant_Tbl_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Persistant_Tbl_Err.att.description = 'FSW Exc. Error Status Reg. 16(Persistent Table Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Persistant_Tbl_Err.dim = {'hk2_packet'};

    % id 680: TLM2_FswExErrStatReg16 (Setup Data Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Setup_Data_Err.att.telemetry_point_id = '680';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Setup_Data_Err.att.mnemonic = 'TLM2_FswExErrStatReg16 (Setup Data Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Setup_Data_Err.att.start_bit = '374';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Setup_Data_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Setup_Data_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Setup_Data_Err.att.description = 'FSW Exc. Error Status Reg. 16(Setup Data Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Setup_Data_Err.dim = {'hk2_packet'};

    % id 681: TLM2_FswExErrStatReg16 (Invld Num Coef Entries)
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Invld_Num_Coef_Entries.att.telemetry_point_id = '681';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Invld_Num_Coef_Entries.att.mnemonic = 'TLM2_FswExErrStatReg16 (Invld Num Coef Entries)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Invld_Num_Coef_Entries.att.start_bit = '375';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Invld_Num_Coef_Entries.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Invld_Num_Coef_Entries.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Invld_Num_Coef_Entries.att.description = 'FSW Exc. Error Status Reg. 16(Invalid Number of Coefficient Entries)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Invld_Num_Coef_Entries.dim = {'hk2_packet'};

    % id 682: TLM2_FswExErrStatReg16 (Filter Offset Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Filter_Offset_Err.att.telemetry_point_id = '682';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Filter_Offset_Err.att.mnemonic = 'TLM2_FswExErrStatReg16 (Filter Offset Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Filter_Offset_Err.att.start_bit = '376';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Filter_Offset_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Filter_Offset_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Filter_Offset_Err.att.description = 'FSW Exc. Error Status Reg. 16(Filter Offset Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Filter_Offset_Err.dim = {'hk2_packet'};

    % id 683: TLM2_FswExErrStatReg16 (Run Samples > Total Samples)
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Run_Samples_Total_Samples.att.telemetry_point_id = '683';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Run_Samples_Total_Samples.att.mnemonic = 'TLM2_FswExErrStatReg16 (Run Samples > Total Samples)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Run_Samples_Total_Samples.att.start_bit = '377';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Run_Samples_Total_Samples.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Run_Samples_Total_Samples.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Run_Samples_Total_Samples.att.description = 'FSW Exc. Error Status Reg. 16(Run Samples > Total Samples)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Run_Samples_Total_Samples.dim = {'hk2_packet'};

    % id 684: TLM2_FswExErrStatReg16 (Bit Trim Tbl Start/Stop Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Bit_Trim_Tbl_Start_Stop_Err.att.telemetry_point_id = '684';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Bit_Trim_Tbl_Start_Stop_Err.att.mnemonic = 'TLM2_FswExErrStatReg16 (Bit Trim Tbl Start/Stop Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Bit_Trim_Tbl_Start_Stop_Err.att.start_bit = '378';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Bit_Trim_Tbl_Start_Stop_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Bit_Trim_Tbl_Start_Stop_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Bit_Trim_Tbl_Start_Stop_Err.att.description = 'FSW Exc. Error Status Reg. 16(Bit Trim Table Start/Stop Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Bit_Trim_Tbl_Start_Stop_Err.dim = {'hk2_packet'};

    % id 685: TLM2_FswExErrStatReg16 (Coef Mismatch)
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Coef_Mismatch.att.telemetry_point_id = '685';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Coef_Mismatch.att.mnemonic = 'TLM2_FswExErrStatReg16 (Coef Mismatch)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Coef_Mismatch.att.start_bit = '379';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Coef_Mismatch.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Coef_Mismatch.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Coef_Mismatch.att.description = 'FSW Exc. Error Status Reg. 16(Coefficient Mismatch)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Coef_Mismatch.dim = {'hk2_packet'};

    % id 686: TLM2_FswExErrStatReg16 (Mem Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Mem_Err.att.telemetry_point_id = '686';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Mem_Err.att.mnemonic = 'TLM2_FswExErrStatReg16 (Mem Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Mem_Err.att.start_bit = '380';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Mem_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Mem_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Mem_Err.att.description = 'FSW Exc. Error Status Reg. 16(Memory Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Mem_Err.dim = {'hk2_packet'};

    % id 687: TLM2_FswExErrStatReg16 (PCI Retry Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg16_PCI_Retry_Err.att.telemetry_point_id = '687';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_PCI_Retry_Err.att.mnemonic = 'TLM2_FswExErrStatReg16 (PCI Retry Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_PCI_Retry_Err.att.start_bit = '381';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_PCI_Retry_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_PCI_Retry_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_PCI_Retry_Err.att.description = 'FSW Exc. Error Status Reg. 16(PCI Retry Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_PCI_Retry_Err.dim = {'hk2_packet'};

    % id 688: TLM2_FswExErrStatReg16 (Sig Proc in Rst)
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Sig_Proc_in_Rst.att.telemetry_point_id = '688';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Sig_Proc_in_Rst.att.mnemonic = 'TLM2_FswExErrStatReg16 (Sig Proc in Rst)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Sig_Proc_in_Rst.att.start_bit = '382';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Sig_Proc_in_Rst.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Sig_Proc_in_Rst.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Sig_Proc_in_Rst.att.description = 'FSW Exc. Error Status Reg. 16(Signal Processor Is In Reset)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_Sig_Proc_in_Rst.dim = {'hk2_packet'};

    % id 689: TLM2_FswExErrStatReg16 (SSM Scn Pos Missing Err/Invld)
    g_metadata.packets.instr_hk2.FswExErrStatReg16_SSM_Scn_Pos_Missing_Err_Invld.att.telemetry_point_id = '689';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_SSM_Scn_Pos_Missing_Err_Invld.att.mnemonic = 'TLM2_FswExErrStatReg16 (SSM Scn Pos Missing Err/Invld)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_SSM_Scn_Pos_Missing_Err_Invld.att.start_bit = '383';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_SSM_Scn_Pos_Missing_Err_Invld.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_SSM_Scn_Pos_Missing_Err_Invld.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_SSM_Scn_Pos_Missing_Err_Invld.att.description = 'FSW Exc. Error Status Reg. 16(SSM Scan Position Missing Error or Invalid)';
    g_metadata.packets.instr_hk2.FswExErrStatReg16_SSM_Scn_Pos_Missing_Err_Invld.dim = {'hk2_packet'};

    % id 690: TLM2_FswExErrStatReg17 (Wake Up Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Wake_Up_Err.att.telemetry_point_id = '690';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Wake_Up_Err.att.mnemonic = 'TLM2_FswExErrStatReg17 (Wake Up Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Wake_Up_Err.att.start_bit = '384';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Wake_Up_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Wake_Up_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Wake_Up_Err.att.description = 'FSW Exc. Error Status Reg. 17(Wake Up Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Wake_Up_Err.dim = {'hk2_packet'};

    % id 691: TLM2_FswExErrStatReg17 (DMA Addr Write Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg17_DMA_Addr_Write_Err.att.telemetry_point_id = '691';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_DMA_Addr_Write_Err.att.mnemonic = 'TLM2_FswExErrStatReg17 (DMA Addr Write Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_DMA_Addr_Write_Err.att.start_bit = '385';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_DMA_Addr_Write_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_DMA_Addr_Write_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_DMA_Addr_Write_Err.att.description = 'FSW Exc. Error Status Reg. 17(DMA Address Write Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_DMA_Addr_Write_Err.dim = {'hk2_packet'};

    % id 692: TLM2_FswExErrStatReg17 (Mem dmp Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Mem_dmp_Err.att.telemetry_point_id = '692';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Mem_dmp_Err.att.mnemonic = 'TLM2_FswExErrStatReg17 (Mem dmp Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Mem_dmp_Err.att.start_bit = '386';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Mem_dmp_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Mem_dmp_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Mem_dmp_Err.att.description = 'FSW Exc. Error Status Reg. 17(Memory Dump Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Mem_dmp_Err.dim = {'hk2_packet'};

    % id 693: TLM2_FswExErrStatReg17 (LRD Num FOVs ERR)
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_Num_FOVs_ERR.att.telemetry_point_id = '693';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_Num_FOVs_ERR.att.mnemonic = 'TLM2_FswExErrStatReg17 (LRD Num FOVs ERR)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_Num_FOVs_ERR.att.start_bit = '387';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_Num_FOVs_ERR.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_Num_FOVs_ERR.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_Num_FOVs_ERR.att.description = 'FSW Exc. Error Status Reg. 17(Low Rate Data Number of FOVs Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_Num_FOVs_ERR.dim = {'hk2_packet'};

    % id 694: TLM2_FswExErrStatReg17 (LRD FOV Val Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_FOV_Val_Err.att.telemetry_point_id = '694';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_FOV_Val_Err.att.mnemonic = 'TLM2_FswExErrStatReg17 (LRD FOV Val Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_FOV_Val_Err.att.start_bit = '388';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_FOV_Val_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_FOV_Val_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_FOV_Val_Err.att.description = 'FSW Exc. Error Status Reg. 17(Low Rate Data FOV Value Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_FOV_Val_Err.dim = {'hk2_packet'};

    % id 695: TLM2_FswExErrStatReg17 (LRD Mode Sel Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_Mode_Sel_Err.att.telemetry_point_id = '695';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_Mode_Sel_Err.att.mnemonic = 'TLM2_FswExErrStatReg17 (LRD Mode Sel Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_Mode_Sel_Err.att.start_bit = '389';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_Mode_Sel_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_Mode_Sel_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_Mode_Sel_Err.att.description = 'FSW Exc. Error Status Reg. 17(Low Rate Data Mode Select Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_Mode_Sel_Err.dim = {'hk2_packet'};

    % id 696: TLM2_FswExErrStatReg17 (LRD FOV Repeat Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_FOV_Repeat_Err.att.telemetry_point_id = '696';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_FOV_Repeat_Err.att.mnemonic = 'TLM2_FswExErrStatReg17 (LRD FOV Repeat Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_FOV_Repeat_Err.att.start_bit = '390';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_FOV_Repeat_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_FOV_Repeat_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_FOV_Repeat_Err.att.description = 'FSW Exc. Error Status Reg. 17(Low Rate Data FOV Repeated Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_LRD_FOV_Repeat_Err.dim = {'hk2_packet'};

    % id 697: TLM2_FswExErrStatReg17 (Fltrd Dec Sample Cnt Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Fltrd_Dec_Sample_Cnt_Err.att.telemetry_point_id = '697';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Fltrd_Dec_Sample_Cnt_Err.att.mnemonic = 'TLM2_FswExErrStatReg17 (Fltrd Dec Sample Cnt Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Fltrd_Dec_Sample_Cnt_Err.att.start_bit = '391';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Fltrd_Dec_Sample_Cnt_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Fltrd_Dec_Sample_Cnt_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Fltrd_Dec_Sample_Cnt_Err.att.description = 'FSW Exc. Error Status Reg. 17(Filtered Decimated Sample Count Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Fltrd_Dec_Sample_Cnt_Err.dim = {'hk2_packet'};

    % id 698: TLM2_FswExErrStatReg17 (FOR Upset Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg17_FOR_Upset_Err.att.telemetry_point_id = '698';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_FOR_Upset_Err.att.mnemonic = 'TLM2_FswExErrStatReg17 (FOR Upset Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_FOR_Upset_Err.att.start_bit = '392';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_FOR_Upset_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_FOR_Upset_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_FOR_Upset_Err.att.description = 'FSW Exc. Error Status Reg. 17(Field of Regard Upset Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_FOR_Upset_Err.dim = {'hk2_packet'};

    % id 699: TLM2_FswExErrStatReg17 (SEFI Upset Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg17_SEFI_Upset_Err.att.telemetry_point_id = '699';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_SEFI_Upset_Err.att.mnemonic = 'TLM2_FswExErrStatReg17 (SEFI Upset Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_SEFI_Upset_Err.att.start_bit = '393';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_SEFI_Upset_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_SEFI_Upset_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_SEFI_Upset_Err.att.description = 'FSW Exc. Error Status Reg. 17(Single Event Function Interrupt Upset Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_SEFI_Upset_Err.dim = {'hk2_packet'};

    % id 700: TLM2_FswExErrStatReg17 (PCI Retry Count Too Big Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg17_PCI_Retry_Count_Too_Big_Err.att.telemetry_point_id = '700';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_PCI_Retry_Count_Too_Big_Err.att.mnemonic = 'TLM2_FswExErrStatReg17 (PCI Retry Count Too Big Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_PCI_Retry_Count_Too_Big_Err.att.start_bit = '394';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_PCI_Retry_Count_Too_Big_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_PCI_Retry_Count_Too_Big_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_PCI_Retry_Count_Too_Big_Err.att.description = 'FSW Exc. Error Status Reg. 17(PCI Retry Count Too Big Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_PCI_Retry_Count_Too_Big_Err.dim = {'hk2_packet'};

    % id 701: TLM2_FswExErrStatReg17 (PCI Config Read Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg17_PCI_Config_Read_Err.att.telemetry_point_id = '701';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_PCI_Config_Read_Err.att.mnemonic = 'TLM2_FswExErrStatReg17 (PCI Config Read Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_PCI_Config_Read_Err.att.start_bit = '395';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_PCI_Config_Read_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_PCI_Config_Read_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_PCI_Config_Read_Err.att.description = 'FSW Exc. Error Status Reg. 17(PCI Configuration Read Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_PCI_Config_Read_Err.dim = {'hk2_packet'};

    % id 702: TLM2_FswExErrStatReg17 (Dev Not Found)
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Dev_Not_Found.att.telemetry_point_id = '702';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Dev_Not_Found.att.mnemonic = 'TLM2_FswExErrStatReg17 (Dev Not Found)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Dev_Not_Found.att.start_bit = '396';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Dev_Not_Found.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Dev_Not_Found.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Dev_Not_Found.att.description = 'FSW Exc. Error Status Reg. 17(Device Not Found)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Dev_Not_Found.dim = {'hk2_packet'};

    % id 703: TLM2_FswExErrStatReg17 (Invalid Param)
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Invalid_Param.att.telemetry_point_id = '703';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Invalid_Param.att.mnemonic = 'TLM2_FswExErrStatReg17 (Invalid Param)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Invalid_Param.att.start_bit = '397';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Invalid_Param.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Invalid_Param.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Invalid_Param.att.description = 'FSW Exc. Error Status Reg. 17(Invalid Param)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Invalid_Param.dim = {'hk2_packet'};

    % id 704: TLM2_FswExErrStatReg17 (Taps per Int Err)
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Taps_per_Int_Err.att.telemetry_point_id = '704';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Taps_per_Int_Err.att.mnemonic = 'TLM2_FswExErrStatReg17 (Taps per Int Err)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Taps_per_Int_Err.att.start_bit = '398';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Taps_per_Int_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Taps_per_Int_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Taps_per_Int_Err.att.description = 'FSW Exc. Error Status Reg. 17(Taps per Interval Error)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Taps_per_Int_Err.dim = {'hk2_packet'};

    % id 705: TLM2_FswExErrStatReg17 (Spare2)
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Spare2.att.telemetry_point_id = '705';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Spare2.att.mnemonic = 'TLM2_FswExErrStatReg17 (Spare2)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Spare2.att.start_bit = '399';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Spare2.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Spare2.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Spare2.att.description = 'FSW Exc. Error Status Reg. 17(Spare)';
    g_metadata.packets.instr_hk2.FswExErrStatReg17_Spare2.dim = {'hk2_packet'};

    % id 706: TLM2_FW StatReg1(Bus Identifier)
    g_metadata.packets.instr_hk2.FW_StatReg1_Bus_Identifier.att.telemetry_point_id = '706';
    g_metadata.packets.instr_hk2.FW_StatReg1_Bus_Identifier.att.mnemonic = 'TLM2_FW StatReg1(Bus Identifier)';
    g_metadata.packets.instr_hk2.FW_StatReg1_Bus_Identifier.att.start_bit = '400';
    g_metadata.packets.instr_hk2.FW_StatReg1_Bus_Identifier.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg1_Bus_Identifier.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg1_Bus_Identifier.att.description = 'Firewire Status Reg. 1(Bus Identifier - Which bus data was gathered from)';
    g_metadata.packets.instr_hk2.FW_StatReg1_Bus_Identifier.dim = {'hk2_packet'};

    % id 707: TLM2_FW StatReg1(Fw_llc_fifo_underrun_count)
    g_metadata.packets.instr_hk2.FW_StatReg1_Fw_llc_fifo_underrun_count.att.telemetry_point_id = '707';
    g_metadata.packets.instr_hk2.FW_StatReg1_Fw_llc_fifo_underrun_count.att.mnemonic = 'TLM2_FW StatReg1(Fw_llc_fifo_underrun_count)';
    g_metadata.packets.instr_hk2.FW_StatReg1_Fw_llc_fifo_underrun_count.att.start_bit = '401';
    g_metadata.packets.instr_hk2.FW_StatReg1_Fw_llc_fifo_underrun_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg1_Fw_llc_fifo_underrun_count.att.num_bits = '7';
    g_metadata.packets.instr_hk2.FW_StatReg1_Fw_llc_fifo_underrun_count.att.description = 'Firewire Status Reg. 1(Firewire Link Layer Chip FIFO Underrun Count)';
    g_metadata.packets.instr_hk2.FW_StatReg1_Fw_llc_fifo_underrun_count.dim = {'hk2_packet'};

    % id 708: TLM2_FW StatReg1(Fw_llc_fifo_overrun_count)
    g_metadata.packets.instr_hk2.FW_StatReg1_Fw_llc_fifo_overrun_count.att.telemetry_point_id = '708';
    g_metadata.packets.instr_hk2.FW_StatReg1_Fw_llc_fifo_overrun_count.att.mnemonic = 'TLM2_FW StatReg1(Fw_llc_fifo_overrun_count)';
    g_metadata.packets.instr_hk2.FW_StatReg1_Fw_llc_fifo_overrun_count.att.start_bit = '408';
    g_metadata.packets.instr_hk2.FW_StatReg1_Fw_llc_fifo_overrun_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg1_Fw_llc_fifo_overrun_count.att.num_bits = '8';
    g_metadata.packets.instr_hk2.FW_StatReg1_Fw_llc_fifo_overrun_count.att.description = 'Firewire Status Reg. 1(Firewire Link Layer Chip FIFO Overrun Count)';
    g_metadata.packets.instr_hk2.FW_StatReg1_Fw_llc_fifo_overrun_count.dim = {'hk2_packet'};

    % id 709: TLM2_FW StatReg2(Fw_llc_data_write_error_count)
    g_metadata.packets.instr_hk2.FW_StatReg2_Fw_llc_data_write_error_count.att.telemetry_point_id = '709';
    g_metadata.packets.instr_hk2.FW_StatReg2_Fw_llc_data_write_error_count.att.mnemonic = 'TLM2_FW StatReg2(Fw_llc_data_write_error_count)';
    g_metadata.packets.instr_hk2.FW_StatReg2_Fw_llc_data_write_error_count.att.start_bit = '416';
    g_metadata.packets.instr_hk2.FW_StatReg2_Fw_llc_data_write_error_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg2_Fw_llc_data_write_error_count.att.num_bits = '8';
    g_metadata.packets.instr_hk2.FW_StatReg2_Fw_llc_data_write_error_count.att.description = 'Firewire Status Reg. 2(Firewire Link Layer Chip Data Write Error Count)';
    g_metadata.packets.instr_hk2.FW_StatReg2_Fw_llc_data_write_error_count.dim = {'hk2_packet'};

    % id 710: TLM2_FW StatReg2(Fw_llc_data_read_error_count)
    g_metadata.packets.instr_hk2.FW_StatReg2_Fw_llc_data_read_error_count.att.telemetry_point_id = '710';
    g_metadata.packets.instr_hk2.FW_StatReg2_Fw_llc_data_read_error_count.att.mnemonic = 'TLM2_FW StatReg2(Fw_llc_data_read_error_count)';
    g_metadata.packets.instr_hk2.FW_StatReg2_Fw_llc_data_read_error_count.att.start_bit = '424';
    g_metadata.packets.instr_hk2.FW_StatReg2_Fw_llc_data_read_error_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg2_Fw_llc_data_read_error_count.att.num_bits = '8';
    g_metadata.packets.instr_hk2.FW_StatReg2_Fw_llc_data_read_error_count.att.description = 'Firewire Status Reg. 2(Firewire Link Layer Chip Data Read Error Count)';
    g_metadata.packets.instr_hk2.FW_StatReg2_Fw_llc_data_read_error_count.dim = {'hk2_packet'};

    % id 711: TLM2_FW StatReg3(Fw_desc_block_read_fail_count)
    g_metadata.packets.instr_hk2.FW_StatReg3_Fw_desc_block_read_fail_count.att.telemetry_point_id = '711';
    g_metadata.packets.instr_hk2.FW_StatReg3_Fw_desc_block_read_fail_count.att.mnemonic = 'TLM2_FW StatReg3(Fw_desc_block_read_fail_count)';
    g_metadata.packets.instr_hk2.FW_StatReg3_Fw_desc_block_read_fail_count.att.start_bit = '432';
    g_metadata.packets.instr_hk2.FW_StatReg3_Fw_desc_block_read_fail_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg3_Fw_desc_block_read_fail_count.att.num_bits = '8';
    g_metadata.packets.instr_hk2.FW_StatReg3_Fw_desc_block_read_fail_count.att.description = 'Firewire Status Reg. 3(Firewire Description Block Read Fail Count)';
    g_metadata.packets.instr_hk2.FW_StatReg3_Fw_desc_block_read_fail_count.dim = {'hk2_packet'};

    % id 712: TLM2_FW StatReg3(Fw_1394_bus_reset_count)
    g_metadata.packets.instr_hk2.FW_StatReg3_Fw_1394_bus_reset_count.att.telemetry_point_id = '712';
    g_metadata.packets.instr_hk2.FW_StatReg3_Fw_1394_bus_reset_count.att.mnemonic = 'TLM2_FW StatReg3(Fw_1394_bus_reset_count)';
    g_metadata.packets.instr_hk2.FW_StatReg3_Fw_1394_bus_reset_count.att.start_bit = '440';
    g_metadata.packets.instr_hk2.FW_StatReg3_Fw_1394_bus_reset_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg3_Fw_1394_bus_reset_count.att.num_bits = '8';
    g_metadata.packets.instr_hk2.FW_StatReg3_Fw_1394_bus_reset_count.att.description = 'Firewire Status Reg. 3(Firewire 1394 Bus Reset Count)';
    g_metadata.packets.instr_hk2.FW_StatReg3_Fw_1394_bus_reset_count.dim = {'hk2_packet'};

    % id 713: TLM2_FW StatReg4(Fw_missing_ack_count)
    g_metadata.packets.instr_hk2.FW_StatReg4_Fw_missing_ack_count.att.telemetry_point_id = '713';
    g_metadata.packets.instr_hk2.FW_StatReg4_Fw_missing_ack_count.att.mnemonic = 'TLM2_FW StatReg4(Fw_missing_ack_count)';
    g_metadata.packets.instr_hk2.FW_StatReg4_Fw_missing_ack_count.att.start_bit = '448';
    g_metadata.packets.instr_hk2.FW_StatReg4_Fw_missing_ack_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg4_Fw_missing_ack_count.att.num_bits = '8';
    g_metadata.packets.instr_hk2.FW_StatReg4_Fw_missing_ack_count.att.description = 'Firewire Status Reg. 4(Firewire Missing Ack Count)';
    g_metadata.packets.instr_hk2.FW_StatReg4_Fw_missing_ack_count.dim = {'hk2_packet'};

    % id 714: TLM2_FW StatReg4(Fw_ohci_event_long_pkt_count)
    g_metadata.packets.instr_hk2.FW_StatReg4_Fw_ohci_event_long_pkt_count.att.telemetry_point_id = '714';
    g_metadata.packets.instr_hk2.FW_StatReg4_Fw_ohci_event_long_pkt_count.att.mnemonic = 'TLM2_FW StatReg4(Fw_ohci_event_long_pkt_count)';
    g_metadata.packets.instr_hk2.FW_StatReg4_Fw_ohci_event_long_pkt_count.att.start_bit = '456';
    g_metadata.packets.instr_hk2.FW_StatReg4_Fw_ohci_event_long_pkt_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg4_Fw_ohci_event_long_pkt_count.att.num_bits = '8';
    g_metadata.packets.instr_hk2.FW_StatReg4_Fw_ohci_event_long_pkt_count.att.description = 'Firewire Status Reg. 4(Firewire Open Host Ctrl I/F Event Long Packet Count)';
    g_metadata.packets.instr_hk2.FW_StatReg4_Fw_ohci_event_long_pkt_count.dim = {'hk2_packet'};

    % id 715: TLM2_FW StatReg5(Fw_ohci_event_unknown_error_count)
    g_metadata.packets.instr_hk2.FW_StatReg5_Fw_ohci_event_unknown_error_count.att.telemetry_point_id = '715';
    g_metadata.packets.instr_hk2.FW_StatReg5_Fw_ohci_event_unknown_error_count.att.mnemonic = 'TLM2_FW StatReg5(Fw_ohci_event_unknown_error_count)';
    g_metadata.packets.instr_hk2.FW_StatReg5_Fw_ohci_event_unknown_error_count.att.start_bit = '464';
    g_metadata.packets.instr_hk2.FW_StatReg5_Fw_ohci_event_unknown_error_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg5_Fw_ohci_event_unknown_error_count.att.num_bits = '8';
    g_metadata.packets.instr_hk2.FW_StatReg5_Fw_ohci_event_unknown_error_count.att.description = 'Firewire Status Reg. 5(Firewire Open Host Ctrl I/F Event Unknown Error Count)';
    g_metadata.packets.instr_hk2.FW_StatReg5_Fw_ohci_event_unknown_error_count.dim = {'hk2_packet'};

    % id 716: TLM2_FW StatReg5(Fw_ohci_event_flushed_pkt_error_count)
    g_metadata.packets.instr_hk2.FW_StatReg5_Fw_ohci_event_flushed_pkt_error_count.att.telemetry_point_id = '716';
    g_metadata.packets.instr_hk2.FW_StatReg5_Fw_ohci_event_flushed_pkt_error_count.att.mnemonic = 'TLM2_FW StatReg5(Fw_ohci_event_flushed_pkt_error_count)';
    g_metadata.packets.instr_hk2.FW_StatReg5_Fw_ohci_event_flushed_pkt_error_count.att.start_bit = '472';
    g_metadata.packets.instr_hk2.FW_StatReg5_Fw_ohci_event_flushed_pkt_error_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg5_Fw_ohci_event_flushed_pkt_error_count.att.num_bits = '8';
    g_metadata.packets.instr_hk2.FW_StatReg5_Fw_ohci_event_flushed_pkt_error_count.att.description = 'Firewire Status Reg. 5(Firewire Open Host Ctrl I/F Event Flushed Packet Error Count)';
    g_metadata.packets.instr_hk2.FW_StatReg5_Fw_ohci_event_flushed_pkt_error_count.dim = {'hk2_packet'};

    % id 717: TLM2_FW StatReg6(Fw_ack_busy_x_count)
    g_metadata.packets.instr_hk2.FW_StatReg6_Fw_ack_busy_x_count.att.telemetry_point_id = '717';
    g_metadata.packets.instr_hk2.FW_StatReg6_Fw_ack_busy_x_count.att.mnemonic = 'TLM2_FW StatReg6(Fw_ack_busy_x_count)';
    g_metadata.packets.instr_hk2.FW_StatReg6_Fw_ack_busy_x_count.att.start_bit = '480';
    g_metadata.packets.instr_hk2.FW_StatReg6_Fw_ack_busy_x_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg6_Fw_ack_busy_x_count.att.num_bits = '8';
    g_metadata.packets.instr_hk2.FW_StatReg6_Fw_ack_busy_x_count.att.description = 'Firewire Status Reg. 6(Firewire Ack Busy x Count)';
    g_metadata.packets.instr_hk2.FW_StatReg6_Fw_ack_busy_x_count.dim = {'hk2_packet'};

    % id 718: TLM2_FW StatReg6(Fw_ack_data_error_count)
    g_metadata.packets.instr_hk2.FW_StatReg6_Fw_ack_data_error_count.att.telemetry_point_id = '718';
    g_metadata.packets.instr_hk2.FW_StatReg6_Fw_ack_data_error_count.att.mnemonic = 'TLM2_FW StatReg6(Fw_ack_data_error_count)';
    g_metadata.packets.instr_hk2.FW_StatReg6_Fw_ack_data_error_count.att.start_bit = '488';
    g_metadata.packets.instr_hk2.FW_StatReg6_Fw_ack_data_error_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg6_Fw_ack_data_error_count.att.num_bits = '8';
    g_metadata.packets.instr_hk2.FW_StatReg6_Fw_ack_data_error_count.att.description = 'Firewire Status Reg. 6(Firewire Ack Data Error Count)';
    g_metadata.packets.instr_hk2.FW_StatReg6_Fw_ack_data_error_count.dim = {'hk2_packet'};

    % id 719: TLM2_FW StatReg7(Fw_ack_type_error_count)
    g_metadata.packets.instr_hk2.FW_StatReg7_Fw_ack_type_error_count.att.telemetry_point_id = '719';
    g_metadata.packets.instr_hk2.FW_StatReg7_Fw_ack_type_error_count.att.mnemonic = 'TLM2_FW StatReg7(Fw_ack_type_error_count)';
    g_metadata.packets.instr_hk2.FW_StatReg7_Fw_ack_type_error_count.att.start_bit = '496';
    g_metadata.packets.instr_hk2.FW_StatReg7_Fw_ack_type_error_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg7_Fw_ack_type_error_count.att.num_bits = '8';
    g_metadata.packets.instr_hk2.FW_StatReg7_Fw_ack_type_error_count.att.description = 'Firewire Status Reg. 7(Firewire Ack Type Error Count)';
    g_metadata.packets.instr_hk2.FW_StatReg7_Fw_ack_type_error_count.dim = {'hk2_packet'};

    % id 720: TLM2_FW StatReg7(Fw_self_id_error_count)
    g_metadata.packets.instr_hk2.FW_StatReg7_Fw_self_id_error_count.att.telemetry_point_id = '720';
    g_metadata.packets.instr_hk2.FW_StatReg7_Fw_self_id_error_count.att.mnemonic = 'TLM2_FW StatReg7(Fw_self_id_error_count)';
    g_metadata.packets.instr_hk2.FW_StatReg7_Fw_self_id_error_count.att.start_bit = '504';
    g_metadata.packets.instr_hk2.FW_StatReg7_Fw_self_id_error_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg7_Fw_self_id_error_count.att.num_bits = '8';
    g_metadata.packets.instr_hk2.FW_StatReg7_Fw_self_id_error_count.att.description = 'Firewire Status Reg. 7(Firewire Self ID Error Count)';
    g_metadata.packets.instr_hk2.FW_StatReg7_Fw_self_id_error_count.dim = {'hk2_packet'};

    % id 721: TLM2_FW StatReg8(Fw_max_arb_state_timeout_error_count)
    g_metadata.packets.instr_hk2.FW_StatReg8_Fw_max_arb_state_timeout_error_count.att.telemetry_point_id = '721';
    g_metadata.packets.instr_hk2.FW_StatReg8_Fw_max_arb_state_timeout_error_count.att.mnemonic = 'TLM2_FW StatReg8(Fw_max_arb_state_timeout_error_count)';
    g_metadata.packets.instr_hk2.FW_StatReg8_Fw_max_arb_state_timeout_error_count.att.start_bit = '512';
    g_metadata.packets.instr_hk2.FW_StatReg8_Fw_max_arb_state_timeout_error_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg8_Fw_max_arb_state_timeout_error_count.att.num_bits = '8';
    g_metadata.packets.instr_hk2.FW_StatReg8_Fw_max_arb_state_timeout_error_count.att.description = 'Firewire Status Reg. 8(Firewire Max Arbitrary State Timeout Error Count)';
    g_metadata.packets.instr_hk2.FW_StatReg8_Fw_max_arb_state_timeout_error_count.dim = {'hk2_packet'};

    % id 722: TLM2_FW StatReg8(Fw_phy_read_access_fail_error_count)
    g_metadata.packets.instr_hk2.FW_StatReg8_Fw_phy_read_access_fail_error_count.att.telemetry_point_id = '722';
    g_metadata.packets.instr_hk2.FW_StatReg8_Fw_phy_read_access_fail_error_count.att.mnemonic = 'TLM2_FW StatReg8(Fw_phy_read_access_fail_error_count)';
    g_metadata.packets.instr_hk2.FW_StatReg8_Fw_phy_read_access_fail_error_count.att.start_bit = '520';
    g_metadata.packets.instr_hk2.FW_StatReg8_Fw_phy_read_access_fail_error_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg8_Fw_phy_read_access_fail_error_count.att.num_bits = '8';
    g_metadata.packets.instr_hk2.FW_StatReg8_Fw_phy_read_access_fail_error_count.att.description = 'Firewire Status Reg. 8(Firewire Physical Read Access Fail Error Count)';
    g_metadata.packets.instr_hk2.FW_StatReg8_Fw_phy_read_access_fail_error_count.dim = {'hk2_packet'};

    % id 723: TLM2_FW StatReg9(Fw_num_err_ip_pkts_rx_count)
    g_metadata.packets.instr_hk2.FW_StatReg9_Fw_num_err_ip_pkts_rx_count.att.telemetry_point_id = '723';
    g_metadata.packets.instr_hk2.FW_StatReg9_Fw_num_err_ip_pkts_rx_count.att.mnemonic = 'TLM2_FW StatReg9(Fw_num_err_ip_pkts_rx_count)';
    g_metadata.packets.instr_hk2.FW_StatReg9_Fw_num_err_ip_pkts_rx_count.att.start_bit = '528';
    g_metadata.packets.instr_hk2.FW_StatReg9_Fw_num_err_ip_pkts_rx_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg9_Fw_num_err_ip_pkts_rx_count.att.num_bits = '8';
    g_metadata.packets.instr_hk2.FW_StatReg9_Fw_num_err_ip_pkts_rx_count.att.description = 'Firewire Status Reg. 9(Firewire Number Error IP Packets Receive Count)';
    g_metadata.packets.instr_hk2.FW_StatReg9_Fw_num_err_ip_pkts_rx_count.dim = {'hk2_packet'};

    % id 724: TLM2_FW StatReg9(Fw_ip_1394_rx_frag_error_count)
    g_metadata.packets.instr_hk2.FW_StatReg9_Fw_ip_1394_rx_frag_error_count.att.telemetry_point_id = '724';
    g_metadata.packets.instr_hk2.FW_StatReg9_Fw_ip_1394_rx_frag_error_count.att.mnemonic = 'TLM2_FW StatReg9(Fw_ip_1394_rx_frag_error_count)';
    g_metadata.packets.instr_hk2.FW_StatReg9_Fw_ip_1394_rx_frag_error_count.att.start_bit = '536';
    g_metadata.packets.instr_hk2.FW_StatReg9_Fw_ip_1394_rx_frag_error_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg9_Fw_ip_1394_rx_frag_error_count.att.num_bits = '8';
    g_metadata.packets.instr_hk2.FW_StatReg9_Fw_ip_1394_rx_frag_error_count.att.description = 'Firewire Status Reg. 9(Firewire IP 1394 Receive Fragment Error Count)';
    g_metadata.packets.instr_hk2.FW_StatReg9_Fw_ip_1394_rx_frag_error_count.dim = {'hk2_packet'};

    % id 725: TLM2_FW StatReg10(Fw_num_error_ip_pkts_tx_count)
    g_metadata.packets.instr_hk2.FW_StatReg10_Fw_num_error_ip_pkts_tx_count.att.telemetry_point_id = '725';
    g_metadata.packets.instr_hk2.FW_StatReg10_Fw_num_error_ip_pkts_tx_count.att.mnemonic = 'TLM2_FW StatReg10(Fw_num_error_ip_pkts_tx_count)';
    g_metadata.packets.instr_hk2.FW_StatReg10_Fw_num_error_ip_pkts_tx_count.att.start_bit = '544';
    g_metadata.packets.instr_hk2.FW_StatReg10_Fw_num_error_ip_pkts_tx_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg10_Fw_num_error_ip_pkts_tx_count.att.num_bits = '8';
    g_metadata.packets.instr_hk2.FW_StatReg10_Fw_num_error_ip_pkts_tx_count.att.description = 'Firewire Status Reg. 10(Firewire Number Error IP Packets Transmit Count)';
    g_metadata.packets.instr_hk2.FW_StatReg10_Fw_num_error_ip_pkts_tx_count.dim = {'hk2_packet'};

    % id 726: TLM2_FW StatReg10(Fw_ip_1394_tx_frag_error_count)
    g_metadata.packets.instr_hk2.FW_StatReg10_Fw_ip_1394_tx_frag_error_count.att.telemetry_point_id = '726';
    g_metadata.packets.instr_hk2.FW_StatReg10_Fw_ip_1394_tx_frag_error_count.att.mnemonic = 'TLM2_FW StatReg10(Fw_ip_1394_tx_frag_error_count)';
    g_metadata.packets.instr_hk2.FW_StatReg10_Fw_ip_1394_tx_frag_error_count.att.start_bit = '552';
    g_metadata.packets.instr_hk2.FW_StatReg10_Fw_ip_1394_tx_frag_error_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg10_Fw_ip_1394_tx_frag_error_count.att.num_bits = '8';
    g_metadata.packets.instr_hk2.FW_StatReg10_Fw_ip_1394_tx_frag_error_count.att.description = 'Firewire Status Reg. 10(Firewire IP 1394 Transmit Fragment Error Count)';
    g_metadata.packets.instr_hk2.FW_StatReg10_Fw_ip_1394_tx_frag_error_count.dim = {'hk2_packet'};

    % id 15688: TLM2_FW StatReg11(fw_boot_EEPROM_image_executing)
    g_metadata.packets.instr_hk2.FW_StatReg11_fw_boot_EEPROM_image_executing.att.telemetry_point_id = '15688';
    g_metadata.packets.instr_hk2.FW_StatReg11_fw_boot_EEPROM_image_executing.att.mnemonic = 'TLM2_FW StatReg11(fw_boot_EEPROM_image_executing)';
    g_metadata.packets.instr_hk2.FW_StatReg11_fw_boot_EEPROM_image_executing.att.start_bit = '560';
    g_metadata.packets.instr_hk2.FW_StatReg11_fw_boot_EEPROM_image_executing.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg11_fw_boot_EEPROM_image_executing.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg11_fw_boot_EEPROM_image_executing.att.description = 'Firewire Status Reg. 11(Boot EEPROM Image Executing)';
    g_metadata.packets.instr_hk2.FW_StatReg11_fw_boot_EEPROM_image_executing.dim = {'hk2_packet'};

    % id 15689: TLM2_FW StatReg11(fw_thermal control_enabled)
    g_metadata.packets.instr_hk2.FW_StatReg11_fw_thermal_control_enabled.att.telemetry_point_id = '15689';
    g_metadata.packets.instr_hk2.FW_StatReg11_fw_thermal_control_enabled.att.mnemonic = 'TLM2_FW StatReg11(fw_thermal control_enabled)';
    g_metadata.packets.instr_hk2.FW_StatReg11_fw_thermal_control_enabled.att.start_bit = '561';
    g_metadata.packets.instr_hk2.FW_StatReg11_fw_thermal_control_enabled.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg11_fw_thermal_control_enabled.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg11_fw_thermal_control_enabled.att.description = 'Firewire Status Reg. 11(Thermal Control Enabled)';
    g_metadata.packets.instr_hk2.FW_StatReg11_fw_thermal_control_enabled.dim = {'hk2_packet'};

    % id 728: TLM2_FW StatReg11(fw_invalid_cmds_rcvd)
    g_metadata.packets.instr_hk2.FW_StatReg11_fw_invalid_cmds_rcvd.att.telemetry_point_id = '728';
    g_metadata.packets.instr_hk2.FW_StatReg11_fw_invalid_cmds_rcvd.att.mnemonic = 'TLM2_FW StatReg11(fw_invalid_cmds_rcvd)';
    g_metadata.packets.instr_hk2.FW_StatReg11_fw_invalid_cmds_rcvd.att.start_bit = '562';
    g_metadata.packets.instr_hk2.FW_StatReg11_fw_invalid_cmds_rcvd.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg11_fw_invalid_cmds_rcvd.att.num_bits = '8';
    g_metadata.packets.instr_hk2.FW_StatReg11_fw_invalid_cmds_rcvd.att.description = 'Firewire Status Reg. 11(FireWire Invalid Cmds Received)';
    g_metadata.packets.instr_hk2.FW_StatReg11_fw_invalid_cmds_rcvd.dim = {'hk2_packet'};

    % id 729: TLM2_FW StatReg11(Fw_active_bus)
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_active_bus.att.telemetry_point_id = '729';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_active_bus.att.mnemonic = 'TLM2_FW StatReg11(Fw_active_bus)';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_active_bus.att.start_bit = '570';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_active_bus.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_active_bus.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_active_bus.att.description = 'Firewire Status Reg. 11(Firewire Active Bus)';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_active_bus.dim = {'hk2_packet'};

    % id 730: TLM2_FW StatReg11(Fw_tod_missed_A)
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_tod_missed_A.att.telemetry_point_id = '730';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_tod_missed_A.att.mnemonic = 'TLM2_FW StatReg11(Fw_tod_missed_A)';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_tod_missed_A.att.start_bit = '571';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_tod_missed_A.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_tod_missed_A.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_tod_missed_A.att.description = 'Firewire Status Reg. 11(Firewire Time of Day Missed Bus A)';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_tod_missed_A.dim = {'hk2_packet'};

    % id 731: TLM2_FW StatReg11(Fw_tod_missed_B)
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_tod_missed_B.att.telemetry_point_id = '731';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_tod_missed_B.att.mnemonic = 'TLM2_FW StatReg11(Fw_tod_missed_B)';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_tod_missed_B.att.start_bit = '572';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_tod_missed_B.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_tod_missed_B.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_tod_missed_B.att.description = 'Firewire Status Reg. 11(Firewire Time of Day Missed Bus B)';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_tod_missed_B.dim = {'hk2_packet'};

    % id 732: TLM2_FW StatReg11(Fw_tod_missed_AB)
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_tod_missed_AB.att.telemetry_point_id = '732';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_tod_missed_AB.att.mnemonic = 'TLM2_FW StatReg11(Fw_tod_missed_AB)';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_tod_missed_AB.att.start_bit = '573';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_tod_missed_AB.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_tod_missed_AB.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_tod_missed_AB.att.description = 'Firewire Status Reg. 11(Firewire Time of Day Missed Bus AB)';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_tod_missed_AB.dim = {'hk2_packet'};

    % id 733: TLM2_FW StatReg11(Fw_fault_log_full)
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_fault_log_full.att.telemetry_point_id = '733';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_fault_log_full.att.mnemonic = 'TLM2_FW StatReg11(Fw_fault_log_full)';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_fault_log_full.att.start_bit = '574';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_fault_log_full.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_fault_log_full.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_fault_log_full.att.description = 'Firewire Status Reg. 11(Firewire Fault Log Full)';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_fault_log_full.dim = {'hk2_packet'};

    % id 734: TLM2_FW StatReg11(Fw_fault_log_not_empty)
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_fault_log_not_empty.att.telemetry_point_id = '734';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_fault_log_not_empty.att.mnemonic = 'TLM2_FW StatReg11(Fw_fault_log_not_empty)';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_fault_log_not_empty.att.start_bit = '575';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_fault_log_not_empty.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_fault_log_not_empty.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_fault_log_not_empty.att.description = 'Firewire Status Reg. 11(Firewire Fault Log Not Empty)';
    g_metadata.packets.instr_hk2.FW_StatReg11_Fw_fault_log_not_empty.dim = {'hk2_packet'};

    % id 735: TLM2_FW StatReg12(Fw_tfioctl_error)
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_tfioctl_error.att.telemetry_point_id = '735';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_tfioctl_error.att.mnemonic = 'TLM2_FW StatReg12(Fw_tfioctl_error)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_tfioctl_error.att.start_bit = '576';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_tfioctl_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_tfioctl_error.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_tfioctl_error.att.description = 'Firewire Status Reg. 12(Firewire tfioctl Error)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_tfioctl_error.dim = {'hk2_packet'};

    % id 736: TLM2_FW StatReg12(Fw_invalid_tx_socket_error)
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_invalid_tx_socket_error.att.telemetry_point_id = '736';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_invalid_tx_socket_error.att.mnemonic = 'TLM2_FW StatReg12(Fw_invalid_tx_socket_error)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_invalid_tx_socket_error.att.start_bit = '577';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_invalid_tx_socket_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_invalid_tx_socket_error.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_invalid_tx_socket_error.att.description = 'Firewire Status Reg. 12(Firewire Invalid Transmit Socket Error)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_invalid_tx_socket_error.dim = {'hk2_packet'};

    % id 737: TLM2_FW StatReg12(Fw_dbuf_alloc_error)
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_alloc_error.att.telemetry_point_id = '737';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_alloc_error.att.mnemonic = 'TLM2_FW StatReg12(Fw_dbuf_alloc_error)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_alloc_error.att.start_bit = '578';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_alloc_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_alloc_error.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_alloc_error.att.description = 'Firewire Status Reg. 12(Firewire Dynamic Buffer Allocation Error)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_alloc_error.dim = {'hk2_packet'};

    % id 738: TLM2_FW StatReg12(Fw_default_case_error)
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_default_case_error.att.telemetry_point_id = '738';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_default_case_error.att.mnemonic = 'TLM2_FW StatReg12(Fw_default_case_error)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_default_case_error.att.start_bit = '579';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_default_case_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_default_case_error.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_default_case_error.att.description = 'Firewire Status Reg. 12(Firewire Default Case Error)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_default_case_error.dim = {'hk2_packet'};

    % id 739: TLM2_FW StatReg12(Fw_invalid_param_error)
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_invalid_param_error.att.telemetry_point_id = '739';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_invalid_param_error.att.mnemonic = 'TLM2_FW StatReg12(Fw_invalid_param_error)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_invalid_param_error.att.start_bit = '580';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_invalid_param_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_invalid_param_error.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_invalid_param_error.att.description = 'Firewire Status Reg. 12(Firewire Invalid Parameter Error)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_invalid_param_error.dim = {'hk2_packet'};

    % id 740: TLM2_FW StatReg12(Fw_dbuf_create_named_pool_error)
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_create_named_pool_error.att.telemetry_point_id = '740';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_create_named_pool_error.att.mnemonic = 'TLM2_FW StatReg12(Fw_dbuf_create_named_pool_error)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_create_named_pool_error.att.start_bit = '581';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_create_named_pool_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_create_named_pool_error.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_create_named_pool_error.att.description = 'Firewire Status Reg. 12(Firewire Dynamic Buffer Create Named Pool Error)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_create_named_pool_error.dim = {'hk2_packet'};

    % id 741: TLM2_FW StatReg12(Fw_close_error)
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_close_error.att.telemetry_point_id = '741';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_close_error.att.mnemonic = 'TLM2_FW StatReg12(Fw_close_error)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_close_error.att.start_bit = '582';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_close_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_close_error.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_close_error.att.description = 'Firewire Status Reg. 12(Firewire Close Error)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_close_error.dim = {'hk2_packet'};

    % id 742: TLM2_FW StatReg12(Fw_bind_fail)
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_bind_fail.att.telemetry_point_id = '742';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_bind_fail.att.mnemonic = 'TLM2_FW StatReg12(Fw_bind_fail)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_bind_fail.att.start_bit = '583';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_bind_fail.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_bind_fail.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_bind_fail.att.description = 'Firewire Status Reg. 12(Firewire Bind Fail)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_bind_fail.dim = {'hk2_packet'};

    % id 743: TLM2_FW StatReg12(Fw_set_sock_opt_reuse_error)
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_set_sock_opt_reuse_error.att.telemetry_point_id = '743';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_set_sock_opt_reuse_error.att.mnemonic = 'TLM2_FW StatReg12(Fw_set_sock_opt_reuse_error)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_set_sock_opt_reuse_error.att.start_bit = '584';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_set_sock_opt_reuse_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_set_sock_opt_reuse_error.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_set_sock_opt_reuse_error.att.description = 'Firewire Status Reg. 12(Firewire Set Socket Option Reuse Error)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_set_sock_opt_reuse_error.dim = {'hk2_packet'};

    % id 744: TLM2_FW StatReg12(Fw_socket_fail)
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_socket_fail.att.telemetry_point_id = '744';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_socket_fail.att.mnemonic = 'TLM2_FW StatReg12(Fw_socket_fail)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_socket_fail.att.start_bit = '585';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_socket_fail.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_socket_fail.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_socket_fail.att.description = 'Firewire Status Reg. 12(Firewire Socket Fail)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_socket_fail.dim = {'hk2_packet'};

    % id 745: TLM2_FW StatReg12(Fw_zero_copy_send_to_error)
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_zero_copy_send_to_error.att.telemetry_point_id = '745';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_zero_copy_send_to_error.att.mnemonic = 'TLM2_FW StatReg12(Fw_zero_copy_send_to_error)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_zero_copy_send_to_error.att.start_bit = '586';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_zero_copy_send_to_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_zero_copy_send_to_error.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_zero_copy_send_to_error.att.description = 'Firewire Status Reg. 12(Firewire Zero Copy Send to Error)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_zero_copy_send_to_error.dim = {'hk2_packet'};

    % id 746: TLM2_FW StatReg12(Fw_dbuf_set_data_ptr_error)
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_set_data_ptr_error.att.telemetry_point_id = '746';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_set_data_ptr_error.att.mnemonic = 'TLM2_FW StatReg12(Fw_dbuf_set_data_ptr_error)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_set_data_ptr_error.att.start_bit = '587';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_set_data_ptr_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_set_data_ptr_error.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_set_data_ptr_error.att.description = 'Firewire Status Reg. 12(Firewire Dynamic Buffer Set Data pointer Error)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_set_data_ptr_error.dim = {'hk2_packet'};

    % id 747: TLM2_FW StatReg12(Fw_dbuf_pool_invalid)
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_pool_invalid.att.telemetry_point_id = '747';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_pool_invalid.att.mnemonic = 'TLM2_FW StatReg12(Fw_dbuf_pool_invalid)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_pool_invalid.att.start_bit = '588';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_pool_invalid.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_pool_invalid.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_pool_invalid.att.description = 'Firewire Status Reg. 12(Firewire Dynamic Buffer Pool Invalid)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_pool_invalid.dim = {'hk2_packet'};

    % id 748: TLM2_FW StatReg12(Fw_dbuf_copy_data_from_buf_error)
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_copy_data_from_buf_error.att.telemetry_point_id = '748';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_copy_data_from_buf_error.att.mnemonic = 'TLM2_FW StatReg12(Fw_dbuf_copy_data_from_buf_error)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_copy_data_from_buf_error.att.start_bit = '589';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_copy_data_from_buf_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_copy_data_from_buf_error.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_copy_data_from_buf_error.att.description = 'Firewire Status Reg. 12(Firewire Dynamic Buffer Copy Data from Buffer Error)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_dbuf_copy_data_from_buf_error.dim = {'hk2_packet'};

    % id 749: TLM2_FW StatReg12(Fw_zero_copy_recv_from_error)
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_zero_copy_recv_from_error.att.telemetry_point_id = '749';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_zero_copy_recv_from_error.att.mnemonic = 'TLM2_FW StatReg12(Fw_zero_copy_recv_from_error)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_zero_copy_recv_from_error.att.start_bit = '590';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_zero_copy_recv_from_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_zero_copy_recv_from_error.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_zero_copy_recv_from_error.att.description = 'Firewire Status Reg. 12(Firewire Zero Copy Received from Error)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_zero_copy_recv_from_error.dim = {'hk2_packet'};

    % id 750: TLM2_FW StatReg12(Fw_select_fail)
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_select_fail.att.telemetry_point_id = '750';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_select_fail.att.mnemonic = 'TLM2_FW StatReg12(Fw_select_fail)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_select_fail.att.start_bit = '591';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_select_fail.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_select_fail.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_select_fail.att.description = 'Firewire Status Reg. 12(Firewire Select Fail)';
    g_metadata.packets.instr_hk2.FW_StatReg12_Fw_select_fail.dim = {'hk2_packet'};

    % id 15710: TLM2_FW StatReg13(Test Packet)
    g_metadata.packets.instr_hk2.FW_StatReg13_Test_Packet.att.telemetry_point_id = '15710';
    g_metadata.packets.instr_hk2.FW_StatReg13_Test_Packet.att.mnemonic = 'TLM2_FW StatReg13(Test Packet)';
    g_metadata.packets.instr_hk2.FW_StatReg13_Test_Packet.att.start_bit = '592';
    g_metadata.packets.instr_hk2.FW_StatReg13_Test_Packet.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg13_Test_Packet.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg13_Test_Packet.att.description = 'Firewire Status Reg. 13(Test Packet)';
    g_metadata.packets.instr_hk2.FW_StatReg13_Test_Packet.dim = {'hk2_packet'};

    % id 15711: TLM2_FW StatReg13(Online BIT)
    g_metadata.packets.instr_hk2.FW_StatReg13_Online_BIT.att.telemetry_point_id = '15711';
    g_metadata.packets.instr_hk2.FW_StatReg13_Online_BIT.att.mnemonic = 'TLM2_FW StatReg13(Online BIT)';
    g_metadata.packets.instr_hk2.FW_StatReg13_Online_BIT.att.start_bit = '593';
    g_metadata.packets.instr_hk2.FW_StatReg13_Online_BIT.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg13_Online_BIT.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg13_Online_BIT.att.description = 'Firewire Status Reg. 13(Online BIT)';
    g_metadata.packets.instr_hk2.FW_StatReg13_Online_BIT.dim = {'hk2_packet'};

    % id 15712: TLM2_FW StatReg13(Low Rate Data Algorithm)
    g_metadata.packets.instr_hk2.FW_StatReg13_Low_Rate_Data_Algorithm.att.telemetry_point_id = '15712';
    g_metadata.packets.instr_hk2.FW_StatReg13_Low_Rate_Data_Algorithm.att.mnemonic = 'TLM2_FW StatReg13(Low Rate Data Algorithm)';
    g_metadata.packets.instr_hk2.FW_StatReg13_Low_Rate_Data_Algorithm.att.start_bit = '594';
    g_metadata.packets.instr_hk2.FW_StatReg13_Low_Rate_Data_Algorithm.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg13_Low_Rate_Data_Algorithm.att.num_bits = '2';
    g_metadata.packets.instr_hk2.FW_StatReg13_Low_Rate_Data_Algorithm.att.description = 'Firewire Status Reg. 13(Low Rate Data Algorithm)';
    g_metadata.packets.instr_hk2.FW_StatReg13_Low_Rate_Data_Algorithm.dim = {'hk2_packet'};

    % id 15713: TLM2_FW StatReg13(ZPD Algorithm)
    g_metadata.packets.instr_hk2.FW_StatReg13_ZPD_Algorithm.att.telemetry_point_id = '15713';
    g_metadata.packets.instr_hk2.FW_StatReg13_ZPD_Algorithm.att.mnemonic = 'TLM2_FW StatReg13(ZPD Algorithm)';
    g_metadata.packets.instr_hk2.FW_StatReg13_ZPD_Algorithm.att.start_bit = '596';
    g_metadata.packets.instr_hk2.FW_StatReg13_ZPD_Algorithm.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg13_ZPD_Algorithm.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg13_ZPD_Algorithm.att.description = 'Firewire Status Reg. 13(ZPD Algorithm)';
    g_metadata.packets.instr_hk2.FW_StatReg13_ZPD_Algorithm.dim = {'hk2_packet'};

    % id 15714: TLM2_FW StatReg13(Auto Neon Calibration)
    g_metadata.packets.instr_hk2.FW_StatReg13_Auto_Neon_Calibration.att.telemetry_point_id = '15714';
    g_metadata.packets.instr_hk2.FW_StatReg13_Auto_Neon_Calibration.att.mnemonic = 'TLM2_FW StatReg13(Auto Neon Calibration)';
    g_metadata.packets.instr_hk2.FW_StatReg13_Auto_Neon_Calibration.att.start_bit = '597';
    g_metadata.packets.instr_hk2.FW_StatReg13_Auto_Neon_Calibration.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg13_Auto_Neon_Calibration.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg13_Auto_Neon_Calibration.att.description = 'Firewire Status Reg. 13(Auto Neon Calibration)';
    g_metadata.packets.instr_hk2.FW_StatReg13_Auto_Neon_Calibration.dim = {'hk2_packet'};

    % id 15715: TLM2_FW StatReg13(TOD Loss Bus AB Cntr)
    g_metadata.packets.instr_hk2.FW_StatReg13_TOD_Loss_Bus_AB_Cntr.att.telemetry_point_id = '15715';
    g_metadata.packets.instr_hk2.FW_StatReg13_TOD_Loss_Bus_AB_Cntr.att.mnemonic = 'TLM2_FW StatReg13(TOD Loss Bus AB Cntr)';
    g_metadata.packets.instr_hk2.FW_StatReg13_TOD_Loss_Bus_AB_Cntr.att.start_bit = '598';
    g_metadata.packets.instr_hk2.FW_StatReg13_TOD_Loss_Bus_AB_Cntr.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg13_TOD_Loss_Bus_AB_Cntr.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg13_TOD_Loss_Bus_AB_Cntr.att.description = 'Firewire Status Reg. 13(TOD Loss Bus AB Cntr)';
    g_metadata.packets.instr_hk2.FW_StatReg13_TOD_Loss_Bus_AB_Cntr.dim = {'hk2_packet'};

    % id 15716: TLM2_FW StatReg13(TOD Loss Bus B Cntr)
    g_metadata.packets.instr_hk2.FW_StatReg13_TOD_Loss_Bus_B_Cntr.att.telemetry_point_id = '15716';
    g_metadata.packets.instr_hk2.FW_StatReg13_TOD_Loss_Bus_B_Cntr.att.mnemonic = 'TLM2_FW StatReg13(TOD Loss Bus B Cntr)';
    g_metadata.packets.instr_hk2.FW_StatReg13_TOD_Loss_Bus_B_Cntr.att.start_bit = '599';
    g_metadata.packets.instr_hk2.FW_StatReg13_TOD_Loss_Bus_B_Cntr.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg13_TOD_Loss_Bus_B_Cntr.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg13_TOD_Loss_Bus_B_Cntr.att.description = 'Firewire Status Reg. 13(TOD Loss Bus B Cntr)';
    g_metadata.packets.instr_hk2.FW_StatReg13_TOD_Loss_Bus_B_Cntr.dim = {'hk2_packet'};

    % id 15717: TLM2_FW StatReg13(TOD Loss Bus A Cntr)
    g_metadata.packets.instr_hk2.FW_StatReg13_TOD_Loss_Bus_A_Cntr.att.telemetry_point_id = '15717';
    g_metadata.packets.instr_hk2.FW_StatReg13_TOD_Loss_Bus_A_Cntr.att.mnemonic = 'TLM2_FW StatReg13(TOD Loss Bus A Cntr)';
    g_metadata.packets.instr_hk2.FW_StatReg13_TOD_Loss_Bus_A_Cntr.att.start_bit = '600';
    g_metadata.packets.instr_hk2.FW_StatReg13_TOD_Loss_Bus_A_Cntr.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg13_TOD_Loss_Bus_A_Cntr.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg13_TOD_Loss_Bus_A_Cntr.att.description = 'Firewire Status Reg. 13(TOD Loss Bus A Cntr)';
    g_metadata.packets.instr_hk2.FW_StatReg13_TOD_Loss_Bus_A_Cntr.dim = {'hk2_packet'};

    % id 752: TLM2_FW StatReg13(Fw_invalid_rx_socket_error)
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_invalid_rx_socket_error.att.telemetry_point_id = '752';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_invalid_rx_socket_error.att.mnemonic = 'TLM2_FW StatReg13(Fw_invalid_rx_socket_error)';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_invalid_rx_socket_error.att.start_bit = '601';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_invalid_rx_socket_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_invalid_rx_socket_error.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_invalid_rx_socket_error.att.description = 'Firewire Status Reg. 13(Firewire Invalid Receive Socket Error)';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_invalid_rx_socket_error.dim = {'hk2_packet'};

    % id 753: TLM2_FW StatReg13(Fw_os_func_call_err)
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_os_func_call_err.att.telemetry_point_id = '753';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_os_func_call_err.att.mnemonic = 'TLM2_FW StatReg13(Fw_os_func_call_err)';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_os_func_call_err.att.start_bit = '602';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_os_func_call_err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_os_func_call_err.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_os_func_call_err.att.description = 'Firewire Status Reg. 13(Firewire Operating System Function Call Error)';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_os_func_call_err.dim = {'hk2_packet'};

    % id 754: TLM2_FW StatReg13(Fw_set_sockopt_buf_error)
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_set_sockopt_buf_error.att.telemetry_point_id = '754';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_set_sockopt_buf_error.att.mnemonic = 'TLM2_FW StatReg13(Fw_set_sockopt_buf_error)';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_set_sockopt_buf_error.att.start_bit = '603';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_set_sockopt_buf_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_set_sockopt_buf_error.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_set_sockopt_buf_error.att.description = 'Firewire Status Reg. 13(Firewire Set Socket Option buffer Error)';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_set_sockopt_buf_error.dim = {'hk2_packet'};

    % id 755: TLM2_FW StatReg13(Fw_ip_lla_reinit_error)
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_ip_lla_reinit_error.att.telemetry_point_id = '755';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_ip_lla_reinit_error.att.mnemonic = 'TLM2_FW StatReg13(Fw_ip_lla_reinit_error)';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_ip_lla_reinit_error.att.start_bit = '604';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_ip_lla_reinit_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_ip_lla_reinit_error.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_ip_lla_reinit_error.att.description = 'Firewire Status Reg. 13(Firewire IP Low Level API Reinitialization Error)';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_ip_lla_reinit_error.dim = {'hk2_packet'};

    % id 756: TLM2_FW StatReg13(Fw_invalid_bus)
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_invalid_bus.att.telemetry_point_id = '756';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_invalid_bus.att.mnemonic = 'TLM2_FW StatReg13(Fw_invalid_bus)';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_invalid_bus.att.start_bit = '605';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_invalid_bus.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_invalid_bus.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_invalid_bus.att.description = 'Firewire Status Reg. 13(Firewire Invalid Bus)';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_invalid_bus.dim = {'hk2_packet'};

    % id 757: TLM2_FW StatReg13(Fw_lla_getstats_error)
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_lla_getstats_error.att.telemetry_point_id = '757';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_lla_getstats_error.att.mnemonic = 'TLM2_FW StatReg13(Fw_lla_getstats_error)';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_lla_getstats_error.att.start_bit = '606';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_lla_getstats_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_lla_getstats_error.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_lla_getstats_error.att.description = 'Firewire Status Reg. 13(Firewire Low Level API getstats Error)';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_lla_getstats_error.dim = {'hk2_packet'};

    % id 758: TLM2_FW StatReg13(Fw_ip1394_getstats_error)
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_ip1394_getstats_error.att.telemetry_point_id = '758';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_ip1394_getstats_error.att.mnemonic = 'TLM2_FW StatReg13(Fw_ip1394_getstats_error)';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_ip1394_getstats_error.att.start_bit = '607';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_ip1394_getstats_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_ip1394_getstats_error.att.num_bits = '1';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_ip1394_getstats_error.att.description = 'Firewire Status Reg. 13(Firewire IP 1394 getstats Error)';
    g_metadata.packets.instr_hk2.FW_StatReg13_Fw_ip1394_getstats_error.dim = {'hk2_packet'};

    % id 759: TLM2_Telem_command_success_count MSW
    g_metadata.packets.instr_hk2.Telem_command_success_count_MSW.att.telemetry_point_id = '759';
    g_metadata.packets.instr_hk2.Telem_command_success_count_MSW.att.mnemonic = 'TLM2_Telem_command_success_count MSW';
    g_metadata.packets.instr_hk2.Telem_command_success_count_MSW.att.start_bit = '608';
    g_metadata.packets.instr_hk2.Telem_command_success_count_MSW.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.Telem_command_success_count_MSW.att.num_bits = '16';
    g_metadata.packets.instr_hk2.Telem_command_success_count_MSW.att.description = 'Tlm Cmd Success Count MSW';
    g_metadata.packets.instr_hk2.Telem_command_success_count_MSW.dim = {'hk2_packet'};

    % id 760: TLM2_Telem_command_success_count LSW
    g_metadata.packets.instr_hk2.Telem_command_success_count_LSW.att.telemetry_point_id = '760';
    g_metadata.packets.instr_hk2.Telem_command_success_count_LSW.att.mnemonic = 'TLM2_Telem_command_success_count LSW';
    g_metadata.packets.instr_hk2.Telem_command_success_count_LSW.att.start_bit = '624';
    g_metadata.packets.instr_hk2.Telem_command_success_count_LSW.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.Telem_command_success_count_LSW.att.num_bits = '16';
    g_metadata.packets.instr_hk2.Telem_command_success_count_LSW.att.description = 'Tlm Cmd Success Count LSW';
    g_metadata.packets.instr_hk2.Telem_command_success_count_LSW.dim = {'hk2_packet'};

    % id 761: TLM2_IfmStatFlg (spare1)
    g_metadata.packets.instr_hk2.IfmStatFlg_spare1.att.telemetry_point_id = '761';
    g_metadata.packets.instr_hk2.IfmStatFlg_spare1.att.mnemonic = 'TLM2_IfmStatFlg (spare1)';
    g_metadata.packets.instr_hk2.IfmStatFlg_spare1.att.start_bit = '640';
    g_metadata.packets.instr_hk2.IfmStatFlg_spare1.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.IfmStatFlg_spare1.att.num_bits = '5';
    g_metadata.packets.instr_hk2.IfmStatFlg_spare1.att.description = 'IFM Status Flag(Spare)';
    g_metadata.packets.instr_hk2.IfmStatFlg_spare1.dim = {'hk2_packet'};

    % id 762: TLM2_IfmStatFlg (Infererom Mode Stat)
    g_metadata.packets.instr_hk2.IfmStatFlg_Infererom_Mode_Stat.att.telemetry_point_id = '762';
    g_metadata.packets.instr_hk2.IfmStatFlg_Infererom_Mode_Stat.att.mnemonic = 'TLM2_IfmStatFlg (Infererom Mode Stat)';
    g_metadata.packets.instr_hk2.IfmStatFlg_Infererom_Mode_Stat.att.start_bit = '645';
    g_metadata.packets.instr_hk2.IfmStatFlg_Infererom_Mode_Stat.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.IfmStatFlg_Infererom_Mode_Stat.att.num_bits = '2';
    g_metadata.packets.instr_hk2.IfmStatFlg_Infererom_Mode_Stat.att.description = 'IFM Status Flag(Interferometer Mode Status)';
    g_metadata.packets.instr_hk2.IfmStatFlg_Infererom_Mode_Stat.dim = {'hk2_packet'};

    % id 763: TLM2_IfmStatFlg (spare2)
    g_metadata.packets.instr_hk2.IfmStatFlg_spare2.att.telemetry_point_id = '763';
    g_metadata.packets.instr_hk2.IfmStatFlg_spare2.att.mnemonic = 'TLM2_IfmStatFlg (spare2)';
    g_metadata.packets.instr_hk2.IfmStatFlg_spare2.att.start_bit = '647';
    g_metadata.packets.instr_hk2.IfmStatFlg_spare2.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.IfmStatFlg_spare2.att.num_bits = '1';
    g_metadata.packets.instr_hk2.IfmStatFlg_spare2.att.description = 'IFM Status Flag(Spare)';
    g_metadata.packets.instr_hk2.IfmStatFlg_spare2.dim = {'hk2_packet'};

    % id 764: TLM2_IfmStatFlg (Porchswing Sweep Dir)
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_Sweep_Dir.att.telemetry_point_id = '764';
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_Sweep_Dir.att.mnemonic = 'TLM2_IfmStatFlg (Porchswing Sweep Dir)';
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_Sweep_Dir.att.start_bit = '648';
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_Sweep_Dir.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_Sweep_Dir.att.num_bits = '1';
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_Sweep_Dir.att.description = 'IFM Status Flag(Porchswing Sweep Direction)';
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_Sweep_Dir.dim = {'hk2_packet'};

    % id 765: TLM2_IfmStatFlg (Porchswing Sweep Lck)
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_Sweep_Lck.att.telemetry_point_id = '765';
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_Sweep_Lck.att.mnemonic = 'TLM2_IfmStatFlg (Porchswing Sweep Lck)';
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_Sweep_Lck.att.start_bit = '649';
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_Sweep_Lck.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_Sweep_Lck.att.num_bits = '1';
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_Sweep_Lck.att.description = 'IFM Status Flag(Porchswing Sweep Locked)';
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_Sweep_Lck.dim = {'hk2_packet'};

    % id 766: TLM2_IfmStatFlg (Loss PCE Frame Sync Pulse Stat)
    g_metadata.packets.instr_hk2.IfmStatFlg_Loss_PCE_Frame_Sync_Pulse_Stat.att.telemetry_point_id = '766';
    g_metadata.packets.instr_hk2.IfmStatFlg_Loss_PCE_Frame_Sync_Pulse_Stat.att.mnemonic = 'TLM2_IfmStatFlg (Loss PCE Frame Sync Pulse Stat)';
    g_metadata.packets.instr_hk2.IfmStatFlg_Loss_PCE_Frame_Sync_Pulse_Stat.att.start_bit = '650';
    g_metadata.packets.instr_hk2.IfmStatFlg_Loss_PCE_Frame_Sync_Pulse_Stat.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.IfmStatFlg_Loss_PCE_Frame_Sync_Pulse_Stat.att.num_bits = '1';
    g_metadata.packets.instr_hk2.IfmStatFlg_Loss_PCE_Frame_Sync_Pulse_Stat.att.description = 'IFM Status Flag(Loss of PCE Frame Sync Pulse Status)';
    g_metadata.packets.instr_hk2.IfmStatFlg_Loss_PCE_Frame_Sync_Pulse_Stat.dim = {'hk2_packet'};

    % id 767: TLM2_IfmStatFlg (Porchswing MPD+ Switch Stat)
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_MPD_Switch_Stat.att.telemetry_point_id = '767';
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_MPD_Switch_Stat.att.mnemonic = 'TLM2_IfmStatFlg (Porchswing MPD+ Switch Stat)';
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_MPD_Switch_Stat.att.start_bit = '651';
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_MPD_Switch_Stat.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_MPD_Switch_Stat.att.num_bits = '1';
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_MPD_Switch_Stat.att.description = 'IFM Status Flag(Porchswing Mean Path Differential Switch Status)';
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_MPD_Switch_Stat.dim = {'hk2_packet'};

    % id 768: TLM2_IfmStatFlg (Porchswing ZPD Switch Stat)
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_ZPD_Switch_Stat.att.telemetry_point_id = '768';
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_ZPD_Switch_Stat.att.mnemonic = 'TLM2_IfmStatFlg (Porchswing ZPD Switch Stat)';
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_ZPD_Switch_Stat.att.start_bit = '652';
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_ZPD_Switch_Stat.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_ZPD_Switch_Stat.att.num_bits = '1';
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_ZPD_Switch_Stat.att.description = 'IFM Status Flag(Porchswing Zero Path Differential Switch Status)';
    g_metadata.packets.instr_hk2.IfmStatFlg_Porchswing_ZPD_Switch_Stat.dim = {'hk2_packet'};

    % id 769: TLM2_IfmStatFlg (DA Servo Status)
    g_metadata.packets.instr_hk2.IfmStatFlg_DA_Servo_Status.att.telemetry_point_id = '769';
    g_metadata.packets.instr_hk2.IfmStatFlg_DA_Servo_Status.att.mnemonic = 'TLM2_IfmStatFlg (DA Servo Status)';
    g_metadata.packets.instr_hk2.IfmStatFlg_DA_Servo_Status.att.start_bit = '653';
    g_metadata.packets.instr_hk2.IfmStatFlg_DA_Servo_Status.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.IfmStatFlg_DA_Servo_Status.att.num_bits = '1';
    g_metadata.packets.instr_hk2.IfmStatFlg_DA_Servo_Status.att.description = 'IFM Status Flag(DA Servo Status)';
    g_metadata.packets.instr_hk2.IfmStatFlg_DA_Servo_Status.dim = {'hk2_packet'};

    % id 770: TLM2_IfmStatFlg (DA - Y servo locked)
    g_metadata.packets.instr_hk2.IfmStatFlg_DA_Y_servo_locked.att.telemetry_point_id = '770';
    g_metadata.packets.instr_hk2.IfmStatFlg_DA_Y_servo_locked.att.mnemonic = 'TLM2_IfmStatFlg (DA - Y servo locked)';
    g_metadata.packets.instr_hk2.IfmStatFlg_DA_Y_servo_locked.att.start_bit = '654';
    g_metadata.packets.instr_hk2.IfmStatFlg_DA_Y_servo_locked.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.IfmStatFlg_DA_Y_servo_locked.att.num_bits = '1';
    g_metadata.packets.instr_hk2.IfmStatFlg_DA_Y_servo_locked.att.description = 'IFM Status Flag(DA-Y servo locked)';
    g_metadata.packets.instr_hk2.IfmStatFlg_DA_Y_servo_locked.dim = {'hk2_packet'};

    % id 771: TLM2_IfmStatFlg (DA - X servo locked)
    g_metadata.packets.instr_hk2.IfmStatFlg_DA_X_servo_locked.att.telemetry_point_id = '771';
    g_metadata.packets.instr_hk2.IfmStatFlg_DA_X_servo_locked.att.mnemonic = 'TLM2_IfmStatFlg (DA - X servo locked)';
    g_metadata.packets.instr_hk2.IfmStatFlg_DA_X_servo_locked.att.start_bit = '655';
    g_metadata.packets.instr_hk2.IfmStatFlg_DA_X_servo_locked.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.IfmStatFlg_DA_X_servo_locked.att.num_bits = '1';
    g_metadata.packets.instr_hk2.IfmStatFlg_DA_X_servo_locked.att.description = 'IFMStatus Flag(DA-X servo locked)';
    g_metadata.packets.instr_hk2.IfmStatFlg_DA_X_servo_locked.dim = {'hk2_packet'};

    % id 772: TLM2_SSMStatWrd (CT Over-Speed Trip)
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Over_Speed_Trip.att.telemetry_point_id = '772';
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Over_Speed_Trip.att.mnemonic = 'TLM2_SSMStatWrd (CT Over-Speed Trip)';
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Over_Speed_Trip.att.start_bit = '656';
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Over_Speed_Trip.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Over_Speed_Trip.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Over_Speed_Trip.att.description = 'SSM Status Word(X-Track Over-speed Trip)';
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Over_Speed_Trip.dim = {'hk2_packet'};

    % id 773: TLM2_SSMStatWrd (Spare)
    g_metadata.packets.instr_hk2.SSMStatWrd_Spare.att.telemetry_point_id = '773';
    g_metadata.packets.instr_hk2.SSMStatWrd_Spare.att.mnemonic = 'TLM2_SSMStatWrd (Spare)';
    g_metadata.packets.instr_hk2.SSMStatWrd_Spare.att.start_bit = '657';
    g_metadata.packets.instr_hk2.SSMStatWrd_Spare.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SSMStatWrd_Spare.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SSMStatWrd_Spare.att.description = 'SSM Status Word(Spare)';
    g_metadata.packets.instr_hk2.SSMStatWrd_Spare.dim = {'hk2_packet'};

    % id 774: TLM2_SSMStatWrd (Redundant Drv Relay Fault)
    g_metadata.packets.instr_hk2.SSMStatWrd_Redundant_Drv_Relay_Fault.att.telemetry_point_id = '774';
    g_metadata.packets.instr_hk2.SSMStatWrd_Redundant_Drv_Relay_Fault.att.mnemonic = 'TLM2_SSMStatWrd (Redundant Drv Relay Fault)';
    g_metadata.packets.instr_hk2.SSMStatWrd_Redundant_Drv_Relay_Fault.att.start_bit = '658';
    g_metadata.packets.instr_hk2.SSMStatWrd_Redundant_Drv_Relay_Fault.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SSMStatWrd_Redundant_Drv_Relay_Fault.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SSMStatWrd_Redundant_Drv_Relay_Fault.att.description = 'SSM Status Word(Redundant Drive Relay Fault)';
    g_metadata.packets.instr_hk2.SSMStatWrd_Redundant_Drv_Relay_Fault.dim = {'hk2_packet'};

    % id 775: TLM2_SSMStatWrd (Loss 8 Sec Sync Stat)
    g_metadata.packets.instr_hk2.SSMStatWrd_Loss_8_Sec_Sync_Stat.att.telemetry_point_id = '775';
    g_metadata.packets.instr_hk2.SSMStatWrd_Loss_8_Sec_Sync_Stat.att.mnemonic = 'TLM2_SSMStatWrd (Loss 8 Sec Sync Stat)';
    g_metadata.packets.instr_hk2.SSMStatWrd_Loss_8_Sec_Sync_Stat.att.start_bit = '659';
    g_metadata.packets.instr_hk2.SSMStatWrd_Loss_8_Sec_Sync_Stat.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SSMStatWrd_Loss_8_Sec_Sync_Stat.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SSMStatWrd_Loss_8_Sec_Sync_Stat.att.description = 'SSM Status Word(Loss of 8 Sec Sync Status)';
    g_metadata.packets.instr_hk2.SSMStatWrd_Loss_8_Sec_Sync_Stat.dim = {'hk2_packet'};

    % id 776: TLM2_SSMStatWrd (IT Vel Compen Act/Idle)
    g_metadata.packets.instr_hk2.SSMStatWrd_IT_Vel_Compen_Act_Idle.att.telemetry_point_id = '776';
    g_metadata.packets.instr_hk2.SSMStatWrd_IT_Vel_Compen_Act_Idle.att.mnemonic = 'TLM2_SSMStatWrd (IT Vel Compen Act/Idle)';
    g_metadata.packets.instr_hk2.SSMStatWrd_IT_Vel_Compen_Act_Idle.att.start_bit = '660';
    g_metadata.packets.instr_hk2.SSMStatWrd_IT_Vel_Compen_Act_Idle.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SSMStatWrd_IT_Vel_Compen_Act_Idle.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SSMStatWrd_IT_Vel_Compen_Act_Idle.att.description = 'SSM Status Word(In-Track Velocity Compensation Active/Idle)';
    g_metadata.packets.instr_hk2.SSMStatWrd_IT_Vel_Compen_Act_Idle.dim = {'hk2_packet'};

    % id 777: TLM2_SSMStatWrd (CT Axis Motor Winding Temp Go/NoGo)
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Axis_Motor_Winding_Temp_Go_NoGo.att.telemetry_point_id = '777';
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Axis_Motor_Winding_Temp_Go_NoGo.att.mnemonic = 'TLM2_SSMStatWrd (CT Axis Motor Winding Temp Go/NoGo)';
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Axis_Motor_Winding_Temp_Go_NoGo.att.start_bit = '661';
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Axis_Motor_Winding_Temp_Go_NoGo.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Axis_Motor_Winding_Temp_Go_NoGo.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Axis_Motor_Winding_Temp_Go_NoGo.att.description = 'SSM Status Word(X-Track Axis Motor Winding Temp Go/No Go)';
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Axis_Motor_Winding_Temp_Go_NoGo.dim = {'hk2_packet'};

    % id 778: TLM2_SSMStatWrd (IT Axis Motor Winding Temp Go/NoGo)
    g_metadata.packets.instr_hk2.SSMStatWrd_IT_Axis_Motor_Winding_Temp_Go_NoGo.att.telemetry_point_id = '778';
    g_metadata.packets.instr_hk2.SSMStatWrd_IT_Axis_Motor_Winding_Temp_Go_NoGo.att.mnemonic = 'TLM2_SSMStatWrd (IT Axis Motor Winding Temp Go/NoGo)';
    g_metadata.packets.instr_hk2.SSMStatWrd_IT_Axis_Motor_Winding_Temp_Go_NoGo.att.start_bit = '662';
    g_metadata.packets.instr_hk2.SSMStatWrd_IT_Axis_Motor_Winding_Temp_Go_NoGo.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SSMStatWrd_IT_Axis_Motor_Winding_Temp_Go_NoGo.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SSMStatWrd_IT_Axis_Motor_Winding_Temp_Go_NoGo.att.description = 'SSM Status Word(In-Track Axis Motor Winding Temp Go/No Go)';
    g_metadata.packets.instr_hk2.SSMStatWrd_IT_Axis_Motor_Winding_Temp_Go_NoGo.dim = {'hk2_packet'};

    % id 779: TLM2_SSMStatWrd (Primary PW Current Monitor Go/NoGo)
    g_metadata.packets.instr_hk2.SSMStatWrd_Primary_PW_Current_Monitor_Go_NoGo.att.telemetry_point_id = '779';
    g_metadata.packets.instr_hk2.SSMStatWrd_Primary_PW_Current_Monitor_Go_NoGo.att.mnemonic = 'TLM2_SSMStatWrd (Primary PW Current Monitor Go/NoGo)';
    g_metadata.packets.instr_hk2.SSMStatWrd_Primary_PW_Current_Monitor_Go_NoGo.att.start_bit = '663';
    g_metadata.packets.instr_hk2.SSMStatWrd_Primary_PW_Current_Monitor_Go_NoGo.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SSMStatWrd_Primary_PW_Current_Monitor_Go_NoGo.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SSMStatWrd_Primary_PW_Current_Monitor_Go_NoGo.att.description = 'SSM Status Word(Primary Power Current Monitor Go/No Go Bit)';
    g_metadata.packets.instr_hk2.SSMStatWrd_Primary_PW_Current_Monitor_Go_NoGo.dim = {'hk2_packet'};

    % id 780: TLM2_SSMStatWrd (SSm Mode Stat)
    g_metadata.packets.instr_hk2.SSMStatWrd_SSm_Mode_Stat.att.telemetry_point_id = '780';
    g_metadata.packets.instr_hk2.SSMStatWrd_SSm_Mode_Stat.att.mnemonic = 'TLM2_SSMStatWrd (SSm Mode Stat)';
    g_metadata.packets.instr_hk2.SSMStatWrd_SSm_Mode_Stat.att.start_bit = '664';
    g_metadata.packets.instr_hk2.SSMStatWrd_SSm_Mode_Stat.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SSMStatWrd_SSm_Mode_Stat.att.num_bits = '2';
    g_metadata.packets.instr_hk2.SSMStatWrd_SSm_Mode_Stat.att.description = 'SSM Status Word(SSM Mode Status)';
    g_metadata.packets.instr_hk2.SSMStatWrd_SSm_Mode_Stat.dim = {'hk2_packet'};

    % id 781: TLM2_SSMStatWrd (Motion Compen Active/Idle)
    g_metadata.packets.instr_hk2.SSMStatWrd_Motion_Compen_Active_Idle.att.telemetry_point_id = '781';
    g_metadata.packets.instr_hk2.SSMStatWrd_Motion_Compen_Active_Idle.att.mnemonic = 'TLM2_SSMStatWrd (Motion Compen Active/Idle)';
    g_metadata.packets.instr_hk2.SSMStatWrd_Motion_Compen_Active_Idle.att.start_bit = '666';
    g_metadata.packets.instr_hk2.SSMStatWrd_Motion_Compen_Active_Idle.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SSMStatWrd_Motion_Compen_Active_Idle.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SSMStatWrd_Motion_Compen_Active_Idle.att.description = 'SSM Status Word(Motion Compensation Active/Idle)';
    g_metadata.packets.instr_hk2.SSMStatWrd_Motion_Compen_Active_Idle.dim = {'hk2_packet'};

    % id 782: TLM2_SSMStatWrd (CT Motor Drv OvLoad Trip)
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Motor_Drv_OvLoad_Trip.att.telemetry_point_id = '782';
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Motor_Drv_OvLoad_Trip.att.mnemonic = 'TLM2_SSMStatWrd (CT Motor Drv OvLoad Trip)';
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Motor_Drv_OvLoad_Trip.att.start_bit = '667';
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Motor_Drv_OvLoad_Trip.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Motor_Drv_OvLoad_Trip.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Motor_Drv_OvLoad_Trip.att.description = 'SSM Status Word(X-Track Motor Drive Overload Trip)';
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Motor_Drv_OvLoad_Trip.dim = {'hk2_packet'};

    % id 783: TLM2_SSMStatWrd (IT Motor Drv OvLoad Trip)
    g_metadata.packets.instr_hk2.SSMStatWrd_IT_Motor_Drv_OvLoad_Trip.att.telemetry_point_id = '783';
    g_metadata.packets.instr_hk2.SSMStatWrd_IT_Motor_Drv_OvLoad_Trip.att.mnemonic = 'TLM2_SSMStatWrd (IT Motor Drv OvLoad Trip)';
    g_metadata.packets.instr_hk2.SSMStatWrd_IT_Motor_Drv_OvLoad_Trip.att.start_bit = '668';
    g_metadata.packets.instr_hk2.SSMStatWrd_IT_Motor_Drv_OvLoad_Trip.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SSMStatWrd_IT_Motor_Drv_OvLoad_Trip.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SSMStatWrd_IT_Motor_Drv_OvLoad_Trip.att.description = 'SSM Status Word(In-Track Motor Drive Overload Trip)';
    g_metadata.packets.instr_hk2.SSMStatWrd_IT_Motor_Drv_OvLoad_Trip.dim = {'hk2_packet'};

    % id 784: TLM2_SSMStatWrd (Loss 200ms Sync Stat)
    g_metadata.packets.instr_hk2.SSMStatWrd_Loss_200ms_Sync_Stat.att.telemetry_point_id = '784';
    g_metadata.packets.instr_hk2.SSMStatWrd_Loss_200ms_Sync_Stat.att.mnemonic = 'TLM2_SSMStatWrd (Loss 200ms Sync Stat)';
    g_metadata.packets.instr_hk2.SSMStatWrd_Loss_200ms_Sync_Stat.att.start_bit = '669';
    g_metadata.packets.instr_hk2.SSMStatWrd_Loss_200ms_Sync_Stat.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SSMStatWrd_Loss_200ms_Sync_Stat.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SSMStatWrd_Loss_200ms_Sync_Stat.att.description = 'SSM Status Word(Loss of 200 mSec Sync Status)';
    g_metadata.packets.instr_hk2.SSMStatWrd_Loss_200ms_Sync_Stat.dim = {'hk2_packet'};

    % id 785: TLM2_SSMStatWrd (Motor Drives on/off)
    g_metadata.packets.instr_hk2.SSMStatWrd_Motor_Drives_on_off.att.telemetry_point_id = '785';
    g_metadata.packets.instr_hk2.SSMStatWrd_Motor_Drives_on_off.att.mnemonic = 'TLM2_SSMStatWrd (Motor Drives on/off)';
    g_metadata.packets.instr_hk2.SSMStatWrd_Motor_Drives_on_off.att.start_bit = '670';
    g_metadata.packets.instr_hk2.SSMStatWrd_Motor_Drives_on_off.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SSMStatWrd_Motor_Drives_on_off.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SSMStatWrd_Motor_Drives_on_off.att.description = 'SSM Status Word(Motor Drives On/Off)';
    g_metadata.packets.instr_hk2.SSMStatWrd_Motor_Drives_on_off.dim = {'hk2_packet'};

    % id 786: TLM2_SSMStatWrd (CT Encoder Stat)
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Encoder_Stat.att.telemetry_point_id = '786';
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Encoder_Stat.att.mnemonic = 'TLM2_SSMStatWrd (CT Encoder Stat)';
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Encoder_Stat.att.start_bit = '671';
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Encoder_Stat.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Encoder_Stat.att.num_bits = '1';
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Encoder_Stat.att.description = 'SSM Status Word(X-Track Encoder Status)';
    g_metadata.packets.instr_hk2.SSMStatWrd_CT_Encoder_Stat.dim = {'hk2_packet'};

end     %if packet_idx == 1

% read packet
g_packets.instr_hk2.SubFrameCounter(packet_idx) = fread(fid, 1, '*ubit16');
g_packets.instr_hk2.PCEAppFswVer(packet_idx) = fread(fid, 1, '*ubit11');
g_packets.instr_hk2.InstrumentID(packet_idx) = fread(fid, 1, '*ubit5');
g_packets.instr_hk2.MMInterStat_Spare(packet_idx) = fread(fid, 1, '*ubit2');
g_packets.instr_hk2.MMInterStat_Mem_Partinal_Create_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.MMInterStat_MQ_Create_Error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.MMInterStat_Default_Case_Reached(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.MMInterStat_MM_Free_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.MMInterStat_MM_Alloc_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.MMInterStat_MQ_Rcv_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.MMInterStat_MQ_Send_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.MMInterStat_Two_Sec_Buff_Cap_Used(packet_idx) = fread(fid, 1, '*ubit4');
g_packets.instr_hk2.MMInterStat_Two_Sec_Buff_VF(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.MMInterStat_CmdQueue_Empty(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.MMInterStat_CmdQueue_VF(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SCInterStat_Spare(packet_idx) = fread(fid, 1, '*ubit4');
g_packets.instr_hk2.SCInterStat_VxWorks_watchdog_timer_failure(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SCInterStat_Firewire_bus_re_initialization(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SCInterStat_CmdPktCRCFailure(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SCInterStat_S_C_to_CrIS_Invalid_Unrecog_Cmd(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SCInterStat_S_C_to_CrIS_Cmd_ID_Rcv(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk2.SsmInterStat_Spare(packet_idx) = fread(fid, 1, '*ubit4');
g_packets.instr_hk2.SsmInterStat_Diag_Mode_Setting(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SsmInterStat_SSM_Tele_Valid_Bit_Tele_OK(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SsmInterStat_Failed_SSm_Cmd_Wd_at_PCE_SSM_Inter(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk2.SsmInterStat_SSm_Tele_Cmd_Err_Cmd_not_Recog_by_SSM_PCE_tried_th(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SsmInterStat_SSM_Tele_Inter_Resp_Err_TO_on_Inter_after_PU_or_Rs(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.IfmInterStat_Spare(packet_idx) = fread(fid, 1, '*ubit3');
g_packets.instr_hk2.IfmInterStat_Diag_Mode_Setting(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.IfmInterStat_Possible_Porchswing_Sweep_Dir_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.IfmInterStat_IFM_Tele_Valid_Bit_IFM_Tele_OK(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.IfmInterStat_Failed_IFM_Wd_at_PCE_IFM_Inter(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk2.IfmInterStat_IFM_Tele_Cmd_Err_Cmd_not_Recog_by_IFM_PCE_tried_th(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.IfmInterStat_IFM_Tele_Inter_Resp_Err_TO_on_Inter_After_PU_or_Rs(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SenStatReg1_Detector_PW_on_off(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SenStatReg1_Cooler_Door_Cmds_Software_Acknowledgement(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SenStatReg1_PCE_Side_Sel(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SenStatReg1_SSM_Prime_PW_Relay(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SenStatReg1_Reserved(packet_idx) = fread(fid, 1, '*ubit3');
g_packets.instr_hk2.SenStatReg1_Quiet_Conv_on_off(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SenStatReg1_Spare(packet_idx) = fread(fid, 1, '*ubit2');
g_packets.instr_hk2.SenStatReg1_Signal_Proc_on_off(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SenStatReg1_Cooler_Door_28V_Actuator_PW_App(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SenStatReg1_150V_Conv_on_off(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SenStatReg1_Therm_Neon_Ctrl_PCE_PS_Stat(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SenStatReg1_HK_Mux_Enable_Disable(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SenStatReg1_Inferferometer_on_off_PCE_PS_stat(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SenStatReg2_HK_200ms_Sync_Enabled_Disabled(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SenStatReg2_Reserved1(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SenStatReg2_Sig_Proc_200ms_Sync_Enabled_Disabled(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SenStatReg2_Sig_Proc_8_Sec_Sync_Enabled_Disabled(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SenStatReg2_Sig_Proc_3_Rst(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SenStatReg2_Sig_Proc_2_Rst(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SenStatReg2_Sig_Proc_1_Rst(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SenStatReg2_HK_Rst(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SenStatReg2_FW_CCA_A_Rst(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SenStatReg2_FW_CCA_B_Rst(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SenStatReg2_Reserved2(packet_idx) = fread(fid, 1, '*ubit2');
g_packets.instr_hk2.SenStatReg2_SCC2_DMA_Err_Intrpt(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SenStatReg2_SCC1_DMA_Err_Intrpt(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SenStatReg2_Aux_FPGA_Brdg_Spur_Intrpt(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SenStatReg2_Aux_FPGA_Brdg_Invalid_Intrpt(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg1_Safe_Mode_is_EN(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg1_Cmd_Rejected(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg1_Module_Not_Powered_On(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg1_Cannot_Auton_Enter_Safe_Mode(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg1_Sftw_UL_EN(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg1_Sftw_UL_success(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg1_Sftw_UL_CRC_Failed(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg1_Sftw_UL_Aborted(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg1_Sftw_UL_Img_Not_Pres(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg1_illegal_Neon_Calib_Time(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg1_En_Cooler_Door_Before_Releasing(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg1_Invld_Cmd_Par(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg1_Default_Case_Reached(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg1_MQ_Rcv_Error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg1_MQ_Snd_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg1_OS_Func_Call_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg2_Sub_Patch_Temp_Thres_Monitor(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg2_Patch_Temp_Thres_Monitor(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg2_Sig_Proc_5V_OverVoltage_Thresh_Monitor(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg2_SwNotPettingWatchdog(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg2_SwTaskNotResponding(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg2_EEPROM_general_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg2_EEPROM_write_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg2_Isr_Missing_8_Sec_int(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg2_Isr_Early_8_Sec_int(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg2_Isr_unexpected_int(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg2_Isr_Invld_int(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg2_Isr_Msg_Queue_Tx_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg2_Free_Mem_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg2_Alloc_Mem_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg2_Neon_Lmp_Calib(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg2_EEPROM_being_Accessed(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_3_Sig_Proc_5V_OverVoltage_Thresh_Stat(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_3_Diag_Mode_Setting(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_3_Sub_Patch_Temp_Thresh_Stat(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_3_Patch_Temp_Thresh_Stat(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_3_PCE_HK_Tele_Valid(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_3_Cmd_Rejected(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_3_PCI_Config_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_3_Init_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_3_Too_Much_Tele_Sent(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_3_Too_Few_Tele_Sent(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_3_Invld_Cmd_Par(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_3_Invld_Mem_Bank(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_3_Default_Case_Reached(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_3_MQ_Rcv_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_3_MQ_Snd_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_3_OS_Func_Call_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_4_Spare(packet_idx) = fread(fid, 1, '*ubit6');
g_packets.instr_hk2.FswExErrStatReg_4_SCC_write_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_4_SW_Upload_Succ(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_4_Msg_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_4_OVR_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_4_Wrong_Sz_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_4_IM_Cmd_Queue_OVR_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_4_Default_Case_Reached(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_4_MQ_Rcv_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_4_OS_Func_Call_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_4_SW_Upload_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_5_Spare(packet_idx) = fread(fid, 1, '*ubit6');
g_packets.instr_hk2.FswExErrStatReg_5_TaskIdForWatchdogFailure(packet_idx) = fread(fid, 1, '*ubit5');
g_packets.instr_hk2.FswExErrStatReg_5_Free_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_5_Malloc_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_5_IM_Cmd_Par_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_5_Cmd_Reject_Errr(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_5_IM_Rpt_Err_in_Tele(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_6_Spare(packet_idx) = fread(fid, 1, '*ubit3');
g_packets.instr_hk2.FswExErrStatReg_6_Msg_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_6_OVR_err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_6_Parity_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_6_Frame_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_6_Wrong_Sz_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_6_EOF_Not_By_Scc_Reg_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_6_Queue_OVR_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_6_SCC_Write_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_6_Trans_to_SSM_Failed(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_6_Default_Case_Reached(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_6_MQ_Rcv_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_6_MQ_Snd_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg_6_OS_Func_Call_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg7_SPare(packet_idx) = fread(fid, 1, '*ubit5');
g_packets.instr_hk2.FswExErrStatReg7_SW_Upload_Success(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg7_Cmd_Reject_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg7_SSM_Malloc_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg7_SSM_UL_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg7_SSM_Cmd_Par_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg7_Written_EEPROm_CRC_Badr(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg7_LVDS_Missing_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg7_STX_Missing_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg7_ETX_Missing_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg7_Chksum_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg7_Reported_Err_in_Tele(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg8_Spare(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg8_Pckt_Dropped(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg8_Invld_Par_Len(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg8_Invld_APID_type(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg8_Invld_Cmd_Len(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg8_Invld_CCSDS_Len(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg8_Invld_Seg_Pckt_Rcv(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg8_Invld_APID(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg8_Invld_Chksum(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg8_Invld_Cmd_ID(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg8_Default_Case_Reached(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg8_MQ_Rcv_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg8_MQ_Snd_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg8_MM_Free_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg8_MM_Alloc_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg8_OS_Func_Call_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg9_PCI_Init_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg9_UnSupp_Config(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg9_Invld_Diag_Chan_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg9_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg9_No_Term_on_Tele_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg9_Invld_Tele_ID_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg9_Invld_Coef_Tbl_ID_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg9_Bit_Trim_Tbl_Indx_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg9_Impulse_Tbl_Indx_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg9_Invld_Module_ID(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg9_Config_Data_Ptr_Null_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg9_Rcv_Unknown_ID_Default_Case(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg9_Trans_Unknown_ID_Default_Case(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg9_MQ_Rcv_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg9_MQ_Snd_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg9_OS_Func_Call_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg10_Taps_Q_Coef_MisMatch(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg10_Taps_I_Coef_MisMatch(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg10_Coef_Dat_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg10_Config_Dat_Err_4_min(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg10_Config_Dat_Err_8_sec(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg10_Persistant_Tbl_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg10_Setup_Data_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg10_Invld_Num_Coef_Entries(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg10_Filter_Offset_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg10_Run_Samples_Total_Samples(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg10_Bit_Trim_Tbl_Start_Stop_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg10_Coef_Mismatch(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg10_Mem_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg10_PCI_Retry_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg10_Sig_Proc_in_Rst(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg10_SSM_Scn_Pos_Missing_Err_Invld(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg11_Wake_Up_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg11_DMA_Addr_Write_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg11_Mem_dmp_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg11_LRD_Num_FOVs_ERR(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg11_LRD_FOV_Val_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg11_LRD_Mode_Sel_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg11_LRD_FOV_Repeat_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg11_Filt_Dec_Sample_Cnt_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg11_FOR_Upset_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg11_SEFI_Upset_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg11_PCI_Retry_Count_Too_Big_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg11_PCI_Config_Read_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg11_Device_Not_Found(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg11_Invalid_Param(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg11_Taps_per_Int_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg11_Spare2(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg12_PCI_Init_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg12_Unsupp_Config(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg12_Invld_Diag_Chan_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg12_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg12_No_Term_on_Tele_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg12_Invld_Tele_ID_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg12_Invld_Coef_Tbl_ID_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg12_Bit_Trim_Indx_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg12_Impulse_Tbl_Index_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg12_Invld_Module_ID(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg12_Config_Data_Ptr_Null_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg12_Rcv_Unknown_ID_Deflt_Case(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg12_Trans_Unknown_ID_Deflt_Case(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg12_MQ_Rcv_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg12_MQ_Snd_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg12_OS_Func_Call_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg13_Taps_Q_Coef_MisMatch(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg13_Taps_I_Coef_MisMatch(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg13_Coef_Dat_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg13_Config_Dat_Err_4_min(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg13_Config_Dat_Err_8_sec(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg13_Persistant_Tbl_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg13_Setup_Data_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg13_Invld_Num_Coef_Entries(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg13_Filter_Offset_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg13_Run_Samples_Total_Samples(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg13_Bit_Trim_Tbl_Start_Stop_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg13_Coef_Mismatch(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg13_Mem_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg13_PCI_Retry_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg13_Sig_Proc_in_Rst(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg13_SSM_Scn_Pos_Missing_Err_Invld(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg14_Wake_Up_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg14_DMA_Addr_Write_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg14_Mem_dmp_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg14_LRD_Num_FOVs_ERR(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg14_LRD_FOV_Val_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg14_LRD_Mode_Sel_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg14_LRD_FOV_Repeat_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg14_Filtrd_Dec_Sample_Cnt_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg14_FOR_Upset_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg14_SEFI_Upset_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg14_PCI_Retry_Count_Too_Big_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg14_PCI_Config_Read_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg14_Device_Not_Found(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg14_Invalid_Param(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg14_Taps_per_Int_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg14_Spare2(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg15_PCI_Init_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg15_Unsupp_Config(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg15_Invld_Diag_Chan_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg15_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg15_No_Term_on_Tele_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg15_Invld_Tele_ID_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg15_Invld_Coef_Tbl_ID_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg15_Bit_Trim_Indx_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg15_Impulse_Tbl_Index_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg15_Invld_Module_ID(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg15_Config_Data_Ptr_Null_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg15_Rcv_Unknown_ID_Deflt_Case(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg15_Trans_Unknown_ID_Deflt_Case(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg15_MQ_Rcv_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg15_MQ_Snd_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg15_OS_Func_Call_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg16_Taps_Q_Coef_MisMatch(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg16_Taps_I_Coef_MisMatch(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg16_Coef_Dat_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg16_Config_Dat_Err_4_min(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg16_Config_Dat_Err_8_sec(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg16_Persistant_Tbl_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg16_Setup_Data_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg16_Invld_Num_Coef_Entries(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg16_Filter_Offset_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg16_Run_Samples_Total_Samples(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg16_Bit_Trim_Tbl_Start_Stop_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg16_Coef_Mismatch(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg16_Mem_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg16_PCI_Retry_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg16_Sig_Proc_in_Rst(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg16_SSM_Scn_Pos_Missing_Err_Invld(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg17_Wake_Up_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg17_DMA_Addr_Write_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg17_Mem_dmp_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg17_LRD_Num_FOVs_ERR(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg17_LRD_FOV_Val_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg17_LRD_Mode_Sel_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg17_LRD_FOV_Repeat_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg17_Fltrd_Dec_Sample_Cnt_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg17_FOR_Upset_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg17_SEFI_Upset_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg17_PCI_Retry_Count_Too_Big_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg17_PCI_Config_Read_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg17_Dev_Not_Found(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg17_Invalid_Param(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg17_Taps_per_Int_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FswExErrStatReg17_Spare2(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg1_Bus_Identifier(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg1_Fw_llc_fifo_underrun_count(packet_idx) = fread(fid, 1, '*ubit7');
g_packets.instr_hk2.FW_StatReg1_Fw_llc_fifo_overrun_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk2.FW_StatReg2_Fw_llc_data_write_error_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk2.FW_StatReg2_Fw_llc_data_read_error_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk2.FW_StatReg3_Fw_desc_block_read_fail_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk2.FW_StatReg3_Fw_1394_bus_reset_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk2.FW_StatReg4_Fw_missing_ack_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk2.FW_StatReg4_Fw_ohci_event_long_pkt_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk2.FW_StatReg5_Fw_ohci_event_unknown_error_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk2.FW_StatReg5_Fw_ohci_event_flushed_pkt_error_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk2.FW_StatReg6_Fw_ack_busy_x_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk2.FW_StatReg6_Fw_ack_data_error_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk2.FW_StatReg7_Fw_ack_type_error_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk2.FW_StatReg7_Fw_self_id_error_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk2.FW_StatReg8_Fw_max_arb_state_timeout_error_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk2.FW_StatReg8_Fw_phy_read_access_fail_error_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk2.FW_StatReg9_Fw_num_err_ip_pkts_rx_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk2.FW_StatReg9_Fw_ip_1394_rx_frag_error_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk2.FW_StatReg10_Fw_num_error_ip_pkts_tx_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk2.FW_StatReg10_Fw_ip_1394_tx_frag_error_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk2.FW_StatReg11_fw_boot_EEPROM_image_executing(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg11_fw_thermal_control_enabled(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg11_fw_invalid_cmds_rcvd(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk2.FW_StatReg11_Fw_active_bus(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg11_Fw_tod_missed_A(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg11_Fw_tod_missed_B(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg11_Fw_tod_missed_AB(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg11_Fw_fault_log_full(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg11_Fw_fault_log_not_empty(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg12_Fw_tfioctl_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg12_Fw_invalid_tx_socket_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg12_Fw_dbuf_alloc_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg12_Fw_default_case_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg12_Fw_invalid_param_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg12_Fw_dbuf_create_named_pool_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg12_Fw_close_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg12_Fw_bind_fail(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg12_Fw_set_sock_opt_reuse_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg12_Fw_socket_fail(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg12_Fw_zero_copy_send_to_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg12_Fw_dbuf_set_data_ptr_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg12_Fw_dbuf_pool_invalid(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg12_Fw_dbuf_copy_data_from_buf_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg12_Fw_zero_copy_recv_from_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg12_Fw_select_fail(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg13_Test_Packet(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg13_Online_BIT(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg13_Low_Rate_Data_Algorithm(packet_idx) = fread(fid, 1, '*ubit2');
g_packets.instr_hk2.FW_StatReg13_ZPD_Algorithm(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg13_Auto_Neon_Calibration(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg13_TOD_Loss_Bus_AB_Cntr(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg13_TOD_Loss_Bus_B_Cntr(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg13_TOD_Loss_Bus_A_Cntr(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg13_Fw_invalid_rx_socket_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg13_Fw_os_func_call_err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg13_Fw_set_sockopt_buf_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg13_Fw_ip_lla_reinit_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg13_Fw_invalid_bus(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg13_Fw_lla_getstats_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.FW_StatReg13_Fw_ip1394_getstats_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.Telem_command_success_count_MSW(packet_idx) = fread(fid, 1, '*ubit16');
g_packets.instr_hk2.Telem_command_success_count_LSW(packet_idx) = fread(fid, 1, '*ubit16');
g_packets.instr_hk2.IfmStatFlg_spare1(packet_idx) = fread(fid, 1, '*ubit5');
g_packets.instr_hk2.IfmStatFlg_Infererom_Mode_Stat(packet_idx) = fread(fid, 1, '*ubit2');
g_packets.instr_hk2.IfmStatFlg_spare2(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.IfmStatFlg_Porchswing_Sweep_Dir(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.IfmStatFlg_Porchswing_Sweep_Lck(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.IfmStatFlg_Loss_PCE_Frame_Sync_Pulse_Stat(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.IfmStatFlg_Porchswing_MPD_Switch_Stat(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.IfmStatFlg_Porchswing_ZPD_Switch_Stat(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.IfmStatFlg_DA_Servo_Status(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.IfmStatFlg_DA_Y_servo_locked(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.IfmStatFlg_DA_X_servo_locked(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SSMStatWrd_CT_Over_Speed_Trip(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SSMStatWrd_Spare(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SSMStatWrd_Redundant_Drv_Relay_Fault(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SSMStatWrd_Loss_8_Sec_Sync_Stat(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SSMStatWrd_IT_Vel_Compen_Act_Idle(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SSMStatWrd_CT_Axis_Motor_Winding_Temp_Go_NoGo(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SSMStatWrd_IT_Axis_Motor_Winding_Temp_Go_NoGo(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SSMStatWrd_Primary_PW_Current_Monitor_Go_NoGo(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SSMStatWrd_SSm_Mode_Stat(packet_idx) = fread(fid, 1, '*ubit2');
g_packets.instr_hk2.SSMStatWrd_Motion_Compen_Active_Idle(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SSMStatWrd_CT_Motor_Drv_OvLoad_Trip(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SSMStatWrd_IT_Motor_Drv_OvLoad_Trip(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SSMStatWrd_Loss_200ms_Sync_Stat(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SSMStatWrd_Motor_Drives_on_off(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk2.SSMStatWrd_CT_Encoder_Stat(packet_idx) = fread(fid, 1, '*ubit1');

